Search results

Spreadsheet

Represents the Spreadsheet component.

<div id='spreadsheet'></div>
<script>
 let spreadsheetObj = new Spreadsheet();
 spreadsheetObj.appendTo('#spreadsheet');
</script>

Properties

activeSheetIndex

number

Specifies the active sheet index in the workbook.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    // Set 'Car Stock Report' sheet as active sheet.
    activeSheetIndex: 1,
    sheets: [
        {
            name: 'Car Sales Report'
        },
        {
            name: 'Car Stock Report'
        }
    ]
});

spreadsheet.appendTo('#spreadsheet');

Defaults to 0

allowAutoFill

boolean

It allows to enable/disable AutoFill functionalities.

Defaults to true

allowCellFormatting

boolean

It allows you to apply styles (font size, font weight, font family, fill color, and more) to the spreadsheet cells.

Defaults to true

allowChart

boolean

It allows you to insert the chart in a spreadsheet.

Defaults to true

allowConditionalFormat

boolean

It allows you to apply conditional formatting to the sheet.

Defaults to true

allowDataValidation

boolean

It allows you to apply data validation to the spreadsheet cells.

Defaults to true

allowDelete

boolean

It allows you to delete rows, columns, and sheets from a spreadsheet.

Defaults to true

allowEditing

boolean

It allows you to add new data or update existing cell data. If it is false, it will act as read only mode.

Defaults to true

allowFiltering

boolean

It allows to enable/disable filter and its functionalities.

Defaults to true

allowFindAndReplace

boolean

It allows to enable/disable find and replace with its functionalities.

Defaults to true

allowFreezePane

boolean

It allows to enable/disable freeze pane functionality in spreadsheet.

Defaults to true

It allows to enable/disable Hyperlink and its functionalities.

Defaults to true

allowImage

boolean

It allows you to insert the image in a spreadsheet.

Defaults to true

allowInsert

boolean

It allows you to insert rows, columns, and sheets into the spreadsheet.

Defaults to true

allowMerge

boolean

It allows you to merge the range of cells.

Defaults to true

allowNumberFormatting

boolean

It allows formatting a raw number into different types of formats (number, currency, accounting, percentage, short date, long date, time, fraction, scientific, and text) with built-in format codes.

Defaults to true

allowOpen

boolean

It allows you to open an Excel file (.xlsx, .xls, and .csv) in Spreadsheet.

Defaults to true

allowResizing

boolean

If allowResizing is set to true, spreadsheet columns and rows can be resized.

Defaults to true

allowSave

boolean

It allows you to save Spreadsheet with all data as Excel file (.xlsx, .xls, and .csv).

Defaults to true

allowScrolling

boolean

It specifies whether the Spreadsheet should be rendered with scrolling or not. To customize the Spreadsheet scrolling behavior, use the scrollSettings property.

Defaults to true

allowSorting

boolean

It allows to enable/disable sort and its functionalities.

Defaults to true

allowUndoRedo

boolean

It allows to enable/disable undo and redo functionalities.

Defaults to true

allowWrap

boolean

It allows to enable/disable wrap text feature. By using this feature the wrapping applied cell text can wrap to the next line, if the text width exceeds the column width.

Defaults to true

autoFillSettings

AutoFillSettingsModel

Configures the auto fill settings. The autoFillSettings fillType property has FOUR types and it is described below:

  • CopyCells: To update the copied cells for the selected range.
  • FillSeries: To update the filled series for the selected range.
  • FillFormattingOnly: To fill the formats only for the selected range.
  • FillWithoutFormatting: To fill without the format for the selected range.
    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    // Enable the autofill option.
    allowAutoFill: true,
    // Configure the autofill settings.
    autoFillSettings: {
        fillType: 'CopyCells',
        showFillOptions: true
    }
});

spreadsheet.appendTo('#spreadsheet');

The allowAutoFill property should be true.

Defaults to { fillType: ‘FillSeries’, showFillOptions: true }

cellStyle

CellStyleModel

Specifies the cell style options.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
  cellStyle: {
    fontWeight: 'bold',
    fontSize: "12pt",
    fontStyle: 'italic',
    textIndent: '2pt',
    backgroundColor: '#4b5366',
    color: '#ffffff'
  }
});

spreadsheet.appendTo('#spreadsheet');

Defaults to {}

cssClass

string

To specify a CSS class or multiple CSS class separated by a space, add it in the Spreadsheet root element. This allows you to customize the appearance of component.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
  // Specifies the custom CSS class.
  cssClass: 'e-custom1 e-custom2'
});

spreadsheet.appendTo('#spreadsheet');

Defaults to

definedNames

DefineNameModel[]

Specifies the name of a range and uses it in a formula for calculation.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
  // Set the specified cell range's name to 'Group1'.
  definedNames: [{ name: 'Group1', refersTo: 'Sheet1!A1:B5' }]
});

spreadsheet.appendTo('#spreadsheet');

Defaults to []

enableClipboard

boolean

It enables or disables the clipboard operations (cut, copy, and paste) of the Spreadsheet.

Defaults to true

enableContextMenu

boolean

It enables or disables the context menu option of spreadsheet. By default, context menu will opens for row header, column header, sheet tabs, and cell.

Defaults to true

enableKeyboardNavigation

boolean

It allows you to interact with cell, sheet tabs, formula bar, and ribbon through the keyboard device.

Defaults to true

enableKeyboardShortcut

boolean

It enables shortcut keys to perform Spreadsheet operations like open, save, copy, paste, and more.

Defaults to true

enablePersistence

boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRtl

boolean

Enable or disable rendering component in right to left direction.

Defaults to false

height

string | number

Defines the height of the Spreadsheet. It accepts height as pixels, number, and percentage.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
  height: '550px'
});

spreadsheet.appendTo('#spreadsheet');

Defaults to ‘100%’

isProtected

boolean

Specifies to protect the workbook.

Defaults to false

listSeparator

string

Specifies the list separator which is used as the formula argument separator.

Defaults to ’,’

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

Defaults to

openUrl

string

Specifies the service URL to open excel file in spreadsheet.

Defaults to

password

string

Specifies the password.

Defaults to

saveUrl

string

Specifies the service URL to save spreadsheet as Excel file.

Defaults to

scrollSettings

ScrollSettingsModel

Configures the scroll settings.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
  // Enable the scrolling option.
  allowScrolling: true,
  // Configure the scroll settings.
  scrollSettings: {
    isFinite: true,
    enableVirtualization: false
  }
});

spreadsheet.appendTo('#spreadsheet');

The allowScrolling property should be true.

Defaults to { isFinite: false, enableVirtualization: true }

selectionSettings

SelectionSettingsModel

Configures the selection settings. The selectionSettings mode property has three values and is described below:

  • None: Disables UI selection.
  • Single: Allows single selection of cell, row, or column and disables multiple selection.
  • Multiple: Allows multiple selection of cell, row, or column and disables single selection.
    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
  // Configure the selection settings.
  selectionSettings: {
    mode: 'None'
  }
});

spreadsheet.appendTo('#spreadsheet');

Defaults to { mode: ‘Multiple’ }

sheets

SheetModel[]

Configures sheets and its options.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';
import * as dataSource from './data.json';

let spreadsheet: Spreadsheet = new Spreadsheet({
    // Specifies the sheets and its options.
    sheets: [
        {
            name: 'First Sheet',
            range: [{ dataSource: dataSource }],
            rows: [
                {
                    index: 5,
                    cells: [
                        { index: 4, value: 'Total Amount:' },
                        { formula: '=SUM(F2:F30)', style: { fontWeight: 'bold' } },
                    ]
                }
            ]
        },
        {
            name: 'Second Sheet',
            columns: [{ width: 180 }, { index: 4, width: 130 }],
        }
    ]
});

spreadsheet.appendTo('#spreadsheet');

Defaults to []

showAggregate

boolean

If showAggregate is set to true, spreadsheet will show the AVERAGE, SUM, COUNT, MIN and MAX values based on the selected cells.

Defaults to true

showFormulaBar

boolean

It shows or hides the formula bar and its features.

Defaults to true

showRibbon

boolean

It shows or hides the ribbon in spreadsheet.

Defaults to true

showSheetTabs

boolean

It shows or hides the sheets tabs, this is used to navigate among the sheets and create or delete sheets by UI interaction.

Defaults to true

width

string | number

Defines the width of the Spreadsheet. It accepts width as pixels, number, and percentage.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
  // Specifies the width.
  width: '550px'
});

spreadsheet.appendTo('#spreadsheet');

Defaults to ‘100%’

Methods

Unfreeze

This method is used to unfreeze the frozen rows and columns from the active sheet.

Parameter Type Description
sheet (optional) number | string Specifies the sheet name or index in which the unfreeze operation will perform. By default,
active sheet will be considered.

Returns void

addContextMenuItems

To add context menu items.

    <div id="spreadsheet"></div>
import { Spreadsheet, BeforeOpenCloseMenuEventArgs } from '@syncfusion/ej2-spreadsheet';
import { closest } from '@syncfusion/ej2-base';

let spreadsheet: Spreadsheet = new Spreadsheet({
    contextMenuBeforeOpen: (args: BeforeOpenCloseMenuEventArgs): void => {
        // Add context menu items to the sheet content context menu.
        if (closest(args.event.target, '.e-sheet-content')) {
            spreadsheet.addContextMenuItems([{ text: 'Custom Item' }], 'Paste Special', false);
        }
        // Add context menu items to the column header context menu.
        else if (closest(args.event.target, '.e-colhdr-table')) {
            spreadsheet.addContextMenuItems([{ text: 'Custom Column' }], 'Insert Column', false);
        }
        // Add context menu items to the row header context menu.
        else if (closest(args.event.target, '.e-rowhdr-table')) {
            spreadsheet.addContextMenuItems([{ text: 'Custom Row' }], 'Insert Row', false);
        }
        // Add context menu items to the sheet tab context menu.
        else if (closest(args.event.target, '.e-toolbar-item')) {
            spreadsheet.addContextMenuItems([{ text: 'Custom Tab' }], 'Insert', false);
        }
    }
});

spreadsheet.appendTo('#spreadsheet');
Parameter Type Description
items MenuItemModel[] Items that needs to be added.
text string Item before / after that the element to be inserted.
insertAfter boolean Set false if the items need to be inserted before the text.
By default, items are added after the text.
isUniqueId (optional) boolean Set true if the given text is a unique id.

Returns void

addCustomFunction

To add custom library function.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    created: (): void => {
        // Add custom library function to compute the square root of a number.
        spreadsheet.addCustomFunction('SQRTHandler', 'SQRT');
    },
});

spreadsheet.appendTo('#spreadsheet');

(window as any).SQRTHandler = (num) => Math.sqrt(num);

Returns void

addDataValidation

This method is used to add data validation.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    created: (): void => {
        // Add data validation with the specified validation rules to the range.
        spreadsheet.addDataValidation({ type: 'TextLength', operator: 'LessThanOrEqualTo', value1: '4' }, 'A2:A5');
        spreadsheet.addDataValidation({ type: 'WholeNumber', operator: 'NotEqualTo', value1: '1' }, 'B2:B5');
        spreadsheet.addDataValidation({ type: 'Date', operator: 'NotEqualTo', value1: '04/11/2019' }, 'F2:F5');
        spreadsheet.addDataValidation({ type: 'Time', operator: 'Between', value1: '10:00:00 AM', value2: '11:00:00 AM' }, 'G2:G5');
        spreadsheet.addDataValidation({ type: 'Decimal', operator: 'LessThan', value1: '100000.00' }, 'H2:H5');
        // Add a cell range as a data source to the list validation dropdown.
        spreadsheet.addDataValidation({ type: 'List', inCellDropDown: true, value1: '=Sheet1!A2:A3' }, 'J2:J5');
        spreadsheet.addDataValidation({ type: 'List', inCellDropDown: true, value1: '10, 20, 30' }, 'I2:I5');
    },
});

spreadsheet.appendTo('#spreadsheet');
Parameter Type Description
rules ValidationModel specifies the validation rules like type, operator, value1, value2, ignoreBlank, inCellDropDown, isHighlighted arguments.
range (optional) string range that needs to be add validation.

Returns void

addDefinedName

Adds the defined name to the Spreadsheet.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    created: (): void => {
        // Set the specified cell range's name to 'Group1'.
        spreadsheet.addDefinedName({ name: 'Group1', refersTo: '=Sheet1!B2' });
    },
});

spreadsheet.appendTo('#spreadsheet');
Parameter Type Description
definedName DefineNameModel Specifies the name, scope, comment, refersTo.

Returns boolean

addEventListener

Adds the handler to the given event listener.

Parameter Type Description
eventName string A String that specifies the name of the event
handler Function Specifies the call to run when the event occurs.

Returns void

addFileMenuItems

To add custom file menu items.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    created: (): void => {
        // Place the 'Print' option before the 'Save As' option in the File menu.
        spreadsheet.addFileMenuItems([{ text: 'Print' }], 'Save As', false);
    }
});

spreadsheet.appendTo('#spreadsheet');
Parameter Type Description
items MenuItemModel[] Specifies the ribbon file menu items to be inserted.
text string Specifies the existing file menu item text before / after which the new file menu items to be inserted.
insertAfter boolean Set false if the items need to be inserted before the text.
By default, items are added after the text.
isUniqueId (optional) boolean Set true if the given file menu items text is a unique id.

Returns void

To add the hyperlink in the cell

    <div id="spreadsheet"></div>
    <button id="apply-button">Add hyperlink</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Insert a hyperlink into the 'A5' cell.
    spreadsheet.addHyperlink("https://www.google.com/", "A5");
};
Parameter Type Description
hyperlink string | HyperlinkModel to specify the hyperlink
address string to specify the address
displayText (optional) string to specify the text to be displayed, by default value of the cell will be displayed.

Returns void

addInvalidHighlight

This method is used to highlight the invalid data.

    <div id="spreadsheet"></div>
    <button id="apply-button">Higlight Invalid Data</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';
import * as dataSource from './data.json';

let spreadsheet: Spreadsheet = new Spreadsheet({
    sheets: [
        {
            name: 'Car Sales Report',
            ranges: [{ dataSource: dataSource.salesData }],
        },
    ],
    created: (): void => {
        // Add data validation to the specified range.
        spreadsheet.addDataValidation(
            { type: 'Decimal', operator: 'LessThan', value1: '1000' },
            'F2:F5'
        );
    },
});
spreadsheet.appendTo('#spreadsheet');

document.getElementById('apply-button').onclick = () => {
    // Highlight the invalid data on the specified range.
    spreadsheet.addInvalidHighlight('F2:F5');
};
Parameter Type Description
range (optional) string range that needs to be highlight the invalid data.

Returns void

addRibbonTabs

To add custom ribbon tabs.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    created: (): void => {
        // Place the 'Custom' ribbon tab before the existing 'Data' tab.
        spreadsheet.addRibbonTabs([{ header: { text: 'Custom' }, content: [{ text: 'Custom', tooltipText: 'Custom Button' }] }], 'Data');
    },
});

spreadsheet.appendTo('#spreadsheet');
Parameter Type Description
items RibbonItemModel[] Specifies the ribbon tab items to be inserted.
insertBefore (optional) string Specifies the existing ribbon header text before which the new tabs will be inserted.
If not specified, the new tabs will be inserted at the end.

Returns void

addToolbarItems

To add the custom items in Spreadsheet ribbon toolbar.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
  created: (): void => {
    // Place the custom toolbar items to the 'Home' tab ribbon toolbar.
    spreadsheet.addToolbarItems('Home', [{ type: 'Separator' }, { text: 'Custom', tooltipText: 'Custom Btn' }], 15); 
  },
});

spreadsheet.appendTo('#spreadsheet');
Parameter Type Description
tab string Specifies the ribbon tab header text under which the specified items will be inserted.
items ItemModel[] Specifies the ribbon toolbar items that needs to be inserted.
index (optional) number Specifies the index text before which the new items will be inserted.
If not specified, the new items will be inserted at the end of the toolbar.

Returns void

appendTo

Appends the control within the given HTML Div element.

Parameter Type Description
selector string | HTMLElement Target element where control needs to be appended.

Returns void

applyFilter

Applies the filter UI in the range of cells in the sheet.

    <div id="spreadsheet"></div>
    <button id="apply-button">Apply Filter</button>
import {
    Spreadsheet,
    getCellIndexes,
    getColumnHeaderText,
    getCell,
    SheetModel
} from '@syncfusion/ej2-spreadsheet';
import { PredicateModel } from '@syncfusion/ej2-grids';
import * as dataSource from './data.json';

let spreadsheet: Spreadsheet = new Spreadsheet({
    sheets: [
        {
            name: 'Car Sales Report',
            ranges: [{ dataSource: dataSource.salesData }]
        }
    ]
});

spreadsheet.appendTo('#spreadsheet');

document.getElementById('apply-button').onclick = () => {
    // The filter UI is applied to the range of cells in the sheet.
    let sheet: SheetModel = spreadsheet.getActiveSheet();
    let cell: number[] = getCellIndexes(sheet.activeCell);
    let predicates: PredicateModel[] = [
        {
            field: getColumnHeaderText(cell[1] + 1),
            operator: 'equal',
            value: getCell(cell[0], cell[1], sheet).value,
            matchCase: false
        }
    ];
    // Specifies the predicates and cell range.
    spreadsheet.applyFilter(predicates, 'A1:F1');
};
Parameter Type Description
predicates (optional) PredicateModel[] Specifies the predicates.
range (optional) string Specify the range.

Returns Promise

attachUnloadEvent

Adding unload event to persist data when enable persistence true

Returns void

autoFill

Used to perform autofill action based on the specified range in spreadsheet.

Parameter Type Description
fillRange string Specifies the fill range.
dataRange (optional) string Specifies the data range.
direction (optional) AutoFillDirection Specifies the direction(“Down”,“Right”,“Up”,“Left”) to be filled.
fillType (optional) AutoFillType Specifies the fill type(“FillSeries”,“CopyCells”,“FillFormattingOnly”,“FillWithoutFormatting”) for autofill action.

Returns void

autoFit

This method is used to autofit the range of rows or columns

    <div id="spreadsheet"></div>
    <button id="apply-button">AutoFit Content</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

    let spreadsheet: Spreadsheet = new Spreadsheet();

    spreadsheet.appendTo('#spreadsheet');

document.getElementById("applybutton").onclick = () => {
        // To auto fit the columns content.
        spreadsheet.autoFit("D:F");
        // To auto fit the rows content.
        spreadsheet.autoFit("5:10"); 
};
Parameter Type Description
range string range of rows or columns that needs to be autofit.

Returns void

cellFormat

Applies the style (font family, font weight, background color, etc…) to the specified range of cells.

    <div id="spreadsheet"></div>
    <button id="apply-button">Apply Cell Format</button>
import { Spreadsheet, CellStyleModel } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Apply the styles to the cells in the specified range.
    spreadsheet.cellFormat({ fontWeight: 'bold', fontSize: '12pt', backgroundColor: '#279377', color: '#ffffff' }, 'A2:E2');
    spreadsheet.cellFormat({ verticalAlign: 'middle', fontFamily: 'Axettac Demo' }, 'A2:E12');
    spreadsheet.cellFormat({ textAlign: 'center' }, 'A2:A12');
    // Apply text-indent to 2nd & 4th columns.
    let style: CellStyleModel = { textAlign: 'left', textIndent: '8pt' };
    spreadsheet.cellFormat(style, 'B2:B12');
    spreadsheet.cellFormat(style, 'D2:D12');
    spreadsheet.cellFormat({ fontStyle: 'italic', textAlign: 'right' }, 'C3:C12');
    spreadsheet.cellFormat({ textAlign: 'center' }, 'E2:E12');
};
Parameter Type Description
style CellStyleModel Specifies the cell style.
range (optional) string Specifies the address for the range of cells.

Returns void

clear

This method is used to Clear contents, formats and hyperlinks in spreadsheet.

    <div id="spreadsheet"></div>
    <button id="apply-button">Clear</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Clear the content within the specified range.
    spreadsheet.clear({ type: 'Clear Contents', range: 'A1:A10' });
    // Clear the formats used in the given range.
    spreadsheet.clear({ type: 'Clear Formats', range: 'A1:A10' });
    // Remove all hyperlinks from the provided range.
    spreadsheet.clear({ type: 'Clear Hyperlinks', range: 'A1:A10' });
    // Clear the content, formats and hyperlinks applied in the given range.
    spreadsheet.clear({ type: 'Clear All', range: 'B1:B10' });
};
Parameter Type Description
options ClearOptions Options for clearing the content, formats and hyperlinks in spreadsheet.

Returns void

clearConditionalFormat

This method is used for remove conditional formatting.

    <div id="spreadsheet"></div>
    <button id="apply-button">Clear Conditional Format</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';
import * as dataSource from './data.json';

let spreadsheet: Spreadsheet = new Spreadsheet({
    sheets: [
        {
            name: 'Car Sales Report',
            ranges: [{ dataSource: dataSource.salesData }],
        }
    ],
    created: (): void => {
        // Highlight the cells with a value greater than the specified value.
        spreadsheet.conditionalFormat({
            type: 'GreaterThan',
            cFColor: 'RedFT',
            value: '10/8/2014',
            range: 'E2:E30',
        });
        // Highlight the cells that have a value within the specified range.
        spreadsheet.conditionalFormat({
            type: 'Between',
            cFColor: 'GreenFT',
            value: '11/24/2014,06/26/2023',
            range: 'F2:F30',
        });
    }
});

spreadsheet.appendTo('#spreadsheet');

document.getElementById('apply-button').onclick = () => {
    // Clear the conditional format within the range specified.
    spreadsheet.clearConditionalFormat('E2:E30');
    // The range can also be specified using the sheet name.
    spreadsheet.clearConditionalFormat('Sheet1!F2:F30');
};
Parameter Type Description
range (optional) string range that needs to be remove conditional formatting.

Returns void

clearFilter

Clears the filter changes of the sheet.

    <div id="spreadsheet"></div>
    <button id="apply-button">Clear Filter</button>
import {
    Spreadsheet,
    PredicateModel,
    getCellIndexes,
    getColumnHeaderText,
    getCell,
    SheetModel,
    CellModel,
} from '@syncfusion/ej2-spreadsheet';
import * as dataSource from './data.json';

let spreadsheet: Spreadsheet = new Spreadsheet({
    sheets: [
        {
            name: 'Car Sales Report',
            ranges: [{ dataSource: dataSource.salesData }]
        }
    ],
    created: (): void => {
        // The filter UI is applied to the range of cells in the sheet.
        let sheet: SheetModel = spreadsheet.getActiveSheet();
        let cell: number[] = getCellIndexes(sheet.activeCell);
        let predicates: PredicateModel[] = [
            {
                field: getColumnHeaderText(cell[1] + 1),
                operator: 'equal',
                value: getCell(cell[0], cell[1], sheet).value,
                matchCase: false
            }
        ];
        // Specifies the predicates and cell range.
        spreadsheet.applyFilter(predicates, 'A1:F1');
    }
});

spreadsheet.appendTo('#spreadsheet');

document.getElementById('apply-button').onclick = () => {
    spreadsheet.clearFilter();
};
Parameter Type Description
field (optional) string Specify the field.

Returns void

closeEdit

Cancels the edited state, this will not update any value in the cell.

    <div id="spreadsheet"></div>
    <button id="apply-button">Cancel Edit</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    spreadsheet.closeEdit();
};

Returns void

computeExpression

Used to compute the specified expression/formula.

    <div id="spreadsheet"></div>
    <button class="e-btn" id="apply-button">To Compute Expression</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Calculate the result of an arithmetic expression or formula.
    spreadsheet.computeExpression('522+1');
    spreadsheet.computeExpression('=SUM(F2:F3)');
};
Parameter Type Description
formula string Specifies the formula(=SUM(A1:A3)) or expression(2+3).

Returns string | number

conditionalFormat

This method is used to add conditional formatting.

    <div id="spreadsheet"></div>
    <button id="apply-button">Add Conditional Format</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Apply blue data bar to the specified range.
    spreadsheet.conditionalFormat({ type: 'BlueDataBar', range: 'D3:D18' });
    // Apply three stars to the specified range.
    spreadsheet.conditionalFormat({ type: 'ThreeStars', range: 'F3:F18' });
    // Highlight the cells that contain a value greater than specified value.
    spreadsheet.conditionalFormat({ type: 'GreaterThan', cFColor: 'RedFT', value: '10/15/2023', range: 'E2:E30' });
    // Highlight the cells that contain a value between specified range.
    spreadsheet.conditionalFormat({ type: 'Between', cFColor: 'GreenFT', value: '03/04/2023,06/26/2023', range: 'E2:E30' });
    // Highlight the cells that contain a value greater than average of specified range.
    spreadsheet.conditionalFormat({ type: 'AboveAverage', cFColor: 'RedFT', range: 'F2:F30' });
    // Apply the RGY(Red-Green-Yellow) color scale to the specified range.
    spreadsheet.conditionalFormat({ type: 'RYGColorScale', range: 'F2:F30' });
};
Parameter Type Description
conditionalFormat ConditionalFormatModel Specify the conditionalFormat.

Returns void

copy

To copy the specified cell or cells properties such as value, format, style etc…

    <div id="spreadsheet"></div>
    <button id="apply-button">Copy Cell</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    sheets: [
        {
            name: 'Car Sales Report'
        }]
});

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // To copy the selected cell.
    spreadsheet.copy();
    // To copy the specified cell.
    spreadsheet.copy('A2');
    // You can specify the address with sheet name.
    spreadsheet.copy('Car Sales Report!B2')
};
Parameter Type Description
address (optional) string Specifies the range address.

Returns Promise

cut

To cut the specified cell or cells properties such as value, format, style etc…

    <div id="spreadsheet"></div>
    <button class="e-btn" id="apply-button">To Cut</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    sheets: [
        {
            name: 'Car Sales Report'
        }]
});

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // To cut the selected cell.
    spreadsheet.cut();
    // To cut the specified cell.
    spreadsheet.cut('A2');
    // You can specify the address with sheet name.
    spreadsheet.cut('Car Sales Report!B2');
};
Parameter Type Description
address (optional) string Specifies the range address to cut.

Returns Promise

dataBind

When invoked, applies the pending property changes immediately to the component.

Returns void

delete

Used to delete rows, columns and sheets from the spreadsheet.

    <div id="spreadsheet"></div>
    <button id="apply-button">Delete Row & Column</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // To delete rows, columns, and sheets with the specified index.
    spreadsheet.delete(1, 1, "Row", "Sheet1");
    spreadsheet.delete(2, 2, "Column", "Sheet1");
};
Parameter Type Description
startIndex (optional) number Specifies the start sheet / row / column index.
endIndex (optional) number Specifies the end sheet / row / column index.
model (optional) ModelType Specifies the delete model type. By default, the model is considered as Sheet. The possible values are,
- Row: To delete rows.
- Column: To delete columns.
- Sheet: To delete sheets.
sheet (optional) number | string Specifies the sheet name or index in which the delete operation will perform. By default,
active sheet will be considered. It is applicable only for model type Row and Column.

Returns void

deleteChart

Used to delete the chart from spreadsheet.

    <div id="spreadsheet"></div>
    <button id="apply-button">Delete Chart</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    created: (): void => {
        // Insert a chart into a spreadsheet using the chart options specified.
        spreadsheet.insertChart([{ type: "Line", theme: "Material", isSeriesInRows: false, range: "A1:B5", id: "Chart" }]);
    }
});

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Delete the chart with the specified chart element ID from the spreadsheet.
    spreadsheet.deleteChart("Chart");
};
Parameter Type Description
id (optional) string Specifies the chart element id.

Returns void

deleteImage

Used to delete the image in spreadsheet.

    <div id="spreadsheet"></div>
    <button id="apply-button">Delete Image</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    created: (): void => {
        // Insert a image into a spreadsheet using the image options specified.
        spreadsheet.insertImage([{ src: "https://www.w3schools.com/images/w3schools_green.jpg", height: 400, width: 400 }], "A3");
    }
});

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Delete the image with the specified image element ID from the spreadsheet.
    spreadsheet.deleteImage("spreadsheet_overlay_picture_1", "A3");
};
Parameter Type Description
id string Specifies the id of the image element to be deleted.
range (optional) string Specifies the range in spreadsheet.

Returns void

deselectChart

Allows you to remove a selection from the active chart.

Returns void

deselectImage

Allows you to remove a selection from the active image.

Returns void

destroy

Destroys the component (detaches/removes all event handlers, attributes, classes, and empties the component element).

    <div id="spreadsheet"></div>
    <button id="apply-button">Destroy Spreadsheet</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    spreadsheet.destroy();
};

Returns void

detachUnloadEvent

Removing unload event to persist data when enable persistence true

Returns void

duplicateSheet

Used to make a duplicate/copy of the sheet in the spreadsheet.

    <div id="spreadsheet"></div>
    <button id="apply-button">Make Duplicate Sheet</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Make a duplicate/copy of the active sheet in the spreadsheet.
    spreadsheet.duplicateSheet();
    // Make a duplicate/copy of the specified sheet index in the spreadsheet.
    spreadsheet.duplicateSheet(0);
};
Parameter Type Description
sheetIndex (optional) number Specifies the index of the sheet to be duplicated. By default, the active sheet will be duplicated.

Returns void

enableContextMenuItems

To enable / disable context menu items.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    contextMenuBeforeOpen: (): void => {
        // Disable the 'Hyperlink' context menu option.
        spreadsheet.enableContextMenuItems(['Hyperlink'], false, false);
        // You can disable the option by specifying the context menu option id.
        spreadsheet.enableContextMenuItems(
            ['spreadsheet_cmenu_copy'],
            false,
            true
        );
    }
});

spreadsheet.appendTo('#spreadsheet');
Parameter Type Description
items string[] Items that needs to be enabled / disabled.
enable boolean Set true / false to enable / disable the menu items.
isUniqueId (optional) boolean Set true if the given text is a unique id.

Returns void

enableFileMenuItems

To enable / disable file menu items.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    fileMenuBeforeOpen: (): void => {
        // Disable the 'New' option in the File menu.
        spreadsheet.enableFileMenuItems(['New'], false, false);
    }
});

spreadsheet.appendTo('#spreadsheet');
Parameter Type Description
items string[] Items that needs to be enabled / disabled.
enable boolean Set true / false to enable / disable the menu items.
isUniqueId (optional) boolean Set true if the given file menu items text is a unique id.

Returns void

enableRibbonTabs

To enable / disable the existing ribbon tabs.

    <div id="spreadsheet"></div>
    <button id="apply-button">Disable Home Ribbon Tab</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Disable the 'Home' option in the Ribbon.
    spreadsheet.enableRibbonTabs(['Home'], false);
};
Parameter Type Description
tabs string[] Specifies the tab header text which needs to be enabled / disabled.
enable boolean Set true / false to enable / disable the ribbon tabs.

Returns void

enableToolbarItems

Enables or disables the specified ribbon toolbar items or all ribbon items.

    <div id="spreadsheet"></div>
    <button class="e-btn" id="apply-button">To Enable/Disable Toolbar Items</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Disable the list of toolbar items in the 'Home' ribbon tab.
    spreadsheet.enableToolbarItems(
        'Home',
        ['spreadsheet_line-through'],
        false
    );
    spreadsheet.enableToolbarItems('Home', [3, 4], false);
};
Parameter Type Description
tab string Specifies the ribbon tab header text under which the toolbar items need to be enabled / disabled.
items (optional) number[] | string[] Specifies the toolbar item indexes / unique id’s which needs to be enabled / disabled.
If it is not specified the entire toolbar items will be enabled / disabled.
enable (optional) boolean Boolean value that determines whether the toolbar items should be enabled or disabled.

Returns void

endEdit

If Spreadsheet is in editable state, you can save the cell by invoking endEdit.

    <div id="spreadsheet"></div>
    <button id="apply-button">End Edit</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

    let spreadsheet: Spreadsheet = new Spreadsheet();

    spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // If the spreadsheet is editable, you can use this method to save the cell.
    spreadsheet.endEdit();
};

Returns void

find

To find the specified cell value.

    <div id="spreadsheet"></div>
    <button id="apply-button">To Find</button>
import { Spreadsheet, FindOptions } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // To find the cell value specified.
    let findOption: FindOptions = {
        value: "Jenna Schoolfield", sheetIndex: 0, findOpt: "next", mode: "Sheet", isCSen: false,
        isEMatch: false, searchBy: "By Row"
    };
    spreadsheet.find(findOption);
};
Parameter Type Description
args FindOptions Specifies the replace value with find args to replace specified cell value.

Returns void | string

findAll

To Find All the Match values Address within Sheet or Workbook.

    <div id="spreadsheet"></div>
    <button id="apply-button">To Find All</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // To find all values that match within a sheet or workbook.
    spreadsheet.findAll('shoes', 'Sheet', false, false, spreadsheet.getActiveSheet().id - 1);
};
Parameter Type Description
value string Specifies the value to find.
mode (optional) string Specifies the value to be find within Sheet/Workbook.
isCSen (optional) boolean Specifies the find match with case sensitive or not.
isEMatch (optional) boolean Specifies the find match with entire match or not.
sheetIndex (optional) number Specifies the sheetIndex. If not specified, it will consider the active sheet.

Returns string[]

freezePanes

This method is used to freeze rows and columns after the specified cell in the Spreadsheet.

Parameter Type Description
row number Specifies the freezed row count.
column number Specifies the freezed column count.
sheet (optional) number | string Specifies the sheet name or index in which the freeze operation will perform. By default,
active sheet will be considered.

Returns void

getData

Gets the range of data as JSON from the specified address.

    <div id="spreadsheet"></div>
    <button id="apply-button">Get Data</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Return the specified cell address data as JSON.
    spreadsheet.getData("Sheet1!A1:B2").then(data => console.log(data));
    spreadsheet.getData("A1:B2").then(data => console.log(data));
};
Parameter Type Description
address string Specifies the address for range of cells.

Returns Promise

getDisplayText

Gets the formatted text of the cell.

    <div id="spreadsheet"></div>
    <button id="apply-button">Get Display text</button>
import { Spreadsheet, CellModel, getCell } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Get the cell model for the given row, column, and sheet indexes.
    let cell: CellModel = getCell(0, 0, spreadsheet.getActiveSheet());
    // To get the formatted cell value, specify the cell model.
    spreadsheet.getDisplayText(cell);
};
Parameter Type Description
cell CellModel Specifies the cell.

Returns string

getLocalData

Returns the persistence data for component

Returns any

getRootElement

Returns the route element of the component

Returns HTMLElement

getRowData

Used to get a row data from the data source with updated cell value.

Parameter Type Description
index (optional) number Specifies the row index.
sheetIndex (optional) number Specifies the sheet index. By default, it consider the active sheet index.

Returns Object[]

getSelectAllContent

Get the select all div of spreadsheet

Returns HTMLElement

goTo

Used to navigate to cell address within workbook.

    <div id="spreadsheet"></div>
    <button id="apply-button">Goto</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // To navigate to a cell address within a workbook.
    spreadsheet.goTo('B1');
    // You can navigate to a specific cell address by specifying the sheet name as well as the cell address.
    spreadsheet.goTo('Sheet2!B1');
};
Parameter Type Description
address string Specifies the cell address you need to navigate.
You can specify the address in two formats,
{sheet name}!{cell address} - Switch to specified sheet and navigate to specified cell address.
{cell address} - Navigate to specified cell address with in the active sheet.

Returns void

handleUnload

Handling unload event to persist data when enable persistence true

Returns void

hideColumn

Used to hide/show the columns in spreadsheet.

Parameter Type Description
startIndex number Specifies the start column index.
endIndex number Specifies the end column index.
hide boolean Set true / false to hide / show the columns.

Returns void

hideFileMenuItems

To show/hide the file menu items in Spreadsheet ribbon.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    fileMenuBeforeOpen: (): void => {
        //To show/hide the file menu item.
        spreadsheet.hideFileMenuItems(['PDF Document'], true);
    }
});

spreadsheet.appendTo('#spreadsheet');
Parameter Type Description
items string[] Specifies the file menu items text which is to be show/hide.
hide boolean Set true / false to hide / show the file menu items.
isUniqueId (optional) boolean Set true if the given file menu items text is a unique id.

Returns void

hideRibbonTabs

To show/hide the existing ribbon tabs.

    <div id="spreadsheet"></div>
    <button id="apply-button">Hide Ribbon Tabs</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Hide the existing 'Formulas' and 'Insert' ribbon tabs.
    spreadsheet.hideRibbonTabs(['Formulas', 'Insert'], true);
};
Parameter Type Description
tabs string[] Specifies the tab header text which needs to be shown/hidden.
hide boolean Set true / false to hide / show the ribbon tabs.

Returns void

hideRow

Used to hide/show the rows in spreadsheet.

Parameter Type Description
startIndex number Specifies the start row index.
endIndex number Specifies the end row index.
hide boolean To hide/show the rows in specified range.

Returns void

hideSpinner

To hide showed spinner manually.

    <div id="spreadsheet"></div>
    <button id="apply-button">Hide Spinner</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    //To manually hide the displayed spinner.
    spreadsheet.hideSpinner();
};

Returns void

hideToolbarItems

To show/hide the existing Spreadsheet ribbon toolbar items.

    <div id="spreadsheet"></div>
    <button id="apply-button">Hide Toolbar Items</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // To show or hide the ribbon toolbar items with the specified tab name and index.
    spreadsheet.hideToolbarItems('Home', [0, 1, 2, 4, 14, 15, 22, 23, 24]);
    spreadsheet.hideToolbarItems('View', [1, 2]);
};
Parameter Type Description
tab string Specifies the ribbon tab header text under which the specified items needs to be hidden / shown.
indexes number[] Specifies the toolbar indexes which needs to be shown/hidden from UI.
hide boolean Set true / false to hide / show the toolbar items.

Returns void

insertChart

Used to set the chart in spreadsheet.

    <div id="spreadsheet"></div>
    <button id="apply-button">Insert Chart</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Insert a chart into a spreadsheet using the chart options specified.
    spreadsheet.insertChart([{ type: "Line", theme: "Material", isSeriesInRows: false, range: "A1", id: "Chart" }]);
};
Parameter Type Description
chart (optional) ChartModel[] Specifies the options to insert chart in spreadsheet

Returns void

insertColumn

Used to insert columns in to the spreadsheet.

    <div id="spreadsheet"></div>
    <button id="apply-button">Insert Column</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Insert the column at the starting column index specified.
    spreadsheet.insertColumn([{ index: 1, width: 95 }], 1);
};
Parameter Type Description
startColumn (optional) number | ColumnModel[] Specifies the start column index / column model which needs to be inserted.
endColumn (optional) number Specifies the end column index.
sheet (optional) number | string Specifies the sheet name or index in which the insert operation will perform. By default,
active sheet will be considered.

Returns void

insertImage

Used to set the image in spreadsheet.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    created: (): void => {
        // Insert a image into a spreadsheet using the image options specified.
        spreadsheet.insertImage([{ src: "https://www.w3schools.com/images/w3schools_green.jpg", height: 400, width: 400 }], "A1");
    }
});

spreadsheet.appendTo('#spreadsheet');
Parameter Type Description
images ImageModel[] Specifies the options to insert image in spreadsheet.
range (optional) string Specifies the range in spreadsheet.

Returns void

insertRow

Used to insert rows in to the spreadsheet.

    <div id="spreadsheet"></div>
    <button id="apply-button">Insert Row</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Insert the row at the starting row index specified.
    spreadsheet.insertRow(4, 4);
};
Parameter Type Description
startRow (optional) number | RowModel[] Specifies the start row index / row model which needs to be inserted.
endRow (optional) number Specifies the end row index.
sheet (optional) number | string Specifies the sheet name or index in which the insert operation will perform. By default,
active sheet will be considered.

Returns void

insertSheet

Used to insert sheets in to the spreadsheet.

    <div id="spreadsheet"></div>
    <button id="apply-button">Insert Sheet</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Insert the sheet at the starting sheet index specified.
    spreadsheet.insertSheet(0, 2);
};
Parameter Type Description
startSheet (optional) number | SheetModel[] Specifies the start sheet index / sheet model which needs to be inserted.
endSheet (optional) number Specifies the end sheet index.

Returns void

isValidCell

To determine whether the cell value in a data validation applied cell is valid or not.

Parameter Type Description
cellAddress (optional) string Address of the cell.

Returns boolean

lockCells

Applies cell lock to the specified range of cells.

    <div id="spreadsheet"></div>
    <button id="apply-button">Lock Cells</button>
import { Spreadsheet, ProtectSettingsModel } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    //To protect the worksheet.
    let protectSetting: ProtectSettingsModel = {
        selectCells: true,
        formatCells: false,
        formatRows: false,
        formatColumns: false,
        insertLink: false
    };
    spreadsheet.protectSheet('Sheet1', protectSetting);
    // To unlock the A2:AZ100 cell range.
    spreadsheet.lockCells('A2:AZ100', false);
    // To lock the A1:Z1 cell range.
    spreadsheet.lockCells('A1:Z1', true);
};
Parameter Type Description
range (optional) string Specifies the address for the range of cells.
isLocked (optional) boolean -Specifies the cell is locked or not.

Returns void

merge

Used to merge the range of cells.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    created: (): void => {
        // To merge the cells in the specified range.
        spreadsheet.merge('B1:E2');
    }
});

spreadsheet.appendTo('#spreadsheet');
Parameter Type Description
range (optional) string Specifies the range of cells as address.
type (optional) MergeType Specifies the merge type. The possible values are,
- All: Merge all the cells between provided range.
- Horizontally: Merge the cells row-wise.
- Vertically: Merge the cells column-wise.

Returns void

moveSheet

Used to move the sheets to the specified position in the list of sheets.

    <div id="spreadsheet"></div>
    <button id="apply-button">Move Sheets</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    sheets: [{}, {}, {}]
});

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Moves the active sheet to the specified position.
    spreadsheet.moveSheet(1);
    // Moves the list of specified sheets to the specified position.
    spreadsheet.moveSheet(0, [1, 2]);
};
Parameter Type Description
position number Specifies the position to move a sheet in the list of sheets.
sheetIndexes (optional) number[] Specifies the indexes of the sheet to be moved. By default, the active sheet will be moved.

Returns void

numberFormat

Applies the number format (number, currency, percentage, short date, etc…) to the specified range of cells.

    <div id="spreadsheet"></div>
import { Spreadsheet, getFormatFromType } from '@syncfusion/ej2-spreadsheet';
import * as dataSource from './data.json';

let spreadsheet: Spreadsheet = new Spreadsheet({
    sheets: [
        {
            name: 'Car Sales Report',
            ranges: [{ dataSource: dataSource.salesData }]
        },
    ],
    created: (): void => {
        // Apply the number format to the specified range of cells.
        spreadsheet.numberFormat('$#,##0.00', 'E1:E3');
        // Apply the accounting format to the specified range of cells.
        spreadsheet.numberFormat(getFormatFromType('Accounting'), 'C3:E10');
        // Apply the percentage format to the specified range of cells.
        spreadsheet.numberFormat('0%', 'F3:F10');
    }
});

spreadsheet.appendTo('#spreadsheet');
Parameter Type Description
format string Specifies the number format code.
range (optional) string Specifies the address for the range of cells.

Returns void

open

Opens the Excel file.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    openUrl: 'https://services.syncfusion.com/js/production/api/spreadsheet/open',
    saveUrl: 'https://services.syncfusion.com/js/production/api/spreadsheet/save',
    created: (): void => {
        fetch("https://js.syncfusion.com/demos/ejservices/data/Spreadsheet/LargeData.xlsx")
            .then((response) => {
                response.blob().then((fileBlob) => {
                    let file: File = new File([fileBlob], "Sample.xlsx");
                    spreadsheet.open({ file: file });
                })
            });
    }
});

spreadsheet.appendTo('#spreadsheet');
Parameter Type Description
options OpenOptions Options for opening the excel file.

Returns void

openFromJson

Opens the specified JSON object.

    <div id="spreadsheet"></div>
    <button id="save">Save JSON</button>
    <button id="load">Load JSON</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let response: string;
let spreadsheet: Spreadsheet = new Spreadsheet({
    openUrl: 'hhttps://services.syncfusion.com/js/production/api/spreadsheet/open',
    saveUrl: 'https://services.syncfusion.com/js/production/api/spreadsheet/save'
});

spreadsheet.appendTo('#spreadsheet');

document.getElementById("save").onclick = () => {
    // Save the spreadsheet data as JSON.
    spreadsheet.saveAsJson().then(Json => (response = Json));
};

document.getElementById("load").onclick = () => {
    // Load the JSON data to the spreadsheet.
    spreadsheet.openFromJson({ file: response.jsonObject });
};

The available arguments in options are:

  • file: Specifies the spreadsheet model as object or string. And the object contains the jsonObject, which is saved from spreadsheet using saveAsJson method.
  • triggerEvent: Specifies whether to trigger the openComplete event or not.
Parameter Type Description
options Object Options for opening the JSON object.

Returns void

paste

This method is used to paste the cut or copied cells in to specified address.

    <div id="spreadsheet"></div>
    <button id="paste">Paste Values</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("paste").onclick = () => {
    // Paste the selected cell.
    spreadsheet.paste();
    // Paste all the content to the specified range.
    spreadsheet.paste("B2", "All");
    // Paste only the values to the specified range.
    spreadsheet.paste("B3", "Values");
    // Paste only the formats to the specified range.
    spreadsheet.paste("B4", "Formats");
    // Paste only the formulas to the specified range.
    spreadsheet.paste("B5", "Formulas");
};
Parameter Type Description
address (optional) string Specifies the cell or range address.
type (optional) PasteSpecialType Specifies the type of paste.

Returns void

protectSheet

To protect the particular sheet.

    <div id="spreadsheet"></div>
    <button id="apply-button">Protect Sheet</button>
import { Spreadsheet, ProtectSettingsModel } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    sheets: [{ name: 'Car Sales Report' }]
});

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    //  Protect the particular sheet with specified protect settings.
    let protectSetting: ProtectSettingsModel = {
        selectCells: true,
        formatCells: false,
        formatRows: false,
        formatColumns: false,
        insertLink: false
    }
    spreadsheet.protectSheet('Car Sales Report', protectSetting);
};
Parameter Type Description
sheet (optional) number | string Specifies the sheet to protect.
protectSettings (optional) ProtectSettingsModel Specifies the protect sheet options.
password (optional) string Specifies the password to protect.

Returns void

redo

To perform the redo operation in spreadsheet.

    <div id="spreadsheet"></div>
    <button id="apply-button">Redo Action</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // To perform the redo operation.
    spreadsheet.redo();
};

Returns void

refresh

Used to refresh the spreadsheet in UI level.

    <div id="spreadsheet"></div>
    <button id="apply-button">Refresh Spreadsheet</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // To refresh the spreadsheet.
    spreadsheet.refresh(false);
};
Parameter Type Description
isNew (optional) boolean Specifies true / false to create new workbook in spreadsheet.

Returns void

removeContextMenuItems

To remove existing context menu items.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({

    contextMenuBeforeOpen: (): void => {
        // Remove existing context menu items by specifying item text.
        spreadsheet.removeContextMenuItems(["Cut"]);
    }
});

spreadsheet.appendTo('#spreadsheet');
Parameter Type Description
items string[] Items that needs to be removed.
isUniqueId (optional) boolean Set true if the given text is a unique id.

Returns void

removeDataValidation

This method is used for remove validation.

    <div id="spreadsheet"></div>
    <button id="apply-button">Remove Data Validation</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';
import * as dataSource from './data.json';

let spreadsheet: Spreadsheet = new Spreadsheet({
    sheets: [
        {
            name: 'Car Sales Report',
            ranges: [{ dataSource: (dataSource as any).salesData }]

        }],
    created: (): void => {
        spreadsheet.addDataValidation({ type: 'Decimal', operator: 'LessThan', value1: '100000' }, 'F2:F5');
    }
});
spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Remove the applied data validation on the specified range.
    spreadsheet.removeDataValidation("F2:F5");
};
Parameter Type Description
range (optional) string range that needs to be remove validation.

Returns void

removeDefinedName

Removes the defined name from the Spreadsheet.

    <div id="spreadsheet"></div>
    <button id="apply-button">Remove Defined Name</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    created: (): void => {
        // Set the specified cell range's name to 'Group1'.
        spreadsheet.addDefinedName({ name: 'Group1', refersTo: '=Sheet1!B2' });
    }
});

spreadsheet.appendTo('#spreadsheet');
document.getElementById('apply-button').onclick = () => {
    // Remove the defined names from workbook.
    spreadsheet.removeDefinedName('Group1', 'Workbook');
};
Parameter Type Description
definedName string Specifies the name.
scope string Specifies the scope of the defined name.

Returns boolean

removeEventListener

Removes the handler from the given event listener.

Parameter Type Description
eventName string A String that specifies the name of the event to remove
handler Function Specifies the function to remove

Returns void

To remove the hyperlink in the cell

    <div id="spreadsheet"></div>
    <button class="e-btn" id="apply-button">To Remove Hyperlink</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    created: (): void => {
        // Insert a hyperlink into the 'A5' cell.
        spreadsheet.addHyperlink("https://www.google.com/", "A5");
    }
});

spreadsheet.appendTo('#spreadsheet');

document.getElementById('apply-button').onclick = () => {
    // Remove the hyperlink from the given range.
    spreadsheet.removeHyperlink("A5");
    // You can pass the range along with the sheet name.
    spreadsheet.removeHyperlink("Sheet1!A5");
};
Parameter Type Description
range string To specify the range

Returns void

removeInvalidHighlight

This method is used for remove highlight from invalid data.

    <div id="spreadsheet"></div>
    <button id="appy-button">Remove Invalid Highlight</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';
import * as dataSource from './data.json';
let spreadsheet: Spreadsheet = new Spreadsheet({
    sheets: [
        {
            name: 'Car Sales Report',
            ranges: [{ dataSource: dataSource.salesData }],
        }
    ],
    created: (): void => {
        // Add data validation to the specified range.
        spreadsheet.addDataValidation(
            { type: 'Decimal', operator: 'LessThan', value1: '10000' },
            'F2:F5'
        );
        // Highlight the invalid data on the specified range.
        spreadsheet.addInvalidHighlight('F2:F5');
    }
});

spreadsheet.appendTo('#spreadsheet');
document.getElementById('appy-button').onclick = () => {
    // Remove the invalid data highlight from the given range.
    spreadsheet.removeInvalidHighlight('F2:F5');
};
Parameter Type Description
range (optional) string range that needs to be remove invalid highlight.

Returns void

replace

To replace the specified cell value.

    <div id="spreadsheet"></div>
    <button id="apply-button">Replace Value</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    sheets: [
        {
            name: 'Car Sales Report',
            ranges: [{ dataSource: dataSource.salesData }]
        }
    ]
});

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Replace the cell value with the replace value specified.
    spreadsheet.replace({
        replaceValue: 'Issy Humm',
        sheetIndex: 0,
        replaceBy: 'replace',
        value: 'Jenna Schoolfield',
        findOpt: 'next',
        mode: 'Sheet',
        isCSen: false,
        isEMatch: false,
        searchBy: 'By Row'
    });
};
Parameter Type Description
args FindOptions Specifies the replace value with find args to replace specified cell value.

Returns void

resize

Used to resize the Spreadsheet.

    <div id="spreadsheet"></div>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

window.addEventListener('resize', onResize);

function onResize(): void {
    document.body.style.height = `${document.documentElement.clientHeight}px`;
    spreadsheet.resize();
}

Returns void

save

Saves the Spreadsheet data to Excel file.

    <div id="spreadsheet"></div>
    <button id="apply-button">To Save</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    openUrl: 'https://services.syncfusion.com/js/production/api/spreadsheet/open',
    saveUrl: 'https://services.syncfusion.com/js/production/api/spreadsheet/save'
});

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Save the spreadsheet data to an Excel file with the filename and extension you specify.
    spreadsheet.save({ url: 'https://services.syncfusion.com/js/production/api/spreadsheet/save', fileName: 'Worksheet', saveType: 'Xlsx' });
};

The available arguments in saveOptions are:

  • url: Specifies the save URL.
  • fileName: Specifies the file name.
  • saveType: Specifies the file type need to be saved.
Parameter Type Description
saveOptions SaveOptions Options for saving the excel file.

Returns void

saveAsJson

Saves the Spreadsheet data as JSON object.

    <div id="spreadsheet"></div>
    <button id="save">Save JSON</button>
    <button id="load">Load JSON</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let response: String;
let spreadsheet: Spreadsheet = new Spreadsheet({
    openUrl: 'https://services.syncfusion.com/js/production/api/spreadsheet/open',
    saveUrl: 'https://services.syncfusion.com/js/production/api/spreadsheet/save'
});

spreadsheet.appendTo('#spreadsheet');

document.getElementById("save").onclick = () => {
    // Save the spreadsheet data as JSON.
    spreadsheet.saveAsJson().then(Json => (response = Json));
};

document.getElementById("load").onclick = () => {
    // Load the JSON data to the spreadsheet.
    spreadsheet.openFromJson({ file: response.jsonObject });
};

Returns Promise

selectChart

Allows you to select a chart from the active sheet. To select a specific chart from the active sheet, pass the chart id. If you pass an empty argument, the chart present in the active cell will be selected. If the active cell does not have a chart, the initially rendered chart will be selected from the active sheet.

Parameter Type Description
id (optional) string Specifies the chart id to be selected.

Returns void

selectImage

Allows you to select an image from the active sheet. To select a specific image from the active sheet, pass the image id. If you pass an empty argument, the image present in the active cell will be selected. If the active cell does not have an image, the initially rendered image will be selected from the active sheet.

Parameter Type Description
id (optional) string Specifies the image id to be selected.

Returns void

selectRange

Selects the cell / range of cells with specified address.

    <div id="spreadsheet"></div>
    <button id="apply-button">Select Range</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Selects the cell / range of cells with the specified address.
    spreadsheet.selectRange("B7:B8");
};
Parameter Type Description
address string Specifies the range address.

Returns void

setBorder

Sets the border to specified range of cells.

    <div id="spreadsheet"></div>
    <button id="apply-button">Set Border</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Sets the border to the specified cell range.
    spreadsheet.setBorder({ border: '1px solid #000000' }, 'C6:G8', 'Outer');
    spreadsheet.setBorder({ border: '1px solid #000000' });
};

Returns void

setColWidth

Set the width of column.

    <div id="spreadsheet"></div>
    <button id="apply-button">Set Column Width</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // To specify the width of a column of the given size and index.
    spreadsheet.setColWidth(140, 2, 0);
};
Parameter Type Description
width number | string To specify the width
colIndex number To specify the colIndex
sheetIndex (optional) number To specify the sheetIndex

Returns void

setColumnsWidth

Allows you to set the width to the single or multiple columns.

Parameter Type Description
width number Specifies the width for column.
ranges (optional) string[] Specifies the column range to set the width. If the sheet name is not specified then width will apply to
the column in the active sheet. Possible values are
* Single column range: [‘F’] or [‘F:F’]
* Multiple columns range: [‘A:F’]
* Multiple columns with discontinuous range - [‘A:C’, ‘G:I’, ‘K:M’]
* Multiple columns with different sheets - [‘Sheet1!A:H’, ‘Sheet2!A:H’, ‘Sheet3!A:H’].

Returns void

setRowHeight

Set the height of row.

     <div id="spreadsheet"></div>
    <button id="apply-button">Set Row Height</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // To specify the height of a row of a given size and index.
    spreadsheet.setRowHeight(40, 2, 0);
};
Parameter Type Description
height number | string Specifies height needs to be updated. If not specified, it will set the default height 20.
rowIndex number Specifies the row index. If not specified, it will consider the first row.
sheetIndex (optional) number Specifies the sheetIndex. If not specified, it will consider the active sheet.
edited (optional) boolean Specifies the boolean value.

Returns void

setRowsHeight

Allows you to set the height to the single or multiple rows.

Parameter Type Description
height number Specifies the height for row.
ranges (optional) string[] Specifies the row range to set the height. If the sheet name is not specified then height will apply to
the rows in the active sheet. Possible values are
* Single row range: [‘2’] or [‘2:2’]
* Multiple rows range: [‘1:100’]
* Multiple rows with discontinuous range - [‘1:10’, ‘15:25’, ‘30:40’]
* Multiple rows with different sheets - [‘Sheet1!1:50’, ‘Sheet2!1:50’, ‘Sheet3!1:50’].

Returns void

showSpinner

By default, Spreadsheet shows the spinner for all its actions. To manually show spinner you this method at your needed time.

     <div id="spreadsheet"></div>
    <button id="apply-button">Show Spinner</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // To manually display the spinner at the desired time.
    spreadsheet.showSpinner();
};

Returns void

sort

Sorts the range of cells in the active sheet.

    <div id="spreadsheet"></div>
    <button id="apply-button">Apply Sort</button>
import {
    Spreadsheet
} from '@syncfusion/ej2-spreadsheet';
import * as dataSource from './data.json';

let spreadsheet: Spreadsheet = new Spreadsheet({
    sheets: [
        {
            name: 'Car Sales Report',
            ranges: [{ dataSource: dataSource.salesData }]
        }
    ]
});

spreadsheet.appendTo('#spreadsheet');

document.getElementById('apply-button').onclick = () => {
   // To sort multiple columns using the SortOptions and range specified.
    spreadsheet.sort({ containsHeader: true }, 'A1:H11');
};
Parameter Type Description
sortOptions (optional) SortOptions options for sorting.
range (optional) string address of the data range.

Returns Promise

startEdit

Start edit the active cell.

     <div id="spreadsheet"></div>
    <button id="apply-button">To Start Edit</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // To begin editing in the currently active cell.
    spreadsheet.startEdit();
};

Returns void

unMerge

Used to split the merged cell into multiple cells.

    <div id="spreadsheet"></div>
    <button id="apply-button">UnMerge Cells</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    created: (): void => {
        spreadsheet.merge('B1:E2');
    },
});
spreadsheet.appendTo('#spreadsheet');

document.getElementById('apply-button').onclick = () => {
    //To split the merged cell into multiple cells.
    spreadsheet.unMerge('B1:E2');
};
Parameter Type Description
range (optional) string Specifies the range of cells as address.

Returns void

undo

To perform the undo operation in spreadsheet.

     <div id="spreadsheet"></div>
    <button id="apply-button">Undo Action</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // To perform the undo operation.
    spreadsheet.undo();
};

Returns void

unfreezePanes

This method is used to unfreeze the frozen rows and columns from spreadsheet.

Parameter Type Description
sheet (optional) number | string Specifies the sheet name or index in which the unfreeze operation will perform. By default,
active sheet will be considered.

Returns void

unprotectSheet

To unprotect the particular sheet.

    <div id="spreadsheet"></div>
    <button id="apply-button">To Unprotect Sheet</button>
import { Spreadsheet, ProtectSettingsModel } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    sheets: [{ name: 'Car Sales Report' }],
    created: (): void => {
        // To protect the particular sheet with the specified protect settings.
        let protectSetting: ProtectSettingsModel = {
            selectCells: true,
            formatCells: false,
            formatRows: false,
            formatColumns: false,
            insertLink: false
        };
        spreadsheet.protectSheet('Car Sales Report', protectSetting);
    }
});

spreadsheet.appendTo('#spreadsheet');
document.getElementById('apply-button').onclick = () => {
    // To remove the sheet protection with the specified sheet index.
    spreadsheet.unprotectSheet('1');
    // You can specify the sheet name to unprotect.
    spreadsheet.unprotectSheet('Car Sales Report');
};
Parameter Type Description
sheet (optional) number | string Specifies the sheet name or index to Unprotect.

Returns void

updateAction

To update the action which need to perform.

    <div id="spreadsheet"></div>
    <button id="apply-button">Update Action</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    sheets: [
        {
            name: 'Car Sales Report'
        }]
});

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // To update the action with the specified action name and event options.
    spreadsheet.updateAction({ action: 'cellSave', eventArgs: { value: 'Custom value', address: 'Car Sales Report!M2' } });
    spreadsheet.updateAction({ action: 'wrap', eventArgs: { address: 'Car Sales Report!M2', wrap: true } });
};
Parameter Type Description
options CollaborativeEditArgs It describes an action and event args to perform.

Returns void

updateCell

To update a cell properties.

    <div id="spreadsheet"></div>
    <button id="apply-button">Update Cell</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("apply-button").onclick = () => {
    // Update the properties of a cell to the specified cell address.
    spreadsheet.updateCell({ value: 'Custom Value' }, "A3");
    spreadsheet.updateCell({ value: 'Custom Value' }, "Sheet1!A4");
};
Parameter Type Description
cell CellModel Cell properties.
address (optional) string Address to update.

Returns void

updateRange

This method is used to update the Range property in specified sheetIndex.

Parameter Type Description
range RangeModel Specifies the range properties to update.
sheetIdx (optional) number Specifies the sheetIdx to update.

Returns void

updateUndoRedoCollection

To update the undo redo collection in spreadsheet.

     <div id="spreadsheet"></div>
     <button id="apply-button"> Add/remove Class</button>
     <style>
		.customClass.e-cell {
			background-color: red;
		}
	</style>
import { addClass, removeClass } from '@syncfusion/ej2-base';
import { Spreadsheet, getRangeIndexes, SortEventArgs, CellSaveEventArgs, SaveCompleteEventArgs } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet({
    actionComplete: (args: SortEventArgs|CellSaveEventArgs|SaveCompleteEventArgs|Object): void => {
        if (args.eventArgs.action == "customCSS") {
            let Element: HTMLElement = spreadsheet.getCell(args.eventArgs.rowIdx, args.eventArgs.colIdx);
            if (args.eventArgs.requestType == "undo") {
                // To remove the custom class in the undo action.
                removeClass([Element], 'customClass');
            }
            else {
                // To add the custom class in the redo action.
                addClass([Element], 'customClass');
            }
        }
    }
});

spreadsheet.appendTo('#spreadsheet');
document.getElementById("apply-button").addEventListener('click', updateCollection);

function updateCollection() {
    let cell: string = spreadsheet.getActiveSheet().activeCell;
    let cellIdx: number[] = getRangeIndexes(cell);
    let Element: HTMLElement = spreadsheet.getCell(cellIdx[0], cellIdx[1]);
    if (!Element.classList.contains("customClass")) {
        // To add the custom class in the active cell element.
        addClass([Element], 'customClass');
        // To update the undo and redo collection.
        spreadsheet.updateUndoRedoCollection({ eventArgs: { class: 'customClass', rowIdx: cellIdx[0], colIdx: cellIdx[1], action: 'customCSS' } });
    }
}
Parameter Type Description
args { [key: string]: Object } options for undo redo.

Returns void

wrap

This method is used to wrap/unwrap the text content of the cell.

    <div id="spreadsheet"></div>
    <button id="wrap">To Wrap</button>
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';

let spreadsheet: Spreadsheet = new Spreadsheet();

spreadsheet.appendTo('#spreadsheet');

document.getElementById("wrap").onclick = () => {
    // To wrap/unwrap the cell's text content with the specified address.
    spreadsheet.wrap("B5", true);
};
Parameter Type Description
address string Address of the cell to be wrapped.
wrap boolean Set false if the text content of the cell to be unwrapped.

Returns void

Inject

Dynamically injects the required modules to the component.

Parameter Type Description
moduleList Function[] ?

Returns void

Events

actionBegin

EmitType<BeforeCellFormatArgs|BeforeOpenEventArgs|BeforeSaveEventArgs|BeforeSelectEventArgs|BeforeSortEventArgs|CellEditEventArgs|MenuSelectEventArgs>

Triggers when the Spreadsheet actions (such as editing, formatting, sorting etc..) are starts.

<div id='Spreadsheet'></div>
new Spreadsheet({
      actionBegin: (args: BeforeCellFormatArgs|BeforeOpenEventArgs|BeforeSaveEventArgs|BeforeSelectEventArgs
                   |BeforeSortEventArgs|CellEditEventArgs|MenuSelectEventArgs) => {
      }
     ...
 }, '#Spreadsheet');

actionComplete

EmitType<SortEventArgs|CellSaveEventArgs|SaveCompleteEventArgs|Object``>

Triggers when the spreadsheet actions (such as editing, formatting, sorting etc..) gets completed.

<div id='Spreadsheet'></div>
new Spreadsheet({
      actionComplete: (args: SortEventArgs|CellSaveEventArgs|SaveCompleteEventArgs|Object) => {
      }
     ...
 }, '#Spreadsheet');

afterHyperlinkClick

EmitType<AfterHyperlinkArgs>

Triggers when the Hyperlink function gets completed.

<div id='Spreadsheet'></div>
new Spreadsheet({
      afterHyperlinkClick: (args: AfterHyperlinkArgs ) => {
      }
     ...
 }, '#Spreadsheet');

afterHyperlinkCreate

EmitType<AfterHyperlinkArgs>

Triggers after the hyperlink inserted.

<div id='Spreadsheet'></div>
new Spreadsheet({
      afterHyperlinkCreate: (args: afterHyperlinkArgs ) => {
      }
     ...
 }, '#Spreadsheet');

beforeCellFormat

EmitType<BeforeCellFormatArgs>

Triggers before the cell format applied to the cell.

<div id='Spreadsheet'></div>
new Spreadsheet({
      beforeCellFormat: (args: BeforeCellFormatArgs) => {
      }
     ...
 }, '#Spreadsheet');

beforeCellRender

EmitType<CellRenderEventArgs>

Triggers before the cell appended to the DOM.

<div id='Spreadsheet'></div>
new Spreadsheet({
     beforeCellRender: (args: CellRenderEventArgs) => {
     }
     ...
 }, '#Spreadsheet');

beforeCellSave

EmitType<CellEditEventArgs>

Triggers when before the cell is saved.

<div id='Spreadsheet'></div>
new Spreadsheet({
      beforeCellSave: (args: CellEditEventArgs) => {
      }
     ...
 }, '#Spreadsheet');

beforeCellUpdate

EmitType<BeforeCellUpdateArgs>

Triggers before changing any cell properties.

<div id='Spreadsheet'></div>
 new Spreadsheet({
     beforeCellUpdate: (args: BeforeCellUpdateArgs) => {
     }
     ...
 }, '#Spreadsheet');

beforeConditionalFormat

EmitType<ConditionalFormatEventArgs>

Triggers before apply or remove the conditional format from a cell in a range.

<div id='Spreadsheet'></div>
new Spreadsheet({
      beforeConditionalFormat: (args: ConditionalFormatEventArgs) => {
      }
     ...
 }, '#Spreadsheet');

beforeDataBound

EmitType<Object>

Triggers before the data is populated to the worksheet.

<div id='Spreadsheet'></div>
new Spreadsheet({
      beforeDataBound: (args: Object) => {
      }
     ...
 }, '#Spreadsheet');

beforeHyperlinkClick

EmitType<BeforeHyperlinkArgs>

Triggers when the Hyperlink is clicked.

<div id='Spreadsheet'></div>
new Spreadsheet({
      beforeHyperlinkClick: (args: BeforeHyperlinkArgs ) => {
      }
     ...
 }, '#Spreadsheet');

beforeHyperlinkCreate

EmitType<BeforeHyperlinkArgs>

Triggers before insert a hyperlink.

<div id='Spreadsheet'></div>
new Spreadsheet({
      beforeHyperlinkCreate: (args: BeforeHyperlinkArgs ) => {
      }
     ...
 }, '#Spreadsheet');

beforeOpen

EmitType<BeforeOpenEventArgs>

Triggers before opening an Excel file.

<div id='Spreadsheet'></div>
new Spreadsheet({
      beforeOpen: (args: BeforeOpenEventArgs) => {
      }
     ...
 }, '#Spreadsheet');

beforeSave

EmitType<BeforeSaveEventArgs>

Triggers before saving the Spreadsheet as Excel file.

<div id='Spreadsheet'></div>
new Spreadsheet({
      beforeSave: (args: BeforeSaveEventArgs) => {
      }
     ...
 }, '#Spreadsheet');

beforeSelect

EmitType<BeforeSelectEventArgs>

Triggers before the cell or range of cells being selected.

<div id='Spreadsheet'></div>
new Spreadsheet({
     beforeSelect: (args: BeforeSelectEventArgs) => {
     }
     ...
 }, '#Spreadsheet');

beforeSort

EmitType<BeforeSortEventArgs>

Triggers before sorting the specified range.

<div id='Spreadsheet'></div>
new Spreadsheet({
      beforeSort: (args: BeforeSortEventArgs) => {
      }
     ...
 }, '#Spreadsheet');

cellEdit

EmitType<CellEditEventArgs>

Triggers when the cell is being edited.

<div id='Spreadsheet'></div>
new Spreadsheet({
      cellEdit: (args: CellEditEventArgs) => {
      }
     ...
 }, '#Spreadsheet');

cellEdited

EmitType<CellEditEventArgs>

Triggers when the cell has been edited.

<div id='Spreadsheet'></div>
new Spreadsheet({
      cellEdited: (args: CellEditEventArgs) => {
      }
     ...
 }, '#Spreadsheet');

cellEditing

EmitType<CellEditEventArgs>

Triggers every time a request is made to access cell information. This will be triggered when editing a cell.

<div id='Spreadsheet'></div>
new Spreadsheet({
      cellEditing: (args: CellEditEventArgs) => {
      }
     ...
 }, '#Spreadsheet');

cellSave

EmitType<CellSaveEventArgs>

Triggers when the edited cell is saved.

<div id='Spreadsheet'></div>
new Spreadsheet({
      cellSave: (args: CellSaveEventArgs) => {
      }
     ...
 }, '#Spreadsheet');

contextMenuBeforeClose

EmitType<BeforeOpenCloseMenuEventArgs>

Triggers before closing the context menu.

<div id='Spreadsheet'></div>
new Spreadsheet({
      contextMenuBeforeClose: (args: BeforeOpenCloseMenuEventArgs) => {
      }
     ...
 }, '#Spreadsheet');

contextMenuBeforeOpen

EmitType<BeforeOpenCloseMenuEventArgs>

Triggers before opening the context menu and it allows customizing the menu items.

<div id='Spreadsheet'></div>
new Spreadsheet({
      contextMenuBeforeOpen: (args: BeforeOpenCloseMenuEventArgs) => {
      }
     ...
 }, '#Spreadsheet');

contextMenuItemSelect

EmitType<MenuSelectEventArgs>

Triggers when the context menu item is selected.

<div id='Spreadsheet'></div>
new Spreadsheet({
      contextMenuItemSelect: (args: MenuSelectEventArgs) => {
      }
     ...
 }, '#Spreadsheet');

created

EmitType<Event>

Triggers when the component is created.

<div id='Spreadsheet'></div>
new Spreadsheet({
      created: () => {
      }
     ...
 }, '#Spreadsheet');

dataBound

EmitType<Object>

Triggers when the data is populated in the worksheet.

<div id='Spreadsheet'></div>
new Spreadsheet({
      dataBound: (args: Object) => {
      }
     ...
 }, '#Spreadsheet');

dataSourceChanged

EmitType<DataSourceChangedEventArgs>

Triggers during data changes when the data is provided as dataSource in the Spreadsheet.

<div id='Spreadsheet'></div>
new Spreadsheet({
      dataSourceChanged: (args: DataSourceChangedEventArgs) => {
      }
     ...
 }, '#Spreadsheet');

dialogBeforeOpen

EmitType<DialogBeforeOpenEventArgs>

Triggers before opening the dialog box.

<div id='Spreadsheet'></div>
new Spreadsheet({
      dialogBeforeOpen: (args: DialogBeforeOpenEventArgs) => {
      }
     ...
 }, '#Spreadsheet');

fileMenuBeforeClose

EmitType<BeforeOpenCloseMenuEventArgs>

Triggers before closing the file menu.

<div id='Spreadsheet'></div>
new Spreadsheet({
      fileMenuBeforeClose: (args: BeforeOpenCloseMenuEventArgs) => {
      }
     ...
 }, '#Spreadsheet');

fileMenuBeforeOpen

EmitType<BeforeOpenCloseMenuEventArgs>

Triggers before opening the file menu.

<div id='Spreadsheet'></div>
new Spreadsheet({
      fileMenuBeforeOpen: (args: BeforeOpenCloseMenuEventArgs) => {
      }
     ...
 }, '#Spreadsheet');

fileMenuItemSelect

EmitType<MenuSelectEventArgs>

Triggers when the file menu item is selected.

<div id='Spreadsheet'></div>
new Spreadsheet({
      fileMenuItemSelect: (args: MenuSelectEventArgs) => {
      }
     ...
 }, '#Spreadsheet');

openComplete

EmitType<Object>

Triggers when the spreadsheet importing gets completed.

<div id='Spreadsheet'></div>
new Spreadsheet({
      openComplete: (args: Object) => {
      }
     ...
 }, '#Spreadsheet');

openFailure

EmitType<OpenFailureArgs>

Triggers when the opened Excel file fails to load.

<div id='Spreadsheet'></div>
new Spreadsheet({
      openFailure: (args: OpenFailureArgs) => {
      }
     ...
 }, '#Spreadsheet');

queryCellInfo

EmitType<CellInfoEventArgs>

Triggered every time a request is made to access cell information.

<div id='Spreadsheet'></div>
new Spreadsheet({
     queryCellInfo: (args: CellInfoEventArgs) => {
     }
     ...
 }, '#Spreadsheet');

saveComplete

EmitType<SaveCompleteEventArgs>

Triggers after saving the Spreadsheet as Excel file.

<div id='Spreadsheet'></div>
new Spreadsheet({
      saveComplete: (args: SaveCompleteEventArgs) => {
      }
     ...
 }, '#Spreadsheet');

select

EmitType<SelectEventArgs>

Triggers after the cell or range of cells is selected.

<div id='Spreadsheet'></div>
new Spreadsheet({
     select: (args: SelectEventArgs) => {
     }
     ...
 }, '#Spreadsheet');

sortComplete

EmitType<SortEventArgs>

Triggers after sorting action is completed.

<div id='Spreadsheet'></div>
new Spreadsheet({
      sortComplete: (args: SortEventArgs) => {
      }
     ...
 }, '#Spreadsheet');
Contents
Contents

SpreadsheetComponent
represents the react Spreadsheet.
<SpreadsheetComponent />
number
Specifies active sheet index in workbook.
<div id='Spreadsheet'></div>
new Spreadsheet({
activeSheetIndex: 2
...
}, '#Spreadsheet');
Defaults to 0
boolean
It allows to enable/disable AutoFill functionalities.
Defaults to true
boolean
It allows you to apply styles (font size, font weight, font family, fill color, and more) to the spreadsheet cells.
Defaults to true
boolean
It allows you to insert the chart in spreadsheet.
Defaults to true
boolean
It allows you to apply conditional formatting to the sheet.
Defaults to true
boolean
It allows you to apply validation to the spreadsheet cells.
Defaults to true
boolean
It allows you to delete rows, columns and sheets from spreadsheet.
Defaults to true
boolean
It allows you to add new data or update existing cell data. If it is false, it will act as read only mode.
Defaults to true
boolean
It allows to enable/disable filter and its functionalities.
Defaults to true
boolean
It allows to enable/disable find and replace with its functionalities.
Defaults to true
boolean
It allows to enable/disable freeze pane functionality in spreadsheet.
Defaults to true
boolean
It allows to enable/disable Hyperlink and its functionalities.
Defaults to true
boolean
It allows you to insert the image in spreadsheet.
Defaults to true
boolean
It allows you to insert rows, columns and sheets in to the spreadsheet.
Defaults to true
boolean
It allows you to merge the range of cells.
Defaults to true
boolean
It allows formatting a raw number into different types of formats (number, currency, accounting, percentage, short date, long date, time, fraction, scientific, and text) with built-in format codes.
Defaults to true
boolean
It allows you to open an Excel file (.xlsx, .xls, and .csv) in Spreadsheet.
Defaults to true
boolean
If allowResizing
is set to true, spreadsheet columns and rows can be resized.
Defaults to true
boolean
It allows you to save Spreadsheet with all data as Excel file (.xlsx, .xls, and .csv).
Defaults to true
boolean
It specifies whether the Spreadsheet should be rendered with scrolling or not.
To customize the Spreadsheet scrolling behavior, use the scrollSettings
property.
Defaults to true
boolean
It allows to enable/disable sort and its functionalities.
Defaults to true
boolean
It allows to enable/disable undo and redo functionalities.
Defaults to true
boolean
It allows to enable/disable wrap text feature. By using this feature the wrapping applied cell text can wrap to the next line, if the text width exceeds the column width.
Defaults to true
AutoFillSettingsModel
Configures the auto fill settings.
<div id='Spreadsheet'></div>
new Spreadsheet({
autoFillSettings: {
fillType: 'FillSeries',
showFillOptions: true
}
...
}, '#Spreadsheet');
The autoFillSettings `fillType` property has FOUR values and it is described below:
* CopyCells: To update the copied cells of the selected range.
* FillSeries: To update the filled series of the selected range.
* FillFormattingOnly: To fill the formats only for the selected range.
* FillWithoutFormatting: To fill without the format of the selected range.
Defaults to { fillType: ‘FillSeries’, showFillOptions: true }
CellStyleModel
Specifies the cell style options.
<div id='Spreadsheet'></div>
new Spreadsheet({
...
cellStyle: { fontWeight: 'bold', fontSize: 12,
fontStyle: 'italic', textIndent: '2pt'
backgroundColor: '#4b5366', color: '#ffffff'
},
...
}, '#Spreadsheet');
Defaults to {}
string
To specify a CSS class or multiple CSS class separated by a space, add it in the Spreadsheet root element. This allows you to customize the appearance of component.
<div id='spreadsheet'></div>
new Spreadsheet({
cssClass: 'e-custom1 e-custom2',
...
}, '#spreadsheet');
Defaults to ”
DefineNameModel[]
Specifies the name for a range and uses it in formula for calculation.
<div id='Spreadsheet'></div>
new Spreadsheet({
...
definedNames: [{ name: 'namedRange1', refersTo: 'Sheet1!A1:B5' }],
...
}, '#Spreadsheet');
Defaults to []
boolean
It enables or disables the clipboard operations (cut, copy, and paste) of the Spreadsheet.
Defaults to true
boolean
It enables or disables the context menu option of spreadsheet. By default, context menu will opens for row header, column header, sheet tabs, and cell.
Defaults to true
boolean
It allows you to interact with cell, sheet tabs, formula bar, and ribbon through the keyboard device.
Defaults to true
boolean
It enables shortcut keys to perform Spreadsheet operations like open, save, copy, paste, and more.
Defaults to true
boolean
Enable or disable persisting component’s state between page reloads.
Defaults to false
boolean
Enable or disable rendering component in right to left direction.
Defaults to false
string
| number
Defines the height of the Spreadsheet. It accepts height as pixels, number, and percentage.
<div id='Spreadsheet'></div>
new Spreadsheet({
height: '550px'
...
}, '#Spreadsheet');
Defaults to ‘100%’
boolean
Specifies to protect the workbook.
Defaults to false
string
Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.
Defaults to ”
string
Specifies the service URL to open excel file in spreadsheet.
Defaults to ”
string
Specifies the password.
Defaults to ”
string
Specifies the service URL to save spreadsheet as Excel file.
Defaults to ”
Configures the scroll settings.
<div id='Spreadsheet'></div>
new Spreadsheet({
scrollSettings: {
isFinite: true,
enableVirtualization: false
}
...
}, '#Spreadsheet');
The
allowScrolling
property should betrue
.
Defaults to { isFinite: false, enableVirtualization: true }
Configures the selection settings.
<div id='Spreadsheet'></div>
new Spreadsheet({
selectionSettings: {
mode: 'None'
}
...
}, '#Spreadsheet');
The selectionSettings `mode` property has three values and it is described below:
* None: Disables UI selection.
* Single: Allows single selection of cell, row, or column and disables multiple selection.
* Multiple: Allows multiple selection of cell, row, or column and disables single selection.
Defaults to { mode: ‘Multiple’ }
SheetModel[]
Configures sheets and its options.
<div id='Spreadsheet'></div>
new Spreadsheet({
sheets: [{
name: 'First Sheet',
range: [{ dataSource: data }],
rows: [{
index: 5,
cells: [{ index: 4, value: 'Total Amount:' },
{ formula: '=SUM(F2:F30)', style: { fontWeight: 'bold' } }]
}]
}, {
name: 'Second Sheet',
columns: [{ width: 180 }, { index: 4, width: 130 }]
}]
...
}, '#Spreadsheet');
Defaults to []
boolean
If showAggregate
is set to true, spreadsheet will show the AVERAGE, SUM, COUNT, MIN and MAX values based on the selected cells.
Defaults to true
boolean
It shows or hides the formula bar and its features.
Defaults to true
boolean
It shows or hides the ribbon in spreadsheet.
Defaults to true
boolean
It shows or hides the sheets tabs, this is used to navigate among the sheets and create or delete sheets by UI interaction.
Defaults to true
string
| number
Defines the width of the Spreadsheet. It accepts width as pixels, number, and percentage.
<div id='Spreadsheet'></div>
new Spreadsheet({
width: '550px'
...
}, '#Spreadsheet');
Defaults to ‘100%’
This method is used to unfreeze the frozen rows and columns from the active sheet.
Parameter | Type | Description |
---|---|---|
sheet (optional) | number | string |
Specifies the sheet name or index in which the unfreeze operation will perform. By default, active sheet will be considered. |
Returns void
To add context menu items.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
contextMenuBeforeOpen() {
// To add context menu items in sheet content context menu.
if(closest(args.event.target, '.e-sheet-content')){
this.spreadsheet.addContextMenuItems([{ text: 'Custom Item' }], 'Paste Special', false); //To pass the items, Item before / after that the element to be inserted, Set false if the items need to be inserted before the text.
}
// To add context menu items in column header context menu.
else if(closest(args.event.target, '.e-colhdr-table')){
this.spreadsheet.addContextMenuItems([{ text: 'Custom Column' }], 'Insert Column', false);
}
// To add context menu items in row header context menu.
else if(closest(args.event.target, '.e-rowhdr-table')){
this.spreadsheet.addContextMenuItems([{ text: 'Custom Row' }], 'Insert Row', false);
}
// To add context menu items in sheet tab context menu.
else if(closest(args.event.target, '.e-toolbar-item')){
this.spreadsheet.addContextMenuItems([{ text: 'Custom tab' }], 'Insert', false);
}
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }} contextMenuBeforeOpen={this.contextMenuBeforeOpen.bind(this)}>
</SpreadsheetComponent>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
items | MenuItemModel[] |
Items that needs to be added. |
text | string |
Item before / after that the element to be inserted. |
insertAfter (optional) | boolean |
Set false if the items need to be inserted before the text .By default, items are added after the text . |
isUniqueId (optional) | boolean |
Set true if the given text is a unique id. |
Returns void
To add custom library function.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To add custom library function.
this.spreadsheet.addCustomFunction("CustomFuntion", "SQRT"); // Custom function handler name, Custom function name
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Add CustomFuntion
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
window.CustomFuntion = num => Math.sqrt(num);
Parameter | Type | Description |
---|---|---|
functionHandler | string | Function |
Custom function handler name |
functionName (optional) | string |
Custom function name |
Returns void
This method is used to add data validation.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To add the data validation
this.spreadsheet.addDataValidation({ type: 'TextLength', operator: 'LessThanOrEqualTo', value1: '4' }, 'A2:A5'); // specifies the validation rules, range that needs to be add validation.
this.spreadsheet.addDataValidation({ type: 'WholeNumber', operator: 'NotEqualTo', value1: '1' }, 'B2:B5');
this.spreadsheet.addDataValidation({ type: 'Date', operator: 'NotEqualTo', value1: '04/11/2019' }, 'F2:F5');
this.spreadsheet.addDataValidation({ type: 'Time', operator: 'Between', value1: '10:00:00 AM', value2: '11:00:00 AM' }, 'G2:G5');
this.spreadsheet.addDataValidation({ type: 'Decimal', operator: 'LessThan', value1: '100000.00' }, 'H2:H5');
this.spreadsheet.addDataValidation({ type: 'List', inCellDropDown: true, value1: '10, 20, 30' }, 'I2:I5'); // Specifies InCellDropDown option in Data Validation.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Add Data Validation
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
rules | ValidationModel |
specifies the validation rules like type, operator, value1, value2, ignoreBlank, inCellDropDown, isHighlighted arguments. |
range (optional) | string |
range that needs to be add validation. |
Returns void
Adds the defined name to the Spreadsheet.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To provide name and range arguments in this method
spreadsheet.addDefinedName({name: 'value', refersTo: '=Sheet1!B2' });
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Add DefinedName
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
definedName | DefineNameModel |
Specifies the name, scope, comment, refersTo. |
Returns boolean
To add custom file menu items.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To add custom file menu items
this.spreadsheet.addFileMenuItems([{ text: 'Print' }], 'Save As', false, false); //Specifies the ribbon file menu items to be inserted, text, Set `false` if the `items` need to be inserted before the `text`, isUniqueId? - Set `true` if the given file menu items `text` is a unique id
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Add File Menu Items
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
items | MenuItemModel[] |
Specifies the ribbon file menu items to be inserted. |
text | string |
Specifies the existing file menu item text before / after which the new file menu items to be inserted. |
insertAfter (optional) | boolean |
Set false if the items need to be inserted before the text .By default, items are added after the text . |
isUniqueId (optional) | boolean |
Set true if the given file menu items text is a unique id. |
Returns void
To add the hyperlink in the cell
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To add the hyperlink in the cell
this.spreadsheet.addHyperlink("https://www.google.com/", "A5"); // hyperlink, address
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Add Hyperlink
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
hyperlink | string | HyperlinkModel |
to specify the hyperlink |
address | string |
to specify the address |
displayText (optional) | string |
to specify the text to be displayed, by default value of the cell will be displayed. |
Returns void
This method is used to highlight the invalid data.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
//Highlight Invalid Data
this.spreadsheet.addInvalidHighlight('A1:H5'); //range
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Higlight Invalid Data
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
range (optional) | string |
range that needs to be highlight the invalid data. |
Returns void
To add custom ribbon tabs.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
//To add custom ribbon tabs
this.spreadsheet.addRibbonTabs([{ header: { text: 'Custom' }, content: [{ text: 'Custom', tooltipText: 'Custom Btn' }] }], 'Data'); // items , Specifies the existing ribbon header text before which the new tabs will be inserted.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Add Ribbon Tabs
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
items | RibbonItemModel[] |
Specifies the ribbon tab items to be inserted. |
insertBefore (optional) | string |
Specifies the existing ribbon header text before which the new tabs will be inserted. If not specified, the new tabs will be inserted at the end. |
Returns void
To add the custom items in Spreadsheet ribbon toolbar.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
//To add the custom items in Spreadsheet ribbon toolbar.
this.spreadsheet.addToolbarItems('Home', [{ type: 'Separator' }, { text: 'Custom', tooltipText: 'Custom Btn' }], 15); // Specifies the ribbon tab header text under which the specified items will be inserted, Specifies the ribbon toolbar items that needs to be inserted, Specifies the index text before which the new items will be inserted.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Add Toolbar Items
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
tab | string |
Specifies the ribbon tab header text under which the specified items will be inserted. |
items | ItemModel[] |
Specifies the ribbon toolbar items that needs to be inserted. |
index (optional) | number |
Specifies the index text before which the new items will be inserted. If not specified, the new items will be inserted at the end of the toolbar. |
Returns void
Appends the control within the given HTML Div element.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
//Appends the control within the given HTML Div element.
this.spreadsheet.appendTo('#spreadsheet'); // pass argument as selector of the element, here we passing selector(id) of the spreadsheet element
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
AppendTo
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
selector | string | HTMLElement |
Target element where control needs to be appended. |
Returns void
Applies the filter UI in the range of cells in the sheet.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent, getRangeIndexes, getCellIndexes, getColumnHeaderText } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
//Applies the filter UI in the range of cells in the sheet.
let sheet = this.spreadsheet.getActiveSheet();
let cell = getCellIndexes(sheet.activeCell);
let predicates = [{
field: getColumnHeaderText(cell[1] + 1),
operator: 'equal',
value: getCell(cell[0], cell[1], sheet).value, matchCase: false,
}];
this.spreadsheet.applyFilter(predicates, 'A1:F1');// predicates, range
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Apply Filter
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
predicates (optional) | PredicateModel[] |
Specifies the predicates. |
range (optional) | string |
Specify the range. |
Returns Promise
Used to perform autofill action based on the specified range in spreadsheet.
Parameter | Type | Description |
---|---|---|
fillRange | string |
Specifies the fill range. |
dataRange (optional) | string |
Specifies the data range. |
direction (optional) | string |
Specifies the direction(“Down”,“Right”,“Up”,“Left”) to be filled. |
fillType (optional) | string |
Specifies the fill type(“FillSeries”,“CopyCells”,“FillFormattingOnly”,“FillWithoutFormatting”) for autofill action. |
Returns void
This method is used to autofit the range of rows or columns
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
//This method is used to autofit the range of rows or columns
this.spreadsheet.autoFit("D:F") //To autofit the column
this.spreadsheet.autoFit("5:10"); // To autofit to rows
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
AutoFit
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
range | string |
range of rows or columns that needs to be autofit. |
Returns void
Applies the style (font family, font weight, background color, etc…) to the specified range of cells.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// Applies the style (font family, font weight, background color, etc…) to the specified range of cells.
this.spreadsheet.cellFormat({ fontWeight: 'bold', fontSize: '12pt', backgroundColor: '#279377', color: '#ffffff' }, 'A2:E2');
// Setting common styles to whole table cells
this.spreadsheet.cellFormat({ verticalAlign: 'middle', fontFamily: 'Axettac Demo' }, 'A2:E12');
// Column wise styles setting
this.spreadsheet.cellFormat({ textAlign: 'center' }, 'A2:A12');
// Setting text-indent to 2 and 4 column
let style = { textAlign: 'left', textIndent: '8pt' };
this.spreadsheet.cellFormat(style, 'B2:B12');
this.spreadsheet.cellFormat(style, 'D2:D12');
this.spreadsheet.cellFormat({ fontStyle: 'italic', textAlign: 'right' }, 'C3:C12');
this.spreadsheet.cellFormat({ textAlign: 'center' }, 'E2:E12');
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Cell Format
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
style | CellStyleModel |
Specifies the cell style. |
range (optional) | string |
Specifies the address for the range of cells. |
Returns void
This method is used to Clear contents, formats and hyperlinks in spreadsheet.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
this.spreadsheet.clear({type: 'Clear Contents', range: 'A1:A10'}); // Clear the content in the provided range
this.spreadsheet.clear({type: 'Clear Formats', range: 'A1:A10'}); // Clear the formats applied in the provided range
this.spreadsheet.clear({type: 'Clear Hyperlinks', range: 'A1:A10'}); // Clear the hyperlinks applied in the provided range
this.spreadsheet.clear({type: 'Clear All', range: 'B1:B10'}); // Clear the content, formats and hyperlinks applied in the provided range.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Clear
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
options | ClearOptions |
Options for clearing the content, formats and hyperlinks in spreadsheet. |
Returns void
This method is used for remove conditional formatting.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// This method is used to remove conditional formatting.
this.spreadsheet.clearConditionalFormat("A1:B5"); // range that needs to be remove conditional formatting.
this.spreadsheet.clearConditionalFormat("Sheet1!A1:B5"); // you can also specify the range with sheetname.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Clear Conditional Format
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
range (optional) | string |
range that needs to be remove conditional formatting. |
Returns void
Clears the filter changes of the sheet.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// Clears the filter changes of the sheet.
this.spreadsheet.clearFilter();
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Clear Filter
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
field (optional) | string |
Specify the field. |
Returns void
Cancels the edited state, this will not update any value in the cell.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// Cancels the edited state, this will not update any value in the cell.
this.spreadsheet.closeEdit();
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Close Edit
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Returns void
Used to compute the specified expression/formula.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// Used to compute the specified expression/formula.
this.spreadsheet.computeExpression('522+1'); // pass the expression
this.spreadsheet.computeExpression('=SUM(F2:F3)'); //pass the formula as string.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Compute Expression
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
formula | string |
Specifies the formula(=SUM(A1:A3)) or expression(2+3). |
Returns string | number
This method is used to add conditional formatting.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// This method is used to add conditional formatting.
this.spreadsheet.conditionalFormat({ type: 'BlueDataBar', range: 'D3:D18' });
this.spreadsheet.conditionalFormat({ type: 'OrangeDataBar', range: 'E3:E18' });
this.spreadsheet.conditionalFormat({ type: 'ThreeStars', range: 'F3:F18' });
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Conditional Format
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
conditionalFormat | ConditionalFormatModel |
Specify the conditionalFormat. |
Returns void
To copy the specified cell or cells properties such as value, format, style etc…
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
this.spreadsheet.copy(); //Copy the selected cell
this.spreadsheet.copy('A2'); // specify the address
this.spreadsheet.copy('Car Sales Report!B2') // address with sheet name.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
<SheetsDirective>
<SheetDirective name="Car Sales Report">
</SheetDirective>
</SheetsDirective>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Copy
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
address (optional) | string |
Specifies the range address. |
Returns Promise
To cut the specified cell or cells properties such as value, format, style etc…
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
this.spreadsheet.cut(); //cut the selected cell
this.spreadsheet.cut('A2'); // specify the address
this.spreadsheet.cut('Car Sales Report!B2') // address with sheet name.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
<SheetsDirective>
<SheetDirective name="Car Sales Report">
</SheetDirective>
</SheetsDirective>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Cut
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
address (optional) | string |
Specifies the range address to cut. |
Returns Promise
Used to delete rows, columns and sheets from the spreadsheet.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// Used to delete rows, columns and sheets from the spreadsheet.
this.spreadsheet.delete(1, 1, "Row", "Sheet1"); // start index of row/column, end index of row/column, Model type(Row, Column, Sheet), sheet(sheet name or index)
this.spreadsheet.delete(2, 2, "Column", "Sheet1"); // start index of row/column, end index of row/column, Model type(Row, Column, Sheet), sheet(sheet name or index)
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Delete
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
startIndex (optional) | number |
Specifies the start sheet / row / column index. |
endIndex (optional) | number |
Specifies the end sheet / row / column index. |
model (optional) | string |
Specifies the delete model type. By default, the model is considered as Sheet . The possible values are,- Row: To delete rows. - Column: To delete columns. - Sheet: To delete sheets. |
sheet (optional) | number | string |
Specifies the sheet name or index in which the delete operation will perform. By default, active sheet will be considered. It is applicable only for model type Row and Column. |
Returns void
Used to delete the chart from spreadsheet.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// Used to delete the image in spreadsheet.
this.spreadsheet.deleteImage("spreadsheet_overlay_picture_1", "A3"); //id - Specifies the id of the image element to be deleted, range - Specifies the range in spreadsheet.
};
created() {
// Used to set the image in spreadsheet.
this.spreadsheet.insertImage([{ src: "https://www.w3schools.com/images/w3schools_green.jpg", height: 400, width: 400 }], "A1"); // images - Specifies the options to insert image in spreadsheet, Specifies the range in spreadsheet.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }} created={this.created.bind(this)}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Delete Chart
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
id (optional) | string |
Specifies the chart element id. |
Returns void
Used to delete the image in spreadsheet.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
//Used to delete the chart from spreadsheet.
this.spreadsheet.deleteChart("Chart1"); // id - Specifies the chart element id.
};
created() {
// Used to set the chart in spreadsheet.
this.spreadsheet.insertChart([{ type: "Line", theme: "Material", isSeriesInRows: false, range: "A1", id: "Chart1"}]); // Specifies the options to insert chart in spreadsheet.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }} created={this.created.bind(this)}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Delete Image
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
id | string |
Specifies the id of the image element to be deleted. |
range (optional) | string |
Specifies the range in spreadsheet. |
Returns void
Destroys the component (detaches/removes all event handlers, attributes, classes, and empties the component element).
Returns void
Used to make a duplicate/copy of the sheet in the spreadsheet.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// Make a duplicate/copy of the active sheet in the spreadsheet.
this.spreadsheet.duplicateSheet();
// Make a duplicate/copy of the specified sheet in the spreadsheet.
this.spreadsheet.duplicateSheet(1); // index of the sheet to be duplicated
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>Duplicate Sheet</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
sheetIndex (optional) | number |
Specifies the index of the sheet to be duplicated. By default, the active sheet will be duplicated. |
Returns void
To enable / disable context menu items.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
contextMenuBeforeOpen() {
//To enable / disable context menu items.
this.spreadsheet.enableContextMenuItems(['Copy'], false, false); // Contextmenu Items that needs to be enabled / disabled, Set true / false to enable / disable the menu items, Set true if the given text is a unique id.
this.spreadsheet.enableContextMenuItems(['spreadsheet_cmenu_copy'], false, true); // Contextmenu id that needs to be enabled / disabled, Set true / false to enable / disable the menu items, Set true if the given text is a unique id.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }} contextMenuBeforeOpen={this.contextMenuBeforeOpen.bind(this)}>
</SpreadsheetComponent>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
items | string[] |
Items that needs to be enabled / disabled. |
enable (optional) | boolean |
Set true / false to enable / disable the menu items. |
isUniqueId (optional) | boolean |
Set true if the given text is a unique id. |
Returns void
To enable / disable file menu items.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
fileMenuBeforeOpen() {
// To enable / disable file menu items.
this.spreadsheet.enableFileMenuItems(['New'], false, true); //File menu Items that needs to be enabled / disabled, set `true` / `false` to enable / disable the menu items, set `true` if the given file menu items `text` is a unique id.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }} fileMenuBeforeOpen={this.fileMenuBeforeOpen.bind(this)}>
</SpreadsheetComponent>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
items | string[] |
Items that needs to be enabled / disabled. |
enable (optional) | boolean |
Set true / false to enable / disable the menu items. |
isUniqueId (optional) | boolean |
Set true if the given file menu items text is a unique id. |
Returns void
To enable / disable the existing ribbon tabs.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To enable / disable the existing ribbon tabs.
this.spreadsheet.enableRibbonTabs(['Home'], false); // tabs - Specifies the ribbon tab header text which needs to be enabled / disabled, Set `true` / `false` to enable / disable the ribbon tabs.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Enable Ribbon Tabs
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
tabs | string[] |
Specifies the tab header text which needs to be enabled / disabled. |
enable (optional) | boolean |
Set true / false to enable / disable the ribbon tabs. |
Returns void
Enables or disables the specified ribbon toolbar items or all ribbon items.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To Enables or disables the specified ribbon toolbar items or all ribbon items
this.spreadsheet.enableToolbarItems('Home', ['spreadsheet_line-through'], false); // Specifies the ribbon tab header text under which the toolbar items need to be enabled / disabled, Specifies the toolbar item indexes / unique id's which needs to be enabled / disabled, Boolean value that determines whether the toolbar items should be enabled or disabled.
this.spreadsheet.enableToolbarItems('Home', [3, 4], false); // 3,4 - index
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Enable Toolbar Items
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
tab | string |
Specifies the ribbon tab header text under which the toolbar items need to be enabled / disabled. |
items (optional) | number[] | string[] |
Specifies the toolbar item indexes / unique id’s which needs to be enabled / disabled. If it is not specified the entire toolbar items will be enabled / disabled. |
enable (optional) | boolean |
Boolean value that determines whether the toolbar items should be enabled or disabled. |
Returns void
If Spreadsheet is in editable state, you can save the cell by invoking endEdit.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// If Spreadsheet is in editable state, you can save the cell by invoking endEdit.
this.spreadsheet.endEdit();
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Set Column Width
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Returns void
To find the specified cell value.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To find the specified cell value.
let findOption = {
value: "Jenna Schoolfield", sheetIndex: 1, findOpt: "next", mode: "Sheet", isCSen: false,
isEMatch: false, searchBy: "By Row"
};
this.spreadsheet.find(findOption);
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Find
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
args | FindOptions |
Specifies the replace value with find args to replace specified cell value. |
Returns void | string
To Find All the Match values Address within Sheet or Workbook.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To Find All the Match values Address within Sheet or Workbook.
this.spreadsheet.findAll('shoes', 'Sheet', false, false, spreadsheet.getActiveSheet().id); // Specifies the value to find, Specifies the value to be find within Sheet/Workbook, Specifies the find match with case sensitive or not, Specifies the find match with entire match or not,Specifies the sheetIndex
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
FindAll
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
value | string |
Specifies the value to find. |
mode (optional) | string |
Specifies the value to be find within Sheet/Workbook. |
isCSen (optional) | boolean |
Specifies the find match with case sensitive or not. |
isEMatch (optional) | boolean |
Specifies the find match with entire match or not. |
sheetIndex (optional) | number |
Specifies the sheetIndex. If not specified, it will consider the active sheet. |
Returns string[]
This method is used to freeze rows and columns after the specified cell in the Spreadsheet.
Parameter | Type | Description |
---|---|---|
row (optional) | number |
Specifies the freezed row count. |
column (optional) | number |
Specifies the freezed column count. |
sheet (optional) | number | string |
Specifies the sheet name or index in which the freeze operation will perform. By default, active sheet will be considered. |
Returns void
Gets the range of data as JSON from the specified address.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// Gets the range of data as JSON from the specified address.
this.spreadsheet.getData("Sheet1!A1:B2").then(data => console.log(data)); // Specifies the address with sheet name for range of cells, Gets the range of data as JSON from the specified address
this.spreadsheet.getData("A1:B2").then(data => console.log(data)); // Specifies the address for range of cells, Gets the range of data as JSON from the specified address
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Get Data
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
address | string |
Specifies the address for range of cells. |
Returns Promise
Gets the formatted text of the cell.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent, getCell } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To Gets the formatted text of the cell.
let cell = getCell(0,0, this.spreadsheet.getActiveSheet()); // rowIndex, colIndex, sheetIndex
console.log(this.spreadsheet.getDisplayText(cell)); // to provide the cell model
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Get Display Text
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
cell | CellModel |
Specifies the cell. |
Returns string
Used to get a row data from the data source with updated cell value.
Parameter | Type | Description |
---|---|---|
index (optional) | number |
Specifies the row index. |
sheetIndex (optional) | number |
Specifies the sheet index. By default, it consider the active sheet index. |
Returns Object[]
Get the select all div of spreadsheet
Returns HTMLElement
Used to navigate to cell address within workbook.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// Used to navigate to cell address within workbook.
this.spreadsheet.goTo("B1"); // pass the range
this.spreadsheet.goTo("Sheet2!B1"); // You can specify the sheet name with cell address to navigate the specified cell address
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
GoTo
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
address | string |
Specifies the cell address you need to navigate. You can specify the address in two formats, {sheet name}!{cell address} - Switch to specified sheet and navigate to specified cell address.{cell address} - Navigate to specified cell address with in the active sheet. |
Returns void
Used to hide/show the columns in spreadsheet.
Parameter | Type | Description |
---|---|---|
startIndex | number |
Specifies the start column index. |
endIndex (optional) | number |
Specifies the end column index. |
hide (optional) | boolean |
Set true / false to hide / show the columns. |
Returns void
To show/hide the file menu items in Spreadsheet ribbon.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
//To show/hide the file menu items in Spreadsheet ribbon.
this.spreadsheet.hideFileMenuItems(['File'], true, true); // Specifies the file menu items text which is to be show/hide, Set `true` / `false` to hide / show the file menu items, set `true` if the given file menu items `text` is a unique id.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Hide File Menu Items
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
items | string[] |
Specifies the file menu items text which is to be show/hide. |
hide (optional) | boolean |
Set true / false to hide / show the file menu items. |
isUniqueId (optional) | boolean |
Set true if the given file menu items text is a unique id. |
Returns void
To show/hide the existing ribbon tabs.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
//To show/hide the existing ribbon tabs.
this.spreadsheet.hideRibbonTabs(['Formulas', 'Insert'], true); // specifies the ribbon tab header text which needs to be shown/hidden, Set `true` / `false` to hide / show the ribbon tabs.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Hide Ribbon Tabs
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
tabs | string[] |
Specifies the tab header text which needs to be shown/hidden. |
hide (optional) | boolean |
Set true / false to hide / show the ribbon tabs. |
Returns void
Used to hide/show the rows in spreadsheet.
Parameter | Type | Description |
---|---|---|
startIndex | number |
Specifies the start row index. |
endIndex (optional) | number |
Specifies the end row index. |
hide (optional) | boolean |
To hide/show the rows in specified range. |
Returns void
To hide showed spinner manually.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
//To hide showed spinner manually.
this.spreadsheet.hideSpinner();
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Hide Spinner
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Returns void
To show/hide the existing Spreadsheet ribbon toolbar items.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
//To show/hide the existing Spreadsheet ribbon toolbar items.
this.spreadsheet.hideToolbarItems('Home', [0, 1, 2, 4, 14, 15, 22, 23, 24]); // tab name, index
this.spreadsheet.hideToolbarItems('View', [1, 2]);
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Hide Toolbar Items
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
tab | string |
Specifies the ribbon tab header text under which the specified items needs to be hidden / shown. |
indexes | number[] |
Specifies the toolbar indexes which needs to be shown/hidden from UI. |
hide (optional) | boolean |
Set true / false to hide / show the toolbar items. |
Returns void
Used to set the chart in spreadsheet.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// Used to set the chart in spreadsheet.
this.spreadsheet.insertChart([{ type: "Line", theme: "Material", isSeriesInRows: false, range: "A1", id: "Chart1"}]); // Specifies the options to insert chart in spreadsheet.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Insert Chart
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
chart (optional) | ChartModel[] |
Specifies the options to insert chart in spreadsheet |
Returns void
Used to insert columns in to the spreadsheet.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
//To insert the column
this.spreadsheet.insertColumn([{index: 1, width: 95}], 1); // startColumn (index, column width), endColumn
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Insert Column
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
startColumn (optional) | number | ColumnModel[] |
Specifies the start column index / column model which needs to be inserted. |
endColumn (optional) | number |
Specifies the end column index. |
sheet (optional) | number | string |
Specifies the sheet name or index in which the insert operation will perform. By default, active sheet will be considered. |
Returns void
Used to set the image in spreadsheet.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
created() {
// Used to set the image in spreadsheet.
this.spreadsheet.insertImage([{ src: "https://www.w3schools.com/images/w3schools_green.jpg", height: 400, width: 400 }], "A1"); // images - Specifies the options to insert image in spreadsheet, Specifies the range in spreadsheet.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }} created={this.created.bind(this)}>
</SpreadsheetComponent>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
images | ImageModel[] |
Specifies the options to insert image in spreadsheet. |
range (optional) | string |
Specifies the range in spreadsheet. |
Returns void
Used to insert rows in to the spreadsheet.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
//To insert the row
this.spreadsheet.insertRow(4, 4); // startRow, endRow
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Insert Row
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
startRow (optional) | number | RowModel[] |
Specifies the start row index / row model which needs to be inserted. |
endRow (optional) | number |
Specifies the end row index. |
sheet (optional) | number | string |
Specifies the sheet name or index in which the insert operation will perform. By default, active sheet will be considered. |
Returns void
Used to insert sheets in to the spreadsheet.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
//To insert sheets in to the spreadsheet.
this.spreadsheet.insertSheet(0, 2); // startSheet, endSheet
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Insert Sheet
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
startSheet (optional) | number | SheetModel[] |
Specifies the start sheet index / sheet model which needs to be inserted. |
endSheet (optional) | number |
Specifies the end sheet index. |
Returns void
To determine whether the cell value in a data validation applied cell is valid or not.
Parameter | Type | Description |
---|---|---|
cellAddress (optional) | string |
Address of the cell. |
Returns boolean
Applies cell lock to the specified range of cells.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
//To Applies cell lock to the specified range of cells.
let protectSetting = {
selectCells: true,
formatCells: false,
formatRows: false,
formatColumns: false,
insertLink: false
}
this.spreadsheet.protectSheet("Issues", protectSetting);
this.spreadsheet.lockCells('A2:AZ100', false); // to unlock the A2:Az100 cells
this.spreadsheet.lockCells('A1:Z1', true); // to lock the A1:Z1 cells
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Lock Cells
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
range (optional) | string |
Specifies the address for the range of cells. |
isLocked (optional) | boolean |
-Specifies the cell is locked or not. |
Returns void
Used to merge the range of cells.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
//To merge the range of cells.
this.spreadsheet.merge('B1:E2'); // to pass the range
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Merge
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
range (optional) | string |
Specifies the range of cells as address. |
type (optional) | string |
Specifies the merge type. The possible values are, - All: Merge all the cells between provided range. - Horizontally: Merge the cells row-wise. - Vertically: Merge the cells column-wise. |
Returns void
Used to move the sheets to the specified position in the list of sheets.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// Moves the active sheet to the position in the list of sheets.
this.spreadsheet.moveSheet(1); // position to move
// Moves the list of specified sheets to the position in the list of sheets.
this.spreadsheet.moveSheet(0, [1,2]); // position to move, indexes of the sheets to be moved
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
<SheetsDirective>
<SheetDirective></SheetDirective>
<SheetDirective></SheetDirective>
<SheetDirective></SheetDirective>
</SheetsDirective>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>Move Sheet</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
position | number |
Specifies the position to move a sheet in the list of sheets. |
sheetIndexes (optional) | number[] |
Specifies the indexes of the sheet to be moved. By default, the active sheet will be moved. |
Returns void
Applies the number format (number, currency, percentage, short date, etc…) to the specified range of cells.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent, getFormatFromType } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
//To Applies the number format (number, currency, percentage, short date, etc…) to the specified range of cells.
this.spreadsheet.numberFormat('$#,##0.00', 'E1:E3');
// Applied Accounting format to the cells from C3 to E10 range.
this.spreadsheet.numberFormat(getFormatFromType('Accounting'), 'C3:E10');
// Applied Percentage format to the cells from F3 to F11 range.
this.spreadsheet.numberFormat('0%', 'F3:F10');
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Number Format
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
format | string |
Specifies the number format code. |
range (optional) | string |
Specifies the address for the range of cells. |
Returns void
Opens the Excel file.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To opens the Excel file.
fetch("https://js.syncfusion.com/demos/ejservices/data/Spreadsheet/LargeData.xlsx")
.then((response) => {
response.blob().then((fileBlob) => {
var file = new File([fileBlob], "Sample.xlsx");
this.spreadsheet.open({ file: file });
})
})
};
render() {
return (<div>
<SpreadsheetComponent openUrl='https://ej2services.syncfusion.com/production/web-services/api/spreadsheet/open' saveUrl='https://ej2services.syncfusion.com/production/web-services/api/spreadsheet/save' ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Open
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
options | OpenOptions |
Options for opening the excel file. |
Returns void
Opens the specified JSON object.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
constructor() {
this.response;
}
save() {
this.spreadsheet.saveAsJson().then(Json => (this.response = Json));
};
open() {
this.spreadsheet.openFromJson({ file: this.response.jsonObject }); // To load JSON data in the Spreadsheet.
};
render() {
return (<div>
<SpreadsheetComponent openUrl='https://ej2services.syncfusion.com/production/web-services/api/spreadsheet/open' saveUrl='https://ej2services.syncfusion.com/production/web-services/api/spreadsheet/save' ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.save.bind(this)}>
Save
</button>
<button onClick={this.open.bind(this)}>
Open
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
The available arguments in options are:
Parameter | Type | Description |
---|---|---|
options | Object |
Options for opening the JSON object. |
Returns void
This method is used to paste the cut or copied cells in to specified address.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To paste the cut or copied cells in to specified address.
this.spreadsheet.paste(); //paste the selected cell
this.spreadsheet.paste("B2", "All"); // to pass the range, Specifies the type of paste.
this.spreadsheet.paste("B3", "Values"); // to pass the range, Specifies the type of paste.
this.spreadsheet.paste("B4", "Formats"); // to pass the range, Specifies the type of paste.
this.spreadsheet.paste("B5", "Formulas");// to pass the range, Specifies the type of paste.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Paste
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
address (optional) | string |
Specifies the cell or range address. |
type (optional) | string |
Specifies the type of paste. |
Returns void
To protect the particular sheet.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To protect the particular sheet.
let protectSetting = {
selectCells: true,
formatCells: false,
formatRows: false,
formatColumns: false,
insertLink: false
}
spreadsheet.protectSheet('Car Sales Report', protectSetting); // To provide sheet name, protectSetting
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Protect Sheet
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
sheet (optional) | number | string |
Specifies the sheet to protect. |
protectSettings (optional) | ProtectSettingsModel |
Specifies the protect sheet options. |
password (optional) | string |
Specifies the password to protect. |
Returns void
To perform the redo operation in spreadsheet.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To perform the redo operation in spreadsheet.
this.spreadsheet.redo();
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Redo
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Returns void
Used to refresh the spreadsheet in UI level.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// Used to refresh the spreadsheet
this.spreadsheet.refresh(false); // specifies `true` / `false` to create new workbook in spreadsheet.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Refresh
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
isNew (optional) | boolean |
Specifies true / false to create new workbook in spreadsheet. |
Returns void
To remove existing context menu items.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
contextMenuBeforeOpen() {
// To remove context menu items.
this.spreadsheet.removeContextMenuItems(["Cut"]); //Items that needs to be removed, Set `true` if the given `text` is a unique id.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }} contextMenuBeforeOpen={this.contextMenuBeforeOpen.bind(this)}>
</SpreadsheetComponent>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
items | string[] |
Items that needs to be removed. |
isUniqueId (optional) | boolean |
Set true if the given text is a unique id. |
Returns void
This method is used for remove validation.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// This method is used for remove validation.
this.spreadsheet.removeDataValidation("A2:A5"); // to pass the range
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Remove Data Validation
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
range (optional) | string |
range that needs to be remove validation. |
Returns void
Removes the defined name from the Spreadsheet.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To Removes the defined name from the Spreadsheet.
this.spreadsheet.removeDefinedName({ name: 'value' , scope: 'Workbook'}); //Specifies the name, Specifies the scope of the defined name.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Remove Defined Name
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
definedName | string |
Specifies the name. |
scope | string |
Specifies the scope of the defined name. |
Returns boolean
To remove the hyperlink in the cell
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To remove the hyperlink in the cell
this.spreadsheet.removeHyperlink("A10"); // to pass the range
this.spreadsheet.removeHyperlink("Sheet1!A1"); // you can also pass the range with sheet name
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Remove Hyperlink
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
range | string |
To specify the range |
Returns void
This method is used for remove highlight from invalid data.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To remove highlight from invalid data.
this.spreadsheet.removeInvalidHighlight("A1:H5"); // to pass the range
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Remove Invalid Highlight
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
range (optional) | string |
range that needs to be remove invalid highlight. |
Returns void
To replace the specified cell value.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To replace the specified cell value.
this.spreadsheet.replace({replaceValue: '20', replaceBy: 'replace', value: '10'}); // Specifies the replace value with find args to replace specified cell value.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Replace
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
args | FindOptions |
Specifies the replace value with find args to replace specified cell value. |
Returns void
Used to resize the Spreadsheet.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
window.addEventListener('resize', onResize);
function onResize() {
var spreadsheet = getComponent(document.getElementById('spreadsheet'), 'spreadsheet');
document.body.style.height = `${document.documentElement.clientHeight}px`;
spreadsheet.resize();
}
Returns void
Saves the Spreadsheet data to Excel file.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// Saves the Spreadsheet data to Excel file.
this.spreadsheet.save({ url: 'https://ej2services.syncfusion.com/production/web-services/api/spreadsheet/save', fileName: 'Worksheet', saveType: 'Xlsx' }); // Specifies the save URL, filename, file type need to be saved.
};
render() {
return (<div>
<SpreadsheetComponent openUrl='https://ej2services.syncfusion.com/production/web-services/api/spreadsheet/open' saveUrl='https://ej2services.syncfusion.com/production/web-services/api/spreadsheet/save' ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Save
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
The available arguments in saveOptions are:
Parameter | Type | Description |
---|---|---|
saveOptions (optional) | SaveOptions |
Options for saving the excel file. |
Returns void
Saves the Spreadsheet data as JSON object.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
constructor() {
this.response;
}
save() {
this.spreadsheet.saveAsJson().then(Json => (this.response = Json));
};
open() {
this.spreadsheet.openFromJson({ file: this.response.jsonObject }); // To load JSON data in the Spreadsheet.
};
render() {
return (<div>
<SpreadsheetComponent openUrl='https://ej2services.syncfusion.com/production/web-services/api/spreadsheet/open' saveUrl='https://ej2services.syncfusion.com/production/web-services/api/spreadsheet/save' ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.save.bind(this)}>
Save
</button>
<button onClick={this.open.bind(this)}>
Open
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Returns Promise
Selects the cell / range of cells with specified address.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// Selects the cell / range of cells with specified address.
this.spreadsheet.selectRange("B7:B8");
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Select Range
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
address | string |
Specifies the range address. |
Returns void
Sets the border to specified range of cells.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// Sets the border to specified range of cells.
this.spreadsheet.setBorder({ border: '1px solid #000000' }, 'C6:G8', 'Outer'); // Specifies the style property which contains border value,Specifies the range of cell reference. If not specified, it will considered the active cell reference, Specifies the Border type
this.spreadsheet.setBorder({ border: '1px solid #000000' });
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Set Border
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
style | CellStyleModel |
Specifies the style property which contains border value. |
range (optional) | string |
Specifies the range of cell reference. If not specified, it will considered the active cell reference. |
type (optional) | string |
Specifies the range of cell reference. If not specified, it will considered the active cell reference. |
Returns void
Set the width of column.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// set the width, column index and sheet index in arguments.
this.spreadsheet.setColWidth(120, 2, 1);
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Set Column Width
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
width (optional) | number | string |
To specify the width |
colIndex (optional) | number |
To specify the colIndex |
sheetIndex (optional) | number |
To specify the sheetIndex |
Returns void
Set the height of row.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// set the height, row index and sheet index in arguments.
this.spreadsheet.setRowHeight(40, 2, 1);
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Set Row Height
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
height (optional) | number | string |
Specifies height needs to be updated. If not specified, it will set the default height 20. |
rowIndex (optional) | number |
Specifies the row index. If not specified, it will consider the first row. |
sheetIndex (optional) | number |
Specifies the sheetIndex. If not specified, it will consider the active sheet. |
edited (optional) | boolean |
Specifies the boolean value. |
Returns void
By default, Spreadsheet shows the spinner for all its actions. To manually show spinner you this method at your needed time.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// By default, Spreadsheet shows the spinner for all its actions. To manually show spinner you this method at your needed time.
this.spreadsheet.showSpinner();
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Show Spinner
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Returns void
Sorts the range of cells in the active sheet.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To perform sorting on multiple columns
this.spreadsheet.sort({ containsHeader: true}, 'A1:H11'); // SortOptions(containsHeader, caseSensitive, sortDescriptors) , Range
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Sort
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
sortOptions (optional) | SortOptions |
options for sorting. |
range (optional) | string |
address of the data range. |
Returns Promise
Start edit the active cell.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// Start edit the active cell.
this.spreadsheet.startEdit();
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Start Edit
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Returns void
To perform the undo operation in spreadsheet.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To perform the undo operation in spreadsheet.
this.spreadsheet.undo();
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Undo
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Returns void
This method is used to unfreeze the frozen rows and columns from spreadsheet.
Parameter | Type | Description |
---|---|---|
sheet (optional) | number | string |
Specifies the sheet name or index in which the unfreeze operation will perform. By default, active sheet will be considered. |
Returns void
To unprotect the particular sheet.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To unprotect the particular sheet.
this.spreadsheet.unprotectSheet("1"); // specify the sheet index to Unprotect.
this.spreadsheet.unprotectSheet("Sheet1"); // sspecify the sheet name to Unprotect.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Unprotect Sheet
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
sheet (optional) | number | string |
Specifies the sheet name or index to Unprotect. |
Returns void
To update the action which need to perform.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To update the action which need to perform.
this.spreadsheet.updateAction({action: 'cellSave', eventArgs:{ value: 'Custom value', address: 'Car Sales Report!M2'}}); // acion name, event options.
this.spreadsheet.updateAction({action: 'wrap', eventArgs:{ address: 'Car Sales Report!M2', wrap: true}});
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
<SheetsDirective>
<SheetDirective name="Car Sales Report">
</SheetDirective>
</SheetsDirective>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Update Action
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
options | CollaborativeEditArgs |
It describes an action and event args to perform. |
Returns void
To update a cell properties.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To update a cell properties.
this.spreadsheet.updateCell({ value: 'Custom Value' }, "A3"); // to specify the cell value, range
this.spreadsheet.updateCell({ value: 'Custom Value' }, "Sheet1!A3"); //to specify the cell value, range with sheet name.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Update Cell
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
cell | CellModel |
Cell properties. |
address (optional) | string |
Address to update. |
Returns void
This method is used to update the Range property in specified sheetIndex.
Parameter | Type | Description |
---|---|---|
range | RangeModel |
Specifies the range properties to update. |
sheetIdx (optional) | number |
Specifies the sheetIdx to update. |
Returns void
To update the undo redo collection in spreadsheet.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent, getRangeIndexes } from '@syncfusion/ej2-react-spreadsheet';
import { addClass, removeClass } from '@syncfusion/ej2-base';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
updateCollection() {
let cell = this.spreadsheet.getActiveSheet().activeCell;
let cellIdx = getRangeIndexes(cell);
let Element = this.spreadsheet.getCell(cellIdx[0], cellIdx[1]);
if (!Element.classList.contains("customClass")) {
Element.classList.add('customClass'); // To add the custom class in active cell element
this.spreadsheet.updateUndoRedoCollection({ eventArgs: { class: 'customClass', rowIdx: cellIdx[0], colIdx: cellIdx[1], action: 'customCSS' } }); // To update the undo redo collection
}
}
onActionComplete(args) {
let actionEvents = args;
if (actionEvents.eventArgs.action == "customCSS") {
let Element = this.spreadsheet.getCell(actionEvents.eventArgs.rowIdx, actionEvents.eventArgs.colIdx);
if (actionEvents.eventArgs.requestType == "undo") {
removeClass([Element], 'customClass'); // To remove the custom class in undo action
}
else {
addClass([Element], 'customClass'); // To add the custom class in redo action
}
}
}
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }} actionComplete={this.onActionComplete.bind(this)}>
</SpreadsheetComponent>
<button onClick={this.updateCollection.bind(this)}>
Add/remove Class
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
.customClass.e-cell {
background-color: red;
}
Parameter | Type | Description |
---|---|---|
args | Object |
options for undo redo. |
Returns void
This method is used to wrap/unwrap the text content of the cell.
import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SpreadsheetComponent } from '@syncfusion/ej2-react-spreadsheet';
/**
* Default Spreadsheet sample
*/
export class Default extends React.Component {
onClick() {
// To wrap/unwrap the text content of the cell.
this.spreadsheet.wrap("B5", true); // address, set true if the text content of the cell to be wrapped.
};
render() {
return (<div>
<SpreadsheetComponent ref={(ssObj) => { this.spreadsheet = ssObj }}>
</SpreadsheetComponent>
<button onClick={this.onClick.bind(this)}>
Wrap
</button>
</div>);
}
}
render(<Default />, document.getElementById('sample'));
Parameter | Type | Description |
---|---|---|
address | string |
Address of the cell to be wrapped. |
wrap (optional) | boolean |
Set false if the text content of the cell to be unwrapped. |
Returns void
EmitType<``BeforeCellFormatArgs
|BeforeOpenEventArgs
|BeforeSaveEventArgs
|BeforeSelectEventArgs
|BeforeSortEventArgs
|CellEditEventArgs
|MenuSelectEventArgs
>
Triggers when the Spreadsheet actions (such as editing, formatting, sorting etc..) are starts.
<div id='Spreadsheet'></div>
new Spreadsheet({
actionBegin: (args: BeforeCellFormatArgs|BeforeOpenEventArgs|BeforeSaveEventArgs|BeforeSelectEventArgs
|BeforeSortEventArgs|CellEditEventArgs|MenuSelectEventArgs) => {
}
...
}, '#Spreadsheet');
EmitType<CellSaveEventArgs>
|SaveCompleteEventArgs
|Object
Triggers when the spreadsheet actions (such as editing, formatting, sorting etc..) gets completed.
<div id='Spreadsheet'></div>
new Spreadsheet({
actionComplete: (args: SortEventArgs|CellSaveEventArgs|SaveCompleteEventArgs|Object) => {
}
...
}, '#Spreadsheet');
EmitType<AfterHyperlinkArgs>
Triggers when the Hyperlink function gets completed.
<div id='Spreadsheet'></div>
new Spreadsheet({
afterHyperlinkClick: (args: AfterHyperlinkArgs ) => {
}
...
}, '#Spreadsheet');
EmitType<AfterHyperlinkArgs>
Triggers after the hyperlink inserted.
<div id='Spreadsheet'></div>
new Spreadsheet({
afterHyperlinkCreate: (args: afterHyperlinkArgs ) => {
}
...
}, '#Spreadsheet');
EmitType<BeforeCellFormatArgs>
Triggers before the cell format applied to the cell.
<div id='Spreadsheet'></div>
new Spreadsheet({
beforeCellFormat: (args: BeforeCellFormatArgs) => {
}
...
}, '#Spreadsheet');
Triggers before the cell appended to the DOM.
<div id='Spreadsheet'></div>
new Spreadsheet({
beforeCellRender: (args: CellRenderEventArgs) => {
}
...
}, '#Spreadsheet');
Triggers when before the cell is saved.
<div id='Spreadsheet'></div>
new Spreadsheet({
beforeCellSave: (args: CellEditEventArgs) => {
}
...
}, '#Spreadsheet');
EmitType<BeforeCellUpdateArgs>
Triggers before changing any cell properties.
<div id='Spreadsheet'></div>
new Spreadsheet({
beforeCellUpdate: (args: BeforeCellUpdateArgs) => {
}
...
}, '#Spreadsheet');
EmitType<ConditionalFormatEventArgs>
Triggers before apply or remove the conditional format from a cell in a range.
<div id='Spreadsheet'></div>
new Spreadsheet({
beforeConditionalFormat: (args: ConditionalFormatEventArgs) => {
}
...
}, '#Spreadsheet');
EmitType<Object>
Triggers before the data is populated to the worksheet.
<div id='Spreadsheet'></div>
new Spreadsheet({
beforeDataBound: (args: Object) => {
}
...
}, '#Spreadsheet');
EmitType<BeforeHyperlinkArgs>
Triggers when the Hyperlink is clicked.
<div id='Spreadsheet'></div>
new Spreadsheet({
beforeHyperlinkClick: (args: BeforeHyperlinkArgs ) => {
}
...
}, '#Spreadsheet');
EmitType<BeforeHyperlinkArgs>
Triggers before insert a hyperlink.
<div id='Spreadsheet'></div>
new Spreadsheet({
beforeHyperlinkCreate: (args: BeforeHyperlinkArgs ) => {
}
...
}, '#Spreadsheet');
Triggers before opening an Excel file.
<div id='Spreadsheet'></div>
new Spreadsheet({
beforeOpen: (args: BeforeOpenEventArgs) => {
}
...
}, '#Spreadsheet');
EmitType<BeforeSaveEventArgs>
Triggers before saving the Spreadsheet as Excel file.
<div id='Spreadsheet'></div>
new Spreadsheet({
beforeSave: (args: BeforeSaveEventArgs) => {
}
...
}, '#Spreadsheet');
EmitType<BeforeSelectEventArgs>
Triggers before the cell or range of cells being selected.
<div id='Spreadsheet'></div>
new Spreadsheet({
beforeSelect: (args: BeforeSelectEventArgs) => {
}
...
}, '#Spreadsheet');
EmitType<BeforeSortEventArgs>
Triggers before sorting the specified range.
<div id='Spreadsheet'></div>
new Spreadsheet({
beforeSort: (args: BeforeSortEventArgs) => {
}
...
}, '#Spreadsheet');
Triggers when the cell is being edited.
<div id='Spreadsheet'></div>
new Spreadsheet({
cellEdit: (args: CellEditEventArgs) => {
}
...
}, '#Spreadsheet');
Triggers every time a request is made to access cell information. This will be triggered when editing a cell.
<div id='Spreadsheet'></div>
new Spreadsheet({
cellEditing: (args: CellEditEventArgs) => {
}
...
}, '#Spreadsheet');
Triggers when the edited cell is saved.
<div id='Spreadsheet'></div>
new Spreadsheet({
cellSave: (args: CellSaveEventArgs) => {
}
...
}, '#Spreadsheet');
EmitType<BeforeOpenCloseMenuEventArgs>
Triggers before closing the context menu.
<div id='Spreadsheet'></div>
new Spreadsheet({
contextMenuBeforeClose: (args: BeforeOpenCloseMenuEventArgs) => {
}
...
}, '#Spreadsheet');
EmitType<BeforeOpenCloseMenuEventArgs>
Triggers before opening the context menu and it allows customizing the menu items.
<div id='Spreadsheet'></div>
new Spreadsheet({
contextMenuBeforeOpen: (args: BeforeOpenCloseMenuEventArgs) => {
}
...
}, '#Spreadsheet');
Triggers when the context menu item is selected.
<div id='Spreadsheet'></div>
new Spreadsheet({
contextMenuItemSelect: (args: MenuSelectEventArgs) => {
}
...
}, '#Spreadsheet');
EmitType<Event>
Triggers when the component is created.
<div id='Spreadsheet'></div>
new Spreadsheet({
created: () => {
}
...
}, '#Spreadsheet');
EmitType<Object>
Triggers when the data is populated in the worksheet.
<div id='Spreadsheet'></div>
new Spreadsheet({
dataBound: (args: Object) => {
}
...
}, '#Spreadsheet');
EmitType<DataSourceChangedEventArgs>
Triggers during data changes when the data is provided as dataSource
in the Spreadsheet.
<div id='Spreadsheet'></div>
new Spreadsheet({
dataSourceChanged: (args: DataSourceChangedEventArgs) => {
}
...
}, '#Spreadsheet');
EmitType<DialogBeforeOpenEventArgs>
Triggers before opening the dialog box.
<div id='Spreadsheet'></div>
new Spreadsheet({
dialogBeforeOpen: (args: DialogBeforeOpenEventArgs) => {
}
...
}, '#Spreadsheet');
EmitType<BeforeOpenCloseMenuEventArgs>
Triggers before closing the file menu.
<div id='Spreadsheet'></div>
new Spreadsheet({
fileMenuBeforeClose: (args: BeforeOpenCloseMenuEventArgs) => {
}
...
}, '#Spreadsheet');
EmitType<BeforeOpenCloseMenuEventArgs>
Triggers before opening the file menu.
<div id='Spreadsheet'></div>
new Spreadsheet({
fileMenuBeforeOpen: (args: BeforeOpenCloseMenuEventArgs) => {
}
...
}, '#Spreadsheet');
Triggers when the file menu item is selected.
<div id='Spreadsheet'></div>
new Spreadsheet({
fileMenuItemSelect: (args: MenuSelectEventArgs) => {
}
...
}, '#Spreadsheet');
EmitType<Object>
Triggers when the spreadsheet importing gets completed.
<div id='Spreadsheet'></div>
new Spreadsheet({
openComplete: (args: Object) => {
}
...
}, '#Spreadsheet');
Triggers when the opened Excel file fails to load.
<div id='Spreadsheet'></div>
new Spreadsheet({
openFailure: (args: OpenFailureArgs) => {
}
...
}, '#Spreadsheet');
EmitType<CellInfoEventArgs>
Triggered every time a request is made to access cell information.
<div id='Spreadsheet'></div>
new Spreadsheet({
queryCellInfo: (args: CellInfoEventArgs) => {
}
...
}, '#Spreadsheet');
EmitType<SaveCompleteEventArgs>
Triggers after saving the Spreadsheet as Excel file.
<div id='Spreadsheet'></div>
new Spreadsheet({
saveComplete: (args: SaveCompleteEventArgs) => {
}
...
}, '#Spreadsheet');
Triggers after the cell or range of cells is selected.
<div id='Spreadsheet'></div>
new Spreadsheet({
select: (args: SelectEventArgs) => {
}
...
}, '#Spreadsheet');
EmitType<SortEventArgs>
Triggers after sorting action is completed.
<div id='Spreadsheet'></div>
new Spreadsheet({
sortComplete: (args: SortEventArgs) => {
}
...
}, '#Spreadsheet');

ejs-spreadsheet represents the VueJS Spreadsheet Component.
<ejs-spreadsheet></ejs-spreadsheet> number
Specifies the active sheet index in the workbook.
<template>
<!-- Set 'Car Stock Report' sheet as active sheet. -->
<ejs-spreadsheet :activeSheetIndex="1">
<e-sheets>
<e-sheet name="Car Sales Report"> </e-sheet>
<e-sheet name="Car Stock Report"> </e-sheet>
</e-sheets>
</ejs-spreadsheet>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({});
</script>Defaults to 0
boolean
It allows to enable/disable AutoFill functionalities.
Defaults to true
boolean
It allows you to apply styles (font size, font weight, font family, fill color, and more) to the spreadsheet cells.
Defaults to true
boolean
It allows you to insert the chart in a spreadsheet.
Defaults to true
boolean
It allows you to apply conditional formatting to the sheet.
Defaults to true
boolean
It allows you to apply data validation to the spreadsheet cells.
Defaults to true
boolean
It allows you to delete rows, columns, and sheets from a spreadsheet.
Defaults to true
boolean
It allows you to add new data or update existing cell data. If it is false, it will act as read only mode.
Defaults to true
boolean
It allows to enable/disable filter and its functionalities.
Defaults to true
boolean
It allows to enable/disable find and replace with its functionalities.
Defaults to true
boolean
It allows to enable/disable freeze pane functionality in spreadsheet.
Defaults to true
boolean
It allows to enable/disable Hyperlink and its functionalities.
Defaults to true
boolean
It allows you to insert the image in a spreadsheet.
Defaults to true
boolean
It allows you to insert rows, columns, and sheets into the spreadsheet.
Defaults to true
boolean
It allows you to merge the range of cells.
Defaults to true
boolean
It allows formatting a raw number into different types of formats (number, currency, accounting, percentage, short date, long date, time, fraction, scientific, and text) with built-in format codes.
Defaults to true
boolean
It allows you to open an Excel file (.xlsx, .xls, and .csv) in Spreadsheet.
Defaults to true
boolean
Enables or disables the printing functionality in the spreadsheet.
Defaults to true
boolean
If allowResizing is set to true, spreadsheet columns and rows can be resized.
Defaults to true
boolean
It allows you to save Spreadsheet with all data as Excel file (.xlsx, .xls, and .csv).
Defaults to true
boolean
It specifies whether the Spreadsheet should be rendered with scrolling or not.
To customize the Spreadsheet scrolling behavior, use the scrollSettings property.
Defaults to true
boolean
It allows to enable/disable sort and its functionalities.
Defaults to true
boolean
It allows to enable/disable undo and redo functionalities.
Defaults to true
boolean
It allows to enable/disable wrap text feature. By using this feature the wrapping applied cell text can wrap to the next line, if the text width exceeds the column width.
Defaults to true
Configures the auto fill settings.
The autoFillSettings fillType property has FOUR types and it is described below:
<template>
<ejs-spreadsheet :autoFill="true" :autoFillSettings="{ autoFillSettings }"></ejs-spreadsheet>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: () => {
return {
// Configure the autofill settings.
autoFillSettings: { fillType: "CopyCells", showFillOptions: true },
};
},
});
</script>The
allowAutoFillproperty should betrue.
Defaults to { fillType: ‘FillSeries’, showFillOptions: true }
Specifies the mode of calculation within the spreadsheet.
Setting the calculation mode to Manual can enhance performance,
particularly when working with multiple sheets at the same time.
Automatic: Calculations are performed automatically whenever a cell value changes.Manual: Calculations are performed only when explicitly triggered, improving performance
when loading or working with large spreadsheets.Defaults to ‘Automatic’
Specifies the cell style options.
<template>
<ejs-spreadsheet :cellStyle="cellStyle"></ejs-spreadsheet>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: () => {
return {
// Specifies the cellStyle settings.
cellStyle: {
fontWeight: "bold",
fontSize: "12pt",
fontStyle: "italic",
textIndent: "2pt",
backgroundColor: "#4b5366",
color: "#ffffff",
},
};
},
});
</script>Defaults to {}
string
To specify a CSS class or multiple CSS class separated by a space, add it in the Spreadsheet root element. This allows you to customize the appearance of component.
<template>
<ejs-spreadsheet :cssClass="cssClass"> </ejs-spreadsheet>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: () => {
return {
// Specifies the custom CSS class.
cssClass: "e-custom1 e-custom2",
};
},
});
</script>Defaults to ”
Specifies the name of a range and uses it in a formula for calculation.
<template>
<ejs-spreadsheet :definedNames="definedNames"></ejs-spreadsheet>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: () => {
return {
// Set the specified cell range's name to 'Group1'.
definedNames: [{ name: "Group1", refersTo: "Sheet1!A1:B5" }],
};
},
});
</script>Defaults to []
boolean
It enables or disables the clipboard operations (cut, copy, and paste) of the Spreadsheet.
Defaults to true
boolean
It enables or disables the context menu option of spreadsheet. By default, context menu will opens for row header, column header, sheet tabs, and cell.
Defaults to true
boolean
It allows you to interact with cell, sheet tabs, formula bar, and ribbon through the keyboard device.
Defaults to true
boolean
It enables shortcut keys to perform Spreadsheet operations like open, save, copy, paste, and more.
Defaults to true
boolean
Enables or disables the ability to add or show notes in the Spreadsheet. If the property is set to false, the Spreadsheet will not add notes in the cells and the notes in the existing cells will not be visible.
Defaults to true
boolean
Enable or disable persisting component’s state between page reloads.
Defaults to false
boolean
Enable or disable rendering component in right to left direction.
Defaults to false
string | number
Defines the height of the Spreadsheet. It accepts height as pixels, number, and percentage.
<template>
<ejs-spreadsheet height="600px"> </ejs-spreadsheet>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({});
</script>Defaults to ‘100%’
boolean
Specifies to protect the workbook.
Defaults to false
string
Specifies the list separator which is used as the formula argument separator.
Defaults to ’,’
string
Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.
Defaults to ”
Specifies the options for configuration when opening a document.
<template>
<ejs-spreadsheet :openUrl="openUrl" :saveUrl="saveUrl" :openSettings="openSettings"> </ejs-spreadsheet>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: () => {
return {
openUrl: "https://services.syncfusion.com/vue/production/api/spreadsheet/open",
saveUrl: "https://services.syncfusion.com/vue/production/api/spreadsheet/save",
// Configure the open settings.
openSettings: {
chunkSize: 100000,
retryCount: 3
},
};
},
});
</script>Defaults to {}
string
Specifies the service URL to open excel file in spreadsheet.
Defaults to ”
string
Specifies the password.
Defaults to ”
string
Specifies the service URL to save spreadsheet as Excel file.
Defaults to ”
Configures the scroll settings.
<template>
<ejs-spreadsheet :scrollSettings="scrollSettings"> </ejs-spreadsheet>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: () => {
return {
// Configure the scroll settings.
scrollSettings: {
isFinite: true,
enableVirtualization: false
},
};
},
});
</script>The
allowScrollingproperty should betrue.
Defaults to { isFinite: false, enableVirtualization: true }
Configures the selection settings.
The selectionSettings mode property has three values and is described below:
<template>
<ejs-spreadsheet :selectionSettings="selectionSettings"> </ejs-spreadsheet>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: () => {
return {
// Configure the selection settings.
selectionSettings: { mode: "None" },
};
},
});
</script>Defaults to { mode: ‘Multiple’ }
Configures sheets and its options.
<template>
<!-- Specifies the sheets and its options. -->
<ejs-spreadsheet>
<e-sheets>
<e-sheet name="Car Sales Report">
<e-ranges>
<e-range :dataSource="dataSource"></e-range>
</e-ranges>
<e-rows>
<e-row :index="rowIndex" :cells="cells"></e-row>
</e-rows>
<e-columns>
<e-column :width="width1"></e-column>
<e-column :width="width2"></e-column>
<e-column :width="width3"></e-column>
</e-columns>
</e-sheet>
</e-sheets>
</ejs-spreadsheet>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
import { salesData } from "./data";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: () => {
return {
dataSource: salesData,
rowIndex: 30,
colIndex: 4,
cells: [
{
index: 4,
value: "Total Amount:",
style: { fontWeight: "bold", textAlign: "right" },
},
{ formula: "=SUM(F2:F30)", style: { fontWeight: "bold" } },
],
width1: 180,
width2: 130,
width3: 120,
openUrl:
"https://services.syncfusion.com/vue/production/api/spreadsheet/open",
saveUrl:
"https://services.syncfusion.com/vue/production/api/spreadsheet/save",
};
},
});
</script>Defaults to []
boolean
If showAggregate is set to true, spreadsheet will show the AVERAGE, SUM, COUNT, MIN and MAX values based on the selected cells.
Defaults to true
boolean
It shows or hides the formula bar and its features.
Defaults to true
boolean
It shows or hides the ribbon in spreadsheet.
Defaults to true
boolean
It shows or hides the sheets tabs, this is used to navigate among the sheets and create or delete sheets by UI interaction.
Defaults to true
string | number
Defines the width of the Spreadsheet. It accepts width as pixels, number, and percentage.
<template>
<!-- Specifies the width -->
<ejs-spreadsheet width="600px"></ejs-spreadsheet>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({});
</script>Defaults to ‘100%’
This method is used to unfreeze the frozen rows and columns from the active sheet.
| Parameter | Type | Description |
|---|---|---|
| sheet (optional) | number | string |
Specifies the sheet name or index in which the unfreeze operation will perform. By default, active sheet will be considered. |
Returns void
To add context menu items.
<template>
<ejs-spreadsheet
ref="spreadsheet"
:contextMenuBeforeOpen="contextMenuBeforeOpen"
></ejs-spreadsheet>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
import { closest } from "@syncfusion/ej2-base";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: function () {
return {};
},
methods: {
contextMenuBeforeOpen: function (args) {
const spreadsheet = this.$refs.spreadsheet;
// Add context menu items to the sheet content context menu.
if (closest(args.event.target, ".e-sheet-content")) {
spreadsheet.addContextMenuItems(
[{ text: "Custom Item" }],
"Paste Special",
false
);
}
// Add context menu items to the column header context menu.
else if (closest(args.event.target, ".e-colhdr-table")) {
spreadsheet.addContextMenuItems(
[{ text: "Custom Column" }],
"Insert Column",
false
);
}
// Add context menu items to the row header context menu.
else if (closest(args.event.target, ".e-rowhdr-table")) {
spreadsheet.addContextMenuItems(
[{ text: "Custom Row" }],
"Insert Row",
false
);
}
// Add context menu items to the sheet tab context menu.
else if (closest(args.event.target, ".e-toolbar-item")) {
spreadsheet.addContextMenuItems(
[{ text: "Custom Tab" }],
"Insert",
false
);
}
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| items | MenuItemModel |
Items that needs to be added. |
| text | string |
Item before / after that the element to be inserted. |
| insertAfter (optional) | boolean |
Set false if the items need to be inserted before the text.By default, items are added after the text. |
| isUniqueId (optional) | boolean |
Set true if the given text is a unique id. |
Returns void
To add custom library function.
<template>
<ejs-spreadsheet ref="spreadsheet" :created="created"> </ejs-spreadsheet>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: function () {
return {};
},
mounted() {
window.SQRTHandler = (num) => Math.sqrt(num);
},
methods: {
created: function () {
// Add custom library function to compute the square root of a number.
this.$refs.spreadsheet.addCustomFunction("SQRTHandler", "SQRT");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| functionHandler | string | Function |
Custom function handler name |
| functionName (optional) | string |
Custom function name |
| formulaDescription (optional) | string |
Specifies formula description. |
Returns void
This method is used to add data validation.
<template>
<ejs-spreadsheet ref="spreadsheet" :created="created"> </ejs-spreadsheet>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: function () {
return {};
},
methods: {
created: function () {
const spreadsheet = this.$refs.spreadsheet;
// Add data validation with the specified validation rules to the range.
spreadsheet.addDataValidation(
{ type: "TextLength", operator: "LessThanOrEqualTo", value1: "4" },
"A2:A5"
);
spreadsheet.addDataValidation(
{ type: "WholeNumber", operator: "NotEqualTo", value1: "1" },
"B2:B5"
);
spreadsheet.addDataValidation(
{ type: "Date", operator: "NotEqualTo", value1: "04/11/2019" },
"F2:F5"
);
spreadsheet.addDataValidation(
{
type: "Time",
operator: "Between",
value1: "10:00:00 AM",
value2: "11:00:00 AM",
},
"G2:G5"
);
spreadsheet.addDataValidation(
{ type: "Decimal", operator: "LessThan", value1: "100000.00" },
"H2:H5"
);
// Add a cell range as a data source to the list validation dropdown.
spreadsheet.addDataValidation(
{ type: "List", inCellDropDown: true, value1: "=Sheet1!A2:A3" },
"J2:J5"
);
spreadsheet.addDataValidation(
{ type: "List", inCellDropDown: true, value1: "10, 20, 30" },
"I2:I5"
);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| rules | ValidationModel |
specifies the validation rules like type, operator, value1, value2, ignoreBlank, inCellDropDown, isHighlighted arguments. |
| range (optional) | string |
range that needs to be add validation. |
Returns void
Adds the defined name to the Spreadsheet.
<template>
<ejs-spreadsheet ref="spreadsheet" :created="created"> </ejs-spreadsheet>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: function () {
return {};
},
methods: {
created: function () {
// Set the specified cell range's name to 'Group1'.
this.$refs.spreadsheet.addDefinedName({
name: "Group1",
refersTo: "=Sheet1!B2",
});
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| definedName | DefineNameModel |
Specifies the name, scope, comment, refersTo. |
Returns boolean
To add custom file menu items.
<template>
<ejs-spreadsheet ref="spreadsheet" :created="created"> </ejs-spreadsheet>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: function () {
return {};
},
methods: {
created: function () {
// Place the 'Print' option before the 'Save As' option in the File menu.
this.$refs.spreadsheet.addFileMenuItems(
[{ text: "Print" }],
"Save As",
false
);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| items | MenuItemModel |
Specifies the ribbon file menu items to be inserted. |
| text | string |
Specifies the existing file menu item text before / after which the new file menu items to be inserted. |
| insertAfter (optional) | boolean |
Set false if the items need to be inserted before the text.By default, items are added after the text. |
| isUniqueId (optional) | boolean |
Set true if the given file menu items text is a unique id. |
Returns void
To add the hyperlink in the cell
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Add Hyperlink</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: function () {
return {};
},
methods: {
onClick: function () {
// Insert a hyperlink into the 'A5' cell.
this.$refs.spreadsheet.addHyperlink("https://www.google.com/", "A5");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| hyperlink | string | HyperlinkModel |
to specify the hyperlink |
| address | string |
to specify the address |
| displayText (optional) | string |
to specify the text to be displayed, by default value of the cell will be displayed. |
Returns void
This method is used to highlight the invalid data.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet" :created="created">
<e-sheets>
<e-sheet name="Car Sales Report">
<e-ranges>
<e-range :dataSource="dataSource"></e-range>
</e-ranges>
</e-sheet>
</e-sheets>
</ejs-spreadsheet>
<button @click="onClick">Add Invalid Highlight</button>
</div>
</template>
<script>
import Vue from "vue";
import { salesData } from "./data";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: () => {
return {
dataSource: salesData,
};
},
methods: {
created: function () {
// Add data validation to the specified range.
this.$refs.spreadsheet.addDataValidation(
{ type: "Decimal", operator: "LessThan", value1: "1000" },
"F2:F5"
);
},
onClick: function () {
// Highlight Invalid Data with the specified range.
this.$refs.spreadsheet.addInvalidHighlight("F2:F5");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| range (optional) | string |
range that needs to be highlight the invalid data. |
Returns void
To add custom ribbon tabs.
<template>
<ejs-spreadsheet ref="spreadsheet" :created="created"> </ejs-spreadsheet>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
created: function () {
// Place the 'Custom' ribbon tab before the existing 'Data' tab.
this.$refs.spreadsheet.addRibbonTabs(
[
{
header: { text: "Custom" },
content: [{ text: "Custom", tooltipText: "Custom Button" }],
},
],
"Data"
);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| items | RibbonItemModel[] |
Specifies the ribbon tab items to be inserted. |
| insertBefore (optional) | string |
Specifies the existing ribbon header text before which the new tabs will be inserted. If not specified, the new tabs will be inserted at the end. |
Returns void
To add the custom items in Spreadsheet ribbon toolbar.
<template>
<ejs-spreadsheet ref="spreadsheet" :created="created"> </ejs-spreadsheet>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
created: function () {
// Place the custom toolbar items to the 'Home' tab ribbon toolbar.
this.$refs.spreadsheet.addToolbarItems(
"Home",
[
{ type: "Separator" },
{ text: "Custom", tooltipText: "Custom Btn" },
],
15
);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| tab | string |
Specifies the ribbon tab header text under which the specified items will be inserted. |
| items | ItemModel |
Specifies the ribbon toolbar items that needs to be inserted. |
| index (optional) | number |
Specifies the index text before which the new items will be inserted. If not specified, the new items will be inserted at the end of the toolbar. |
Returns void
Appends the control within the given HTML Div element.
| Parameter | Type | Description |
|---|---|---|
| selector | string | HTMLElement |
Target element where control needs to be appended. |
Returns void
Applies the filter UI in the range of cells in the sheet.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet">
<e-sheets>
<e-sheet name="Car Sales Report">
<e-ranges>
<e-range :dataSource="dataSource"></e-range>
</e-ranges>
</e-sheet>
</e-sheets>
</ejs-spreadsheet>
<button @click="onClick">Apply Filter</button>
</div>
</template>
<script>
import Vue from "vue";
import { salesData } from "./data";
import {
SpreadsheetPlugin,
getColumnHeaderText,
getCell,
getCellIndexes,
} from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: () => {
return {
dataSource: salesData,
};
},
methods: {
onClick: function () {
const spreadsheet = this.$refs.spreadsheet;
// The filter UI is applied to the range of cells in the sheet.
const sheet = spreadsheet.ej2Instances.getActiveSheet();
const cell = getCellIndexes(sheet.activeCell);
const predicates = [
{
field: getColumnHeaderText(cell[1] + 1),
operator: "equal",
value: getCell(cell[0], cell[1], sheet).value,
matchCase: false,
},
];
// Specifies the predicates and cell range.
spreadsheet.applyFilter(predicates, "A1:F1");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| predicates (optional) | PredicateModel |
Specifies the predicates. |
| range (optional) | string |
Specify the range. |
Returns Promise
Used to perform autofill action based on the specified range in spreadsheet.
| Parameter | Type | Description |
|---|---|---|
| fillRange | string |
Specifies the fill range. |
| dataRange (optional) | string |
Specifies the data range. |
| direction (optional) | AutoFillDirection |
Specifies the direction(“Down”,“Right”,“Up”,“Left”) to be filled. |
| fillType (optional) | AutoFillType |
Specifies the fill type(“FillSeries”,“CopyCells”,“FillFormattingOnly”,“FillWithoutFormatting”) for autofill action. |
Returns void
This method is used to autofit the range of rows or columns
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">AutoFit Content</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: function () {
return {};
},
methods: {
onClick: function () {
const spreadsheet = this.$refs.spreadsheet;
// To auto fit the columns content.
spreadsheet.autoFit("D:F");
// To auto fit the rows content.
spreadsheet.autoFit("5:10");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| range | string |
range of rows or columns that needs to be autofit. |
Returns void
The calculateNow method is used to calculate any uncalculated formulas in a spreadsheet.
This method accepts an option to specify whether the calculation should be performed for the entire workbook or a specific sheet.
Returns Promise
Applies the style (font family, font weight, background color, etc…) to the specified range of cells.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"> </ejs-spreadsheet>
<button @click="onClick">Apply Cell Format</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
const spreadsheet = this.$refs.spreadsheet;
// Apply the styles to the cells in the specified range.
spreadsheet.cellFormat(
{
fontWeight: "bold",
fontSize: "12pt",
backgroundColor: "#279377",
color: "#ffffff",
},
"A2:E2"
);
spreadsheet.cellFormat(
{ verticalAlign: "middle", fontFamily: "Axettac Demo" },
"A2:E12"
);
spreadsheet.cellFormat({ textAlign: "center" }, "A2:A12");
// Apply text-indent to 2nd & 4th columns.
const style = { textAlign: "left", textIndent: "8pt" };
spreadsheet.cellFormat(style, "B2:B12");
spreadsheet.cellFormat(style, "D2:D12");
spreadsheet.cellFormat(
{ fontStyle: "italic", textAlign: "right" },
"C3:C12"
);
spreadsheet.cellFormat({ textAlign: "center" }, "E2:E12");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| style | CellStyleModel |
Specifies the cell style. |
| range (optional) | string |
Specifies the address for the range of cells. |
Returns void
This method is used to Clear contents, formats and hyperlinks in spreadsheet.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Clear</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
const spreadsheet = this.$refs.spreadsheet;
// Clear the content within the specified range.
spreadsheet.clear({ type: "Clear Contents", range: "A1:A10" });
// Clear the formats used in the given range.
spreadsheet.clear({ type: "Clear Formats", range: "A1:A10" });
// Remove all hyperlinks from the provided range.
spreadsheet.clear({ type: "Clear Hyperlinks", range: "A1:A10" });
// Clear the content, formats and hyperlinks applied in the given range.
spreadsheet.clear({ type: "Clear All", range: "B1:B10" });
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| options | ClearOptions |
Options for clearing the content, formats and hyperlinks in spreadsheet. |
Returns void
This method is used for remove conditional formatting.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet" :created="created">
<e-sheets>
<e-sheet name="Car Sales Report">
<e-ranges>
<e-range :dataSource="dataSource"></e-range>
</e-ranges>
</e-sheet>
</e-sheets>
</ejs-spreadsheet>
<button @click="onClick">Clear Conditional Format</button>
</div>
</template>
<script>
import Vue from "vue";
import { salesData } from "./data";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: () => {
return {
dataSource: salesData,
};
},
methods: {
created: function () {
const spreadsheet = this.$refs.spreadsheet;
// Highlight the cells with a value greater than the specified value.
spreadsheet.conditionalFormat({
type: "GreaterThan",
cFColor: "RedFT",
value: "10/8/2014",
range: "E2:E30",
});
// Highlight the cells that have a value within the specified range.
spreadsheet.conditionalFormat({
type: "Between",
cFColor: "GreenFT",
value: "11/24/2014,06/26/2023",
range: "F2:F30",
});
},
onClick: function () {
const spreadsheet = this.$refs.spreadsheet;
// Clear the conditional format within the range specified.
spreadsheet.clearConditionalFormat("E2:E30");
// The range can also be specified using the sheet name.
spreadsheet.clearConditionalFormat("Sheet1!F2:F30");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| range (optional) | string |
range that needs to be remove conditional formatting. |
Returns void
Clears the filter changes of the sheet.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet" :created="created">
<e-sheets>
<e-sheet name="Car Sales Report">
<e-ranges>
<e-range :dataSource="dataSource"></e-range>
</e-ranges>
</e-sheet>
</e-sheets>
</ejs-spreadsheet>
<button @click="onClick">Clear Filter</button>
</div>
</template>
<script>
import Vue from "vue";
import { salesData } from "./data";
import {
SpreadsheetPlugin,
getCellIndexes,
getCell,
getColumnHeaderText,
} from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: () => {
return {
dataSource: salesData,
};
},
methods: {
created: function () {
const spreadsheet = this.$refs.spreadsheet;
// The filter UI is applied to the range of cells in the sheet.
const sheet = spreadsheet.ej2Instances.getActiveSheet();
const cell = getCellIndexes(sheet.activeCell);
const predicates = [
{
field: getColumnHeaderText(cell[1] + 1),
operator: "equal",
value: getCell(cell[0], cell[1], sheet).value,
matchCase: false,
},
];
// Specifies the predicates and cell range.
spreadsheet.applyFilter(predicates, "A1:F1");
},
onClick: function () {
this.$refs.spreadsheet.clearFilter();
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| field (optional) | string |
Specify the field. |
| sheetIndex (optional) | number |
Specify the index of the sheet. |
Returns void
Cancels the edited state, this will not update any value in the cell.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"> </ejs-spreadsheet>
<button @click="onClick">Cancel Edit</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
this.$refs.spreadsheet.closeEdit();
},
},
});
</script>Returns void
Used to compute the specified expression/formula.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"> </ejs-spreadsheet>
<button @click="onClick">To Compute Expression</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
const spreadsheet = this.$refs.spreadsheet;
// Calculate the result of an arithmetic expression or formula.
spreadsheet.computeExpression("522+1");
spreadsheet.computeExpression("=SUM(F2:F3)");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| formula | string |
Specifies the formula(=SUM(A1:A3)) or expression(2+3). |
Returns string | number
This method is used to add conditional formatting.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"> </ejs-spreadsheet>
<button @click="onClick">Add Conditional Format</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
const spreadsheet = this.$refs.spreadsheet;
// Apply blue data bar to the specified range.
spreadsheet.conditionalFormat({ type: "BlueDataBar", range: "D3:D18" });
// Apply three stars to the specified range.
spreadsheet.conditionalFormat({ type: "ThreeStars", range: "F3:F18" });
// Highlight the cells that contain a value greater than specified value.
spreadsheet.conditionalFormat({
type: "GreaterThan",
cFColor: "RedFT",
value: "10/15/2023",
range: "E2:E30",
});
// Highlight the cells that contain a value between specified range.
spreadsheet.conditionalFormat({
type: "Between",
cFColor: "GreenFT",
value: "03/04/2023,06/26/2023",
range: "E2:E30",
});
// Highlight the cells that contain a value greater than average of specified range.
spreadsheet.conditionalFormat({
type: "AboveAverage",
cFColor: "RedFT",
range: "F2:F30",
});
// Apply the RGY(Red-Green-Yellow) color scale to the specified range.
spreadsheet.conditionalFormat({
type: "RYGColorScale",
range: "F2:F30",
});
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| conditionalFormat | ConditionalFormatModel |
Specify the conditionalFormat. |
Returns void
To copy the specified cell or cells properties such as value, format, style etc…
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet">
<e-sheets>
<e-sheet name="Car Sales Report"> </e-sheet>
</e-sheets>
</ejs-spreadsheet>
<button @click="onClick">Copy Cell</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
const spreadsheet = this.$refs.spreadsheet;
// To copy the selected cell.
spreadsheet.copy();
// To copy the specified cell.
spreadsheet.copy("A2");
// You can specify the address with sheet name.
spreadsheet.copy("Car Sales Report!B2");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| address (optional) | string |
Specifies the range address. |
Returns Promise
To cut the specified cell or cells properties such as value, format, style etc…
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet">
<e-sheets>
<e-sheet name="Car Sales Report"> </e-sheet>
</e-sheets>
</ejs-spreadsheet>
<button @click="onClick">To Cut</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
const spreadsheet = this.$refs.spreadsheet;
// To cut the selected cell.
spreadsheet.cut();
// To cut the specified cell.
spreadsheet.cut("A2");
// You can specify the address with sheet name.
spreadsheet.cut("Car Sales Report!B2");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| address (optional) | string |
Specifies the range address to cut. |
Returns Promise
Used to delete rows, columns and sheets from the spreadsheet.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"> </ejs-spreadsheet>
<button @click="onClick">Delete Row & Column</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
const spreadsheet = this.$refs.spreadsheet;
// To delete rows, columns, and sheets with the specified index.
spreadsheet.delete(1, 1, "Row", "Sheet1");
spreadsheet.delete(2, 2, "Column", "Sheet1");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| startIndex (optional) | number |
Specifies the start sheet / row / column index. |
| endIndex (optional) | number |
Specifies the end sheet / row / column index. |
| model (optional) | ModelType |
Specifies the delete model type. By default, the model is considered as Sheet. The possible values are,- Row: To delete rows. - Column: To delete columns. - Sheet: To delete sheets. |
| sheet (optional) | number | string |
Specifies the sheet name or index in which the delete operation will perform. By default, active sheet will be considered. It is applicable only for model type Row and Column. |
Returns void
Used to delete the chart from spreadsheet.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet" :created="created"> </ejs-spreadsheet>
<button @click="onClick">Delete Chart</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// Delete the chart with the specified chart element ID from the spreadsheet.
this.$refs.spreadsheet.deleteChart("Chart");
},
created: function () {
// Insert a chart into a spreadsheet using the chart options specified.
this.$refs.spreadsheet.insertChart([
{
type: "Line",
theme: "Material",
isSeriesInRows: false,
range: "A1:B5",
id: "Chart",
},
]);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| id (optional) | string |
Specifies the chart element id. |
Returns void
Used to delete the image in spreadsheet.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet" :created="created"> </ejs-spreadsheet>
<button @click="onClick">Delete Image</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// Delete the image with the specified image element ID from the spreadsheet.
this.$refs.spreadsheet.deleteImage(
"spreadsheet_overlay_picture_1",
"A3"
);
},
created: function () {
// Insert a image into a spreadsheet using the image options specified.
this.$refs.spreadsheet.insertImage(
[
{
src: "https://www.w3schools.com/images/w3schools_green.jpg",
height: 400,
width: 400,
},
],
"A3"
);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| id | string |
Specifies the id of the image element to be deleted. |
| range (optional) | string |
Specifies the range in spreadsheet. |
Returns void
Allows you to remove a selection from the active chart.
Returns void
Allows you to remove a selection from the active image.
Returns void
Destroys the component (detaches/removes all event handlers, attributes, classes, and empties the component element).
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Destroy Spreadsheet</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
this.$refs.spreadsheet.destroy();
},
},
});
</script>Returns void
Used to make a duplicate/copy of the sheet in the spreadsheet.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Make Duplicate Sheet</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
const spreadsheet = this.$refs.spreadsheet;
// Make a duplicate/copy of the active sheet in the spreadsheet.
spreadsheet.duplicateSheet();
// Make a duplicate/copy of the specified sheet index in the spreadsheet.
spreadsheet.duplicateSheet(0);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| sheetIndex (optional) | number |
Specifies the index of the sheet to be duplicated. By default, the active sheet will be duplicated. |
Returns void
To enable / disable context menu items.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet" :contextMenuBeforeOpen="contextMenuBeforeOpen">
</ejs-spreadsheet>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
contextMenuBeforeOpen: function () {
const spreadsheet = this.$refs.spreadsheet;
// Disable the 'Hyperlink' context menu option.
spreadsheet.enableContextMenuItems(["Hyperlink"], false, false);
// You can disable the option by specifying the context menu option id.
spreadsheet.enableContextMenuItems(
["spreadsheet_cmenu_copy"],
false,
true
);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| items | string[] |
Items that needs to be enabled / disabled. |
| enable (optional) | boolean |
Set true / false to enable / disable the menu items. |
| isUniqueId (optional) | boolean |
Set true if the given text is a unique id. |
Returns void
To enable / disable file menu items.
<template>
<ejs-spreadsheet ref="spreadsheet" :fileMenuBeforeOpen="fileMenuBeforeOpen">
</ejs-spreadsheet>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
fileMenuBeforeOpen: function () {
// Disable the 'New' option in the File menu.
this.$refs.spreadsheet.enableFileMenuItems(["New"], false, false);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| items | string[] |
Items that needs to be enabled / disabled. |
| enable (optional) | boolean |
Set true / false to enable / disable the menu items. |
| isUniqueId (optional) | boolean |
Set true if the given file menu items text is a unique id. |
Returns void
To enable / disable the existing ribbon tabs.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Disable Home Ribbon Tab</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// Disable the 'Home' option in the Ribbon.
this.$refs.spreadsheet.enableRibbonTabs(["Home"], false);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| tabs | string[] |
Specifies the tab header text which needs to be enabled / disabled. |
| enable (optional) | boolean |
Set true / false to enable / disable the ribbon tabs. |
Returns void
Enables or disables the specified ribbon toolbar items or all ribbon items.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">To Enable/Disable Toolbar Items</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
const spreadsheet = this.$refs.spreadsheet;
// Disable the list of toolbar items in the 'Home' ribbon tab.
spreadsheet.enableToolbarItems(
"Home",
["spreadsheet_line-through"],
false
);
spreadsheet.enableToolbarItems("Home", [3, 4], false);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| tab | string |
Specifies the ribbon tab header text under which the toolbar items need to be enabled / disabled. |
| items (optional) | number[] | string[] |
Specifies the toolbar item indexes / unique id’s which needs to be enabled / disabled. If it is not specified the entire toolbar items will be enabled / disabled. |
| enable (optional) | boolean |
Boolean value that determines whether the toolbar items should be enabled or disabled. |
Returns void
If Spreadsheet is in editable state, you can save the cell by invoking endEdit.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">End Edit</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// If the spreadsheet is editable, you can use this method to save the cell.
this.$refs.spreadsheet.endEdit();
},
},
});
</script>Returns void
To find the specified cell value.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">To Find</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// To find the cell value specified.
const findOption = {
value: "Jenna Schoolfield",
sheetIndex: 0,
findOpt: "next",
mode: "Sheet",
isCSen: false,
isEMatch: false,
searchBy: "By Row",
};
this.$refs.spreadsheet.find(findOption);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| args | FindOptions |
Specifies the replace value with find args to replace specified cell value. |
Returns void | string
To Find All the Match values Address within Sheet or Workbook.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">To Find All</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// To find all values that match within a sheet or workbook.
this.$refs.spreadsheet.findAll(
"shoes",
"Sheet",
false,
false,
spreadsheet.ej2Instances.getActiveSheet().id - 1
);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| value | string |
Specifies the value to find. |
| mode (optional) | string |
Specifies the value to be find within Sheet/Workbook. |
| isCSen (optional) | boolean |
Specifies the find match with case sensitive or not. |
| isEMatch (optional) | boolean |
Specifies the find match with entire match or not. |
| sheetIndex (optional) | number |
Specifies the sheetIndex. If not specified, it will consider the active sheet. |
Returns string[]
This method is used to freeze rows and columns after the specified cell in the Spreadsheet.
| Parameter | Type | Description |
|---|---|---|
| row (optional) | number |
Specifies the freezed row count. |
| column (optional) | number |
Specifies the freezed column count. |
| sheet (optional) | number | string |
Specifies the sheet name or index in which the freeze operation will perform. By default, active sheet will be considered. |
Returns void
Gets the range of data as JSON from the specified address.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Get Data</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// Return the specified cell address data as JSON.
const spreadsheet = this.$refs.spreadsheet;
spreadsheet.getData("Sheet1!A1:B2").then((data) => console.log(data));
spreadsheet.getData("A1:B2").then((data) => console.log(data));
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| address | string |
Specifies the address for range of cells. |
Returns Promise
Gets the formatted text of the cell.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Get Display Text</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin, getCell } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
const spreadsheet = this.$refs.spreadsheet;
// Get the cell model for the given row, column, and sheet indexes.
const cell = getCell(0, 0, spreadsheet.ej2Instances.getActiveSheet());
// To get the formatted cell value, specify the cell model.
spreadsheet.getDisplayText(cell);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| cell | CellModel |
Specifies the cell. |
Returns string
Used to get a row data from the data source with updated cell value.
| Parameter | Type | Description |
|---|---|---|
| index (optional) | number |
Specifies the row index. |
| sheetIndex (optional) | number |
Specifies the sheet index. By default, it consider the active sheet index. |
Returns Object[]
Get the select all div of spreadsheet
Returns HTMLElement
Used to navigate to cell address within workbook.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">GoTo</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
const spreadsheet = this.$refs.spreadsheet;
// To navigate to a cell address within a workbook.
spreadsheet.goTo("B1");
// You can navigate to a specific cell address by specifying the sheet name as well as the cell address.
spreadsheet.goTo("Sheet2!B1");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| address | string |
Specifies the cell address you need to navigate. You can specify the address in two formats, {sheet name}!{cell address} - Switch to specified sheet and navigate to specified cell address.{cell address} - Navigate to specified cell address with in the active sheet. |
Returns void
Used to hide/show the columns in spreadsheet.
| Parameter | Type | Description |
|---|---|---|
| startIndex | number |
Specifies the start column index. |
| endIndex (optional) | number |
Specifies the end column index. |
| hide (optional) | boolean |
Set true / false to hide / show the columns. |
Returns void
To show/hide the file menu items in Spreadsheet ribbon.
<template>
<div class="control-section">
<ejs-spreadsheet
ref="spreadsheet"
:fileMenuBeforeOpen="fileMenuBeforeOpen"
></ejs-spreadsheet>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
fileMenuBeforeOpen: function () {
//To show/hide the file menu item.
this.$refs.spreadsheet.hideFileMenuItems(["PDF Document"], true);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| items | string[] |
Specifies the file menu items text which is to be show/hide. |
| hide (optional) | boolean |
Set true / false to hide / show the file menu items. |
| isUniqueId (optional) | boolean |
Set true if the given file menu items text is a unique id. |
Returns void
To show/hide the existing ribbon tabs.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Hide Ribbon Tabs</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// Hide the existing 'Formulas' and 'Insert' ribbon tabs.
this.$refs.spreadsheet.hideRibbonTabs(["Formulas", "Insert"], true);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| tabs | string[] |
Specifies the tab header text which needs to be shown/hidden. |
| hide (optional) | boolean |
Set true / false to hide / show the ribbon tabs. |
Returns void
Used to hide/show the rows in spreadsheet.
| Parameter | Type | Description |
|---|---|---|
| startIndex | number |
Specifies the start row index. |
| endIndex (optional) | number |
Specifies the end row index. |
| hide (optional) | boolean |
To hide/show the rows in specified range. |
Returns void
To hide showed spinner manually.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Hide Spinner</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
//To manually hide the displayed spinner.
this.$refs.spreadsheet.hideSpinner();
},
},
});
</script>Returns void
To show/hide the existing Spreadsheet ribbon toolbar items.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Hide Toolbar Items</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
const spreadsheet = this.$refs.spreadsheet;
// To show or hide the ribbon toolbar items with the specified tab name and index.
spreadsheet.hideToolbarItems("Home", [0, 1, 2, 4, 14, 15, 22, 23, 24]);
spreadsheet.hideToolbarItems("View", [1, 2]);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| tab | string |
Specifies the ribbon tab header text under which the specified items needs to be hidden / shown. |
| indexes | number[] |
Specifies the toolbar indexes which needs to be shown/hidden from UI. |
| hide (optional) | boolean |
Set true / false to hide / show the toolbar items. |
Returns void
Used to set the chart in spreadsheet.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Insert Chart</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// Insert a chart into a spreadsheet using the chart options specified.
this.$refs.spreadsheet.insertChart([
{
type: "Line",
theme: "Material",
isSeriesInRows: false,
range: "A1",
id: "Chart1"
}
]);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| chart (optional) | ChartModel[] |
Specifies the options to insert chart in spreadsheet |
Returns void
Used to insert columns in to the spreadsheet.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Insert Column</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// Insert the column at the starting column index specified.
this.$refs.spreadsheet.insertColumn([{ index: 1, width: 95 }], 1);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| startColumn (optional) | number | ColumnModel[] |
Specifies the start column index / column model which needs to be inserted. |
| endColumn (optional) | number |
Specifies the end column index. |
| sheet (optional) | number | string |
Specifies the sheet name or index in which the insert operation will perform. By default, active sheet will be considered. |
Returns void
Used to set the image in spreadsheet.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet" :created="created"> </ejs-spreadsheet>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
created: function () {
// Insert a image into a spreadsheet using the image options specified.
this.$refs.spreadsheet.insertImage(
[
{
src: "https://www.w3schools.com/images/w3schools_green.jpg",
height: 400,
width: 400,
},
],
"A1"
);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| images | ImageModel[] |
Specifies the options to insert image in spreadsheet. |
| range (optional) | string |
Specifies the range in spreadsheet. |
Returns void
Used to insert rows in to the spreadsheet.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Insert Row</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// Insert the row at the starting row index specified.
this.$refs.spreadsheet.insertRow(4, 4);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| startRow (optional) | number | RowModel[] |
Specifies the start row index / row model which needs to be inserted. |
| endRow (optional) | number |
Specifies the end row index. |
| sheet (optional) | number | string |
Specifies the sheet name or index in which the insert operation will perform. By default, active sheet will be considered. |
Returns void
Used to insert sheets in to the spreadsheet.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Insert Sheet</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// Insert the sheet at the starting sheet index specified.
this.$refs.spreadsheet.insertSheet(0, 2);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| startSheet (optional) | number | SheetModel[] |
Specifies the start sheet index / sheet model which needs to be inserted. |
| endSheet (optional) | number |
Specifies the end sheet index. |
Returns void
To determine whether the cell value in a data validation applied cell is valid or not.
| Parameter | Type | Description |
|---|---|---|
| cellAddress (optional) | string |
Address of the cell. |
Returns boolean
Applies cell lock to the specified range of cells.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Lock Cells</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
const spreadsheet = this.$refs.spreadsheet;
//To protect the worksheet.
const protectSetting = {
selectCells: true,
formatCells: false,
formatRows: false,
formatColumns: false,
insertLink: false
};
spreadsheet.protectSheet("Sheet1", protectSetting);
// To unlock the A2:AZ100 cell range.
spreadsheet.lockCells("A2:AZ100", false);
// To lock the A1:Z1 cell range.
spreadsheet.lockCells("A1:Z1", true);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| range (optional) | string |
Specifies the address for the range of cells. |
| isLocked (optional) | boolean |
-Specifies the cell is locked or not. |
Returns void
Used to merge the range of cells.
<template>
<ejs-spreadsheet ref="spreadsheet" :created="created"> </ejs-spreadsheet>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
created: function () {
// To merge the cells in the specified range.
this.$refs.spreadsheet.merge("B1:E2");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| range (optional) | string |
Specifies the range of cells as address. |
| type (optional) | MergeType |
Specifies the merge type. The possible values are, - All: Merge all the cells between provided range. - Horizontally: Merge the cells row-wise. - Vertically: Merge the cells column-wise. |
Returns void
Used to move the sheets to the specified position in the list of sheets.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet">
<e-sheets>
<e-sheet name="Car Sales Report"> </e-sheet>
<e-sheet name="Car Stock Report"> </e-sheet>
<e-sheet name="Car Discount Report"> </e-sheet>
</e-sheets>
</ejs-spreadsheet>
<button @click="onClick">Move Sheets</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
const spreadsheet = this.$refs.spreadsheet;
// Moves the active sheet to the specified position.
spreadsheet.moveSheet(1);
// Moves the list of specified sheets to the specified position.
spreadsheet.moveSheet(0, [1, 2]);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| position | number |
Specifies the position to move a sheet in the list of sheets. |
| sheetIndexes (optional) | number[] |
Specifies the indexes of the sheet to be moved. By default, the active sheet will be moved. |
Returns void
Applies the number format (number, currency, percentage, short date, etc…) to the specified range of cells.
<template>
<ejs-spreadsheet ref="spreadsheet" :created="created">
<e-sheets>
<e-sheet name="Car Sales Report">
<e-ranges>
<e-range :dataSource="dataSource"></e-range>
</e-ranges>
</e-sheet>
</e-sheets>
</ejs-spreadsheet>
</template>
<script>
import Vue from "vue";
import { salesData } from "./data";
import {
SpreadsheetPlugin,
getFormatFromType,
} from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: () => {
return {
dataSource: salesData,
};
},
methods: {
created: function () {
const spreadsheet = this.$refs.spreadsheet;
// Apply the number format to the specified range of cells.
spreadsheet.numberFormat("$#,##0.00", "E1:E3");
// Apply the accounting format to the specified range of cells.
spreadsheet.numberFormat(getFormatFromType("Accounting"), "C3:E10");
// Apply the percentage format to the specified range of cells.
spreadsheet.numberFormat("0%", "F3:F10");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| format | string |
Specifies the number format code. |
| range (optional) | string |
Specifies the address of the range of cells. |
Returns void
Opens the Excel file.
<template>
<div class="control-section">
<ejs-spreadsheet
ref="spreadsheet"
:openUrl="openUrl"
:saveUrl="saveUrl"
:created="created"
></ejs-spreadsheet>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: function () {
return {
openUrl:
"https://services.syncfusion.com/vue/production/api/spreadsheet/open",
saveUrl:
"https://services.syncfusion.com/vue/production/api/spreadsheet/save",
};
},
methods: {
created: function () {
fetch(
"https://js.syncfusion.com/demos/ejservices/data/Spreadsheet/LargeData.xlsx"
).then((response) => {
response.blob().then((fileBlob) => {
const file = new File([fileBlob], "Sample.xlsx");
this.$refs.spreadsheet.open({ file: file });
});
});
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| options | OpenOptions |
Options for opening the excel file. |
Returns void
Opens the specified JSON object.
<template>
<div class="control-section">
<ejs-spreadsheet
ref="spreadsheet"
:openUrl="openUrl"
:saveUrl="saveUrl"
></ejs-spreadsheet>
<button @click="Save">Save JSON</button>
<button @click="Open">Load JSON</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: function () {
return {
response: "",
openUrl:
"https://services.syncfusion.com/vue/production/api/spreadsheet/open",
saveUrl:
"https://services.syncfusion.com/vue/production/api/spreadsheet/save"
};
},
methods: {
Save: function () {
// Save the spreadsheet data as JSON.
this.$refs.spreadsheet.saveAsJson().then((Json) => (this.response = Json));
},
Open: function () {
// Load the JSON data to the spreadsheet.
this.$refs.spreadsheet.openFromJson({ file: this.response.jsonObject });
},
},
});
</script>The available arguments in options are:
openComplete event or not.| Parameter | Type | Description |
|---|---|---|
| options | Object |
Options for opening the JSON object. |
| jsonConfig (optional) | SerializationOptions |
Specify the serialization options to customize the loading of the JSON data. |
Returns void
This method is used to paste the cut or copied cells in to specified address.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"> </ejs-spreadsheet>
<button @click="onClick">Paste Values</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
const spreadsheet = this.$refs.spreadsheet;
// Paste the selected cell.
spreadsheet.paste();
// Paste all the content to the specified range.
spreadsheet.paste("B2", "All");
// Paste only the values to the specified range.
spreadsheet.paste("B3", "Values");
// Paste only the formats to the specified range.
spreadsheet.paste("B4", "Formats");
// Paste only the formulas to the specified range.
spreadsheet.paste("B5", "Formulas");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| address (optional) | string |
Specifies the cell or range address. |
| type (optional) | PasteSpecialType |
Specifies the type of paste. |
Returns void
This method is used to print the active sheet or the entire workbook.
| Parameter | Type | Description |
|---|---|---|
| printOptions (optional) | PrintOptions |
Represents the settings to customize the print type, row and column headers and gridlines in the printing operation. |
Returns void
To protect the particular sheet.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet">
<e-sheets>
<e-sheet name="Car Sales Report"> </e-sheet>
</e-sheets>
</ejs-spreadsheet>
<button @click="onClick">Protect Sheet</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// Protect the particular sheet with specified protect settings.
const protectSetting = {
selectCells: true,
formatCells: false,
formatRows: false,
formatColumns: false,
insertLink: false,
};
this.$refs.spreadsheet.protectSheet("Car Sales Report", protectSetting);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| sheet (optional) | number | string |
Specifies the sheet to protect. |
| protectSettings (optional) | ProtectSettingsModel |
Specifies the protect sheet options. |
| password (optional) | string |
Specifies the password to protect. |
Returns void
To perform the redo operation in spreadsheet.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Redo Action</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// To perform the redo operation.
this.$refs.spreadsheet.redo();
},
},
});
</script>Returns void
Used to refresh the spreadsheet in UI level.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Refresh Spreadsheet</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// To refresh the spreadsheet.
this.$refs.spreadsheet.refresh(false);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| isNew (optional) | boolean |
Specifies true / false to create new workbook in spreadsheet. |
Returns void
To remove existing context menu items.
<template>
<div class="control-section">
<ejs-spreadsheet
ref="spreadsheet"
:contextMenuBeforeOpen="contextMenuBeforeOpen">
</ejs-spreadsheet>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
contextMenuBeforeOpen: function () {
// Remove existing context menu items by specifying item text.
this.$refs.spreadsheet.removeContextMenuItems(["Cut"]);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| items | string[] |
Items that needs to be removed. |
| isUniqueId (optional) | boolean |
Set true if the given text is a unique id. |
Returns void
This method is used for remove validation.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet" :created="created">
<e-sheets>
<e-sheet name="Car Sales Report">
<e-ranges>
<e-range :dataSource="dataSource"></e-range>
</e-ranges>
</e-sheet>
</e-sheets>
</ejs-spreadsheet>
<button @click="onClick">Remove Data Validation</button>
</div>
</template>
<script>
import Vue from "vue";
import { salesData } from "./data";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: () => {
return {
dataSource: salesData
};
},
methods: {
created: function () {
this.$refs.spreadsheet.addDataValidation(
{ type: "Decimal", operator: "LessThan", value1: "100000" },
"F2:F5"
);
},
onClick: function () {
// Remove the applied data validation on the specified range.
this.$refs.spreadsheet.removeDataValidation("F2:F5");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| range (optional) | string |
range that needs to be remove validation. |
Returns void
Removes the defined name from the Spreadsheet.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet" :created="created"> </ejs-spreadsheet>
<button @click="onClick">Remove Defined Name</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
created: function () {
// Set the specified cell range's name to 'Group1'.
this.$refs.spreadsheet.addDefinedName({
name: "Group1",
refersTo: "=Sheet1!B2",
});
},
onClick: function () {
// Remove the defined names from workbook.
this.$refs.spreadsheet.removeDefinedName("Group1", "Workbook");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| definedName | string |
Specifies the name. |
| scope | string |
Specifies the scope of the defined name. |
Returns boolean
To remove the hyperlink in the cell
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet" :created="created"> </ejs-spreadsheet>
<button @click="onClick">To Remove Hyperlink</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
created: function () {
// Insert a hyperlink into the 'A5' cell.
this.$refs.spreadsheet.addHyperlink("https://www.google.com/", "A5");
},
onClick: function () {
const spreadsheet = this.$refs.spreadsheet;
// Remove the hyperlink from the given range.
spreadsheet.removeHyperlink("A5");
// You can pass the range along with the sheet name.
spreadsheet.removeHyperlink("Sheet1!A5");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| range | string |
To specify the range |
Returns void
This method is used for remove highlight from invalid data.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet" :created="created">
<e-sheets>
<e-sheet name="Car Sales Report">
<e-ranges>
<e-range :dataSource="dataSource"></e-range>
</e-ranges>
</e-sheet>
</e-sheets>
</ejs-spreadsheet>
<button @click="onClick">Remove Invalid Highlight</button>
</div>
</template>
<script>
import Vue from "vue";
import { salesData } from "./data";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: () => {
return {
dataSource: salesData
};
},
methods: {
created: function () {
const spreadsheet = this.$refs.spreadsheet;
// Add data validation to the specified range.
spreadsheet.addDataValidation(
{ type: "Decimal", operator: "LessThan", value1: "10000" },
"F2:F5"
);
// Highlight the invalid data on the specified range.
spreadsheet.addInvalidHighlight("F2:F5");
},
onClick: function () {
// Remove the invalid data highlight from the given range.
this.$refs.spreadsheet.removeInvalidHighlight("F2:F5");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| range (optional) | string |
range that needs to be remove invalid highlight. |
Returns void
To replace the specified cell value.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet">
<e-sheets>
<e-sheet name="Car Sales Report">
<e-ranges>
<e-range :dataSource="dataSource"></e-range>
</e-ranges>
</e-sheet>
</e-sheets>
</ejs-spreadsheet>
<button @click="onClick">Replace Value</button>
</div>
</template>
<script>
import Vue from "vue";
import { salesData } from "./data";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: () => {
return {
dataSource: salesData
};
},
methods: {
onClick: function () {
this.$refs.spreadsheet.replace({
replaceValue: "Issy Humm",
sheetIndex: 0,
replaceBy: "replace",
value: "Jenna Schoolfield",
findOpt: "next",
mode: "Sheet",
isCSen: false,
isEMatch: false,
searchBy: "By Row"
});
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| args | FindOptions |
Specifies the replace value with find args to replace specified cell value. |
Returns void
Used to resize the Spreadsheet.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
mounted() {
window.addEventListener("resize", this.onResize);
},
methods: {
onResize: function () {
document.body.style.height = `${document.documentElement.clientHeight}px`;
this.$refs.spreadsheet.resize();
},
},
});
</script>Returns void
Saves the Spreadsheet data to Excel file.
<template>
<div class="control-section">
<ejs-spreadsheet
ref="spreadsheet"
:openUrl="openUrl"
:saveUrl="saveUrl"></ejs-spreadsheet>
<button @click="onClick">To Save</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: function () {
return {
openUrl:
"https://services.syncfusion.com/vue/production/api/spreadsheet/open",
saveUrl:
"https://services.syncfusion.com/vue/production/api/spreadsheet/save"
};
},
methods: {
onClick: function () {
// Save the spreadsheet data to an Excel file with the filename and extension you specify.
this.$refs.spreadsheet.save({
url: "https://services.syncfusion.com/vue/production/api/spreadsheet/save",
fileName: "Worksheet",
saveType: "Xlsx"
});
},
},
});
</script>The available arguments in saveOptions are:
| Parameter | Type | Description |
|---|---|---|
| saveOptions (optional) | SaveOptions |
Options for saving the excel file. |
| jsonConfig (optional) | SerializationOptions |
Specify the serialization options to customize the JSON output. |
Returns void
Saves the Spreadsheet data as JSON object.
<template>
<div class="control-section">
<ejs-spreadsheet
ref="spreadsheet"
:openUrl="openUrl"
:saveUrl="saveUrl"
></ejs-spreadsheet>
<button @click="Save">Save JSON</button>
<button @click="Open">Load JSON</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: function () {
return {
response: "",
openUrl:
"https://services.syncfusion.com/vue/production/api/spreadsheet/open",
saveUrl:
"https://services.syncfusion.com/vue/production/api/spreadsheet/save"
};
},
methods: {
Save: function () {
// Save the spreadsheet data as JSON.
this.$refs.spreadsheet.saveAsJson().then((Json) => (this.response = Json));
},
Open: function () {
// Load the JSON data to the spreadsheet.
this.$refs.spreadsheet.openFromJson({ file: this.response.jsonObject });
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| jsonConfig (optional) | SerializationOptions |
Specify the serialization options to customize the JSON output. |
Returns Promise
Allows you to select a chart from the active sheet. To select a specific chart from the active sheet, pass the chart id.
If you pass an empty argument, the chart present in the active cell will be selected. If the active cell does not have a chart,
the initially rendered chart will be selected from the active sheet.
| Parameter | Type | Description |
|---|---|---|
| id (optional) | string |
Specifies the chart id to be selected. |
Returns void
Allows you to select an image from the active sheet. To select a specific image from the active sheet, pass the image id.
If you pass an empty argument, the image present in the active cell will be selected. If the active cell does not have an image,
the initially rendered image will be selected from the active sheet.
| Parameter | Type | Description |
|---|---|---|
| id (optional) | string |
Specifies the image id to be selected. |
Returns void
Selects the cell / range of cells with specified address.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Select Range</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// Selects the cell / range of cells with the specified address.
this.$refs.spreadsheet.selectRange("B7:B8");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| address | string |
Specifies the range address. |
Returns void
Sets the border to specified range of cells.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Set Border</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// Sets the border to the specified cell range.
this.$refs.spreadsheet.setBorder(
{ border: "1px solid #000000" },
"C6:G8",
"Outer"
);
this.$refs.spreadsheet.setBorder({ border: "1px solid #000000" });
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| style | CellStyleModel |
Specifies the style property which contains border value. |
| range (optional) | string |
Specifies the range of cell reference. If not specified, it will considered the active cell reference. |
| type (optional) | BorderType |
Specifies the range of cell reference. If not specified, it will considered the active cell reference. |
| isUndoRedo (optional) | boolean |
Specifies is undo redo or not. |
Returns void
Set the width of column.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Set Column Width</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// To specify the width of a column of the given size and index.
this.$refs.spreadsheet.setColWidth(140, 2, 0);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| width (optional) | number | string |
To specify the width |
| colIndex (optional) | number |
To specify the colIndex |
| sheetIndex (optional) | number |
To specify the sheetIndex |
Returns void
Allows you to set the width to the single or multiple columns.
| Parameter | Type | Description |
|---|---|---|
| width (optional) | number |
Specifies the width for column. |
| ranges (optional) | string[] |
Specifies the column range to set the width. If the sheet name is not specified then width will apply to the column in the active sheet. Possible values are * Single column range: [‘F’] or [‘F:F’] * Multiple columns range: [‘A:F’] * Multiple columns with discontinuous range - [‘A:C’, ‘G:I’, ‘K:M’] * Multiple columns with different sheets - [‘Sheet1!A:H’, ‘Sheet2!A:H’, ‘Sheet3!A:H’]. |
Returns void
Sets or releases the read-only status for a specified range in the given sheet.
| Parameter | Type | Description |
|---|---|---|
| readOnly | boolean |
A boolean indicating whether the range should be set as read-only (true) or editable (false). |
| range | string |
The range to be set as read-only. It can be a single cell, a range of cells (e.g., “A1:B5”), a column (e.g., “C”), or a row (e.g., “10”). |
| sheetIndex | number |
The index of the sheet where the range is located. If not provided, it defaults to the active sheet index. |
Returns void
Set the height of row.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Set Row Height</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// To specify the height of a row of a given size and index.
this.$refs.spreadsheet.setRowHeight(40, 2, 0);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| height (optional) | number | string |
Specifies height needs to be updated. If not specified, it will set the default height 20. |
| rowIndex (optional) | number |
Specifies the row index. If not specified, it will consider the first row. |
| sheetIndex (optional) | number |
Specifies the sheetIndex. If not specified, it will consider the active sheet. |
| edited (optional) | boolean |
Specifies the boolean value. |
| skipCustomRow (optional) | boolean |
When this parameter is enabled, the method will skip updating the row height if it has already been modified and its ‘customHeight’ property is set to true. |
Returns void
Allows you to set the height to the single or multiple rows.
| Parameter | Type | Description |
|---|---|---|
| height (optional) | number |
Specifies the height for row. |
| ranges (optional) | string[] |
Specifies the row range to set the height. If the sheet name is not specified then height will apply to the rows in the active sheet. Possible values are * Single row range: [‘2’] or [‘2:2’] * Multiple rows range: [‘1:100’] * Multiple rows with discontinuous range - [‘1:10’, ‘15:25’, ‘30:40’] * Multiple rows with different sheets - [‘Sheet1!1:50’, ‘Sheet2!1:50’, ‘Sheet3!1:50’]. |
| skipCustomRows (optional) | boolean |
When this parameter is enabled, it will skip updating the heights of rows where the height has already been modified, and its ‘customHeight’ property is set to true. |
Returns void
By default, Spreadsheet shows the spinner for all its actions. To manually show spinner you this method at your needed time.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Show Spinner</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// To manually display the spinner at the desired time.
this.$refs.spreadsheet.showSpinner();
},
},
});
</script>Returns void
Sorts the range of cells in the active sheet.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet">
<e-sheets>
<e-sheet name="Car Sales Report">
<e-ranges>
<e-range :dataSource="dataSource"></e-range>
</e-ranges>
</e-sheet>
</e-sheets>
</ejs-spreadsheet>
<button @click="onClick">Apply Sort</button>
</div>
</template>
<script>
import Vue from "vue";
import { salesData } from "./data";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
data: () => {
return {
dataSource: salesData,
};
},
methods: {
onClick: function () {
// To sort multiple columns using the SortOptions and range specified.
this.$refs.spreadsheet.sort({ containsHeader: true }, "A1:H11");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| sortOptions (optional) | SortOptions |
options for sorting. |
| range (optional) | string |
address of the data range. |
Returns Promise
Start edit the active cell.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">To Start Edit</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// To begin editing in the currently active cell.
this.$refs.spreadsheet.startEdit();
},
},
});
</script>Returns void
Used to split the merged cell into multiple cells.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet" :created="created"> </ejs-spreadsheet>
<button @click="onClick">UnMerge Cells</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
created: function () {
this.$refs.spreadsheet.merge("B1:E2");
},
onClick: function () {
//To split the merged cell into multiple cells.
this.$refs.spreadsheet.unMerge("B1:E2");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| range (optional) | string |
Specifies the range of cells as address. |
Returns void
To perform the undo operation in spreadsheet.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Undo Action</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// To perform the undo operation.
this.$refs.spreadsheet.undo();
},
},
});
</script>Returns void
This method is used to unfreeze the frozen rows and columns from spreadsheet.
| Parameter | Type | Description |
|---|---|---|
| sheet (optional) | number | string |
Specifies the sheet name or index in which the unfreeze operation will perform. By default, active sheet will be considered. |
Returns void
To unprotect the particular sheet.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet" :created="created">
<e-sheets>
<e-sheet name="Car Sales Report"> </e-sheet>
</e-sheets>
</ejs-spreadsheet>
<button @click="onClick">To Unprotect Sheet</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
created: function () {
// To protect the particular sheet with the specified protect settings.
const protectSetting = {
selectCells: true,
formatCells: false,
formatRows: false,
formatColumns: false,
insertLink: false,
};
this.$refs.spreadsheet.protectSheet("Car Sales Report", protectSetting);
},
onClick: function () {
// To remove the sheet protection with the specified sheet index.
this.$refs.spreadsheet.unprotectSheet("1");
// You can specify the sheet name to unprotect.
this.$refs.spreadsheet.unprotectSheet("Car Sales Report");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| sheet (optional) | number | string |
Specifies the sheet name or index to Unprotect. |
Returns void
To update the action which need to perform.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet">
<e-sheets>
<e-sheet name="Car Sales Report"> </e-sheet>
</e-sheets>
</ejs-spreadsheet>
<button @click="onClick">Update Action</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// To update the action with the specified action name and event options.
this.$refs.spreadsheet.updateAction({
action: "cellSave",
eventArgs: { value: "Custom value", address: "Car Sales Report!M2" },
});
this.$refs.spreadsheet.updateAction({
action: "wrap",
eventArgs: { address: "Car Sales Report!M2", wrap: true },
});
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| options | CollaborativeEditArgs |
It describes an action and event args to perform. |
Returns void
Updates the properties of a specified cell.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">Update Cell</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
const spreadsheet = this.$refs.spreadsheet;
// Update the properties of a cell to the specified cell address.
spreadsheet.updateCell({ value: "Custom Value" }, "A3");
spreadsheet.updateCell({ value: "Custom Value" }, "Sheet1!A3");
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| cell | CellModel |
The properties to update for the specified cell. |
| address (optional) | string |
The address of the cell to update. If not provided, the active cell’s address will be used. |
| enableDependentCellUpdate (optional) | boolean |
Specifies whether dependent cells should also be updated. Default value is |
Returns void
This method is used to update the Range property in specified sheet index.
Returns void
To update the undo redo collection in spreadsheet.
<template>
<div class="control-section">
<ejs-button id="customBtn" v-on:click.native="updateCollection"
>Add/remove Class</ejs-button
>
<ejs-spreadsheet ref="spreadsheet" :actionComplete="actionComplete">
</ejs-spreadsheet>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
actionComplete: function (args) {
const actionEvents = args;
const spreadsheet = this.$refs.spreadsheet;
if (actionEvents.eventArgs.action == "customCSS") {
const Element = spreadsheet.ej2Instances.getCell(
actionEvents.eventArgs.rowIdx,
actionEvents.eventArgs.colIdx
);
if (actionEvents.eventArgs.requestType == "undo") {
// To remove the custom class in undo action.
removeClass([Element], "customClass");
} else {
// To add the custom class in redo action.
addClass([Element], "customClass");
}
}
},
updateCollection: function () {
const spreadsheet = this.$refs.spreadsheet;
const cell = spreadsheet.ej2Instances.getActiveSheet().activeCell;
const cellIdx = getRangeIndexes(cell);
const Element = spreadsheet.ej2Instances.getCell(
cellIdx[0],
cellIdx[1]
);
if (!Element.classList.contains("customClass")) {
// To add the custom class in active cell element.
addClass([Element], "customClass");
// To update the undo redo collection.
spreadsheet.ej2Instances.updateUndoRedoCollection({
eventArgs: {
class: "customClass",
rowIdx: cellIdx[0],
colIdx: cellIdx[1],
action: "customCSS"
},
});
}
},
},
});
</script>
<style>
.customClass.e-cell {
background-color: red;
}
</style>| Parameter | Type | Description |
|---|---|---|
| args | { : } | options for undo redo. |
Returns void
This method is used to wrap/unwrap the text content of the cell.
<template>
<div class="control-section">
<ejs-spreadsheet ref="spreadsheet"></ejs-spreadsheet>
<button @click="onClick">To Wrap</button>
</div>
</template>
<script>
import Vue from "vue";
import { SpreadsheetPlugin } from "@syncfusion/ej2-vue-spreadsheet";
Vue.use(SpreadsheetPlugin);
export default Vue.extend({
methods: {
onClick: function () {
// To wrap/unwrap the cell's text content with the specified address.
this.$refs.spreadsheet.wrap("B5", true);
},
},
});
</script>| Parameter | Type | Description |
|---|---|---|
| address | string |
Address of the cell to be wrapped. |
| wrap (optional) | boolean |
Set false if the text content of the cell to be unwrapped. |
Returns void
EmitType<BeforeCellFormatArgs|BeforeOpenEventArgs|BeforeSaveEventArgs|BeforeSelectEventArgs|BeforeSortEventArgs|CellEditEventArgs|MenuSelectEventArgs>
Triggers when the Spreadsheet actions (such as editing, formatting, sorting etc..) are starts.
<div id='Spreadsheet'></div>new Spreadsheet({
actionBegin: (args: BeforeCellFormatArgs|BeforeOpenEventArgs|BeforeSaveEventArgs|BeforeSelectEventArgs
|BeforeSortEventArgs|CellEditEventArgs|MenuSelectEventArgs) => {
}
...
}, '#Spreadsheet'); EmitType<SortEventArgs|CellSaveEventArgs|SaveCompleteEventArgs|Object``>
Triggers when the spreadsheet actions (such as editing, formatting, sorting etc..) gets completed.
<div id='Spreadsheet'></div>new Spreadsheet({
actionComplete: (args: SortEventArgs|CellSaveEventArgs|SaveCompleteEventArgs|Object) => {
}
...
}, '#Spreadsheet');Triggers when the Hyperlink function gets completed.
<div id='Spreadsheet'></div>new Spreadsheet({
afterHyperlinkClick: (args: AfterHyperlinkArgs ) => {
}
...
}, '#Spreadsheet');Triggers after the hyperlink inserted.
<div id='Spreadsheet'></div>new Spreadsheet({
afterHyperlinkCreate: (args: afterHyperlinkArgs ) => {
}
...
}, '#Spreadsheet'); EmitType<BeforeCellFormatArgs>
Triggers before the cell format applied to the cell.
<div id='Spreadsheet'></div>new Spreadsheet({
beforeCellFormat: (args: BeforeCellFormatArgs) => {
}
...
}, '#Spreadsheet');Triggers before the cell appended to the DOM.
<div id='Spreadsheet'></div>new Spreadsheet({
beforeCellRender: (args: CellRenderEventArgs) => {
}
...
}, '#Spreadsheet');Triggers when before the cell is saved.
<div id='Spreadsheet'></div>new Spreadsheet({
beforeCellSave: (args: CellEditEventArgs) => {
}
...
}, '#Spreadsheet'); EmitType<BeforeCellUpdateArgs>
Triggers before changing any cell properties.
<div id='Spreadsheet'></div> new Spreadsheet({
beforeCellUpdate: (args: BeforeCellUpdateArgs) => {
}
...
}, '#Spreadsheet'); EmitType<ConditionalFormatEventArgs>
Triggers before apply or remove the conditional format from a cell in a range.
<div id='Spreadsheet'></div>new Spreadsheet({
beforeConditionalFormat: (args: ConditionalFormatEventArgs) => {
}
...
}, '#Spreadsheet'); EmitType<Object>
Triggers before the data is populated to the worksheet.
<div id='Spreadsheet'></div>new Spreadsheet({
beforeDataBound: (args: Object) => {
}
...
}, '#Spreadsheet');Triggers when the Hyperlink is clicked.
<div id='Spreadsheet'></div>new Spreadsheet({
beforeHyperlinkClick: (args: BeforeHyperlinkArgs ) => {
}
...
}, '#Spreadsheet');Triggers before insert a hyperlink.
<div id='Spreadsheet'></div>new Spreadsheet({
beforeHyperlinkCreate: (args: BeforeHyperlinkArgs ) => {
}
...
}, '#Spreadsheet');Triggers before opening an Excel file.
<div id='Spreadsheet'></div>new Spreadsheet({
beforeOpen: (args: BeforeOpenEventArgs) => {
}
...
}, '#Spreadsheet');Triggers before saving the Spreadsheet as Excel file.
<div id='Spreadsheet'></div>new Spreadsheet({
beforeSave: (args: BeforeSaveEventArgs) => {
}
...
}, '#Spreadsheet'); EmitType<BeforeSelectEventArgs>
Triggers before the cell or range of cells being selected.
<div id='Spreadsheet'></div>new Spreadsheet({
beforeSelect: (args: BeforeSelectEventArgs) => {
}
...
}, '#Spreadsheet');Triggers before sorting the specified range.
<div id='Spreadsheet'></div>new Spreadsheet({
beforeSort: (args: BeforeSortEventArgs) => {
}
...
}, '#Spreadsheet');Triggers when the cell is being edited.
<div id='Spreadsheet'></div>new Spreadsheet({
cellEdit: (args: CellEditEventArgs) => {
}
...
}, '#Spreadsheet');Triggers when the cell has been edited.
<div id='Spreadsheet'></div>new Spreadsheet({
cellEdited: (args: CellEditEventArgs) => {
}
...
}, '#Spreadsheet');Triggers every time a request is made to access cell information. This will be triggered when editing a cell.
<div id='Spreadsheet'></div>new Spreadsheet({
cellEditing: (args: CellEditEventArgs) => {
}
...
}, '#Spreadsheet');Triggers when the edited cell is saved.
<div id='Spreadsheet'></div>new Spreadsheet({
cellSave: (args: CellSaveEventArgs) => {
}
...
}, '#Spreadsheet'); EmitType<BeforeOpenCloseMenuEventArgs>
Triggers before closing the context menu.
<div id='Spreadsheet'></div>new Spreadsheet({
contextMenuBeforeClose: (args: BeforeOpenCloseMenuEventArgs) => {
}
...
}, '#Spreadsheet'); EmitType<BeforeOpenCloseMenuEventArgs>
Triggers before opening the context menu and it allows customizing the menu items.
<div id='Spreadsheet'></div>new Spreadsheet({
contextMenuBeforeOpen: (args: BeforeOpenCloseMenuEventArgs) => {
}
...
}, '#Spreadsheet');Triggers when the context menu item is selected.
<div id='Spreadsheet'></div>new Spreadsheet({
contextMenuItemSelect: (args: MenuSelectEventArgs) => {
}
...
}, '#Spreadsheet'); EmitType<Event>
Triggers when the component is created.
<div id='Spreadsheet'></div>new Spreadsheet({
created: () => {
}
...
}, '#Spreadsheet'); EmitType<Object>
Triggers when the data is populated in the worksheet.
<div id='Spreadsheet'></div>new Spreadsheet({
dataBound: (args: Object) => {
}
...
}, '#Spreadsheet'); EmitType<DataSourceChangedEventArgs>
Triggers during data changes when the data is provided as dataSource in the Spreadsheet.
<div id='Spreadsheet'></div>new Spreadsheet({
dataSourceChanged: (args: DataSourceChangedEventArgs) => {
}
...
}, '#Spreadsheet'); EmitType<DialogBeforeOpenEventArgs>
Triggers before opening the dialog box.
<div id='Spreadsheet'></div>new Spreadsheet({
dialogBeforeOpen: (args: DialogBeforeOpenEventArgs) => {
}
...
}, '#Spreadsheet'); EmitType<BeforeOpenCloseMenuEventArgs>
Triggers before closing the file menu.
<div id='Spreadsheet'></div>new Spreadsheet({
fileMenuBeforeClose: (args: BeforeOpenCloseMenuEventArgs) => {
}
...
}, '#Spreadsheet'); EmitType<BeforeOpenCloseMenuEventArgs>
Triggers before opening the file menu.
<div id='Spreadsheet'></div>new Spreadsheet({
fileMenuBeforeOpen: (args: BeforeOpenCloseMenuEventArgs) => {
}
...
}, '#Spreadsheet');Triggers when the file menu item is selected.
<div id='Spreadsheet'></div>new Spreadsheet({
fileMenuItemSelect: (args: MenuSelectEventArgs) => {
}
...
}, '#Spreadsheet'); EmitType<Object>
Triggers when the spreadsheet importing gets completed.
<div id='Spreadsheet'></div>new Spreadsheet({
openComplete: (args: Object) => {
}
...
}, '#Spreadsheet');Triggers when the opened Excel file fails to load.
<div id='Spreadsheet'></div>new Spreadsheet({
openFailure: (args: OpenFailureArgs) => {
}
...
}, '#Spreadsheet');Triggered every time a request is made to access cell information.
<div id='Spreadsheet'></div>new Spreadsheet({
queryCellInfo: (args: CellInfoEventArgs) => {
}
...
}, '#Spreadsheet'); EmitType<SaveCompleteEventArgs>
Triggers after saving the Spreadsheet as Excel file.
<div id='Spreadsheet'></div>new Spreadsheet({
saveComplete: (args: SaveCompleteEventArgs) => {
}
...
}, '#Spreadsheet');Triggers after the cell or range of cells is selected.
<div id='Spreadsheet'></div>new Spreadsheet({
select: (args: SelectEventArgs) => {
}
...
}, '#Spreadsheet');Triggers after sorting action is completed.
<div id='Spreadsheet'></div>new Spreadsheet({
sortComplete: (args: SortEventArgs) => {
}
...
}, '#Spreadsheet');